﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS						//
//////////////////////////////////////

(function()
{
        // There should not be a CocoonJS object when this code is executed.
        // if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = {};

        CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

        /**
        * This type represents a 2D size structure with horizontal and vertical values.
        * @namespace
        */
        CocoonJS.Size =
        {
                /**
                * The horizontal size value.
                */
                width : 0,

                /**
                * The vertical size value.
                */
                height : 0
        };

        /**
        * This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
        * This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
        * @param {function} subc The subclass function.
        * @param {function} superc The supercall function.
        */
        CocoonJS.extend = function(subc, superc) 
        {
            var subcp = subc.prototype;

            // Class pattern.
            var CocoonJSExtendHierarchyChainClass = function() {};
            CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

            subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
            subc.superclass = superc.prototype;
            subc.prototype.constructor = subc;

            // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
            if (superc.prototype.constructor === Object.prototype.constructor) 
            {
                superc.prototype.constructor = superc;
            }

            // los metodos de superc, que no esten en esta clase, crear un metodo que
            // llama al metodo de superc.
            for (var method in subcp) 
            {
                if (subcp.hasOwnProperty(method)) 
                {
                    subc.prototype[method] = subcp[method];

                    // tenemos en super un metodo con igual nombre.
                    if ( superc.prototype[method]) 
                    {
                        subc.prototype[method]= (function(fn, fnsuper) 
                        {
                            return function() 
                            {
                                var prevMethod= this.__super;

                                this.__super= fnsuper;

                                var retValue= fn.apply(
                                        this,
                                        Array.prototype.slice.call(arguments) );

                                this.__super= prevMethod;

                                return retValue;
                            };
                        })(subc.prototype[method], superc.prototype[method]);
                    }
                }
            }
        }


        /**
        * This function allows a call to the native extension object function reusing the same arguments object.
        * Why is interesting to use this function instead of calling the native object's function directly?
        * As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
        * undefined arguments are passed to the native side. Some native functions do not check the parameters validation
        * correctly (just check the number of parameters passed).
        * Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
        * call, but it takes more work than using this approach.
        * @static
        * @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
        * @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
        * @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
        * @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
        * @returns Whatever the native function call returns.
        */
        CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, arguments, async)
        {
                if (CocoonJS.nativeExtensionObjectAvailable)
                {
                        var argumentsArray = Array.prototype.slice.call(arguments);
                        argumentsArray.unshift(nativeFunctionName);
                        var nativeExtensionObject = ext[nativeExtensionObjectName];
                        var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
                        var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
                        var finalRet = ret;
                        if (typeof ret === "string")
                        {
                                try
                                {
                                        finalRet = JSON.parse(ret);
                                }
                                catch(error)
                                {
                                }
                        }
                        return finalRet;
                }
        };

        /**
        * Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
        * @param {Object} baseObject The object to start from to find the object using the given text path.
        * @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
        * For example:
        * var body = getObjectFromPath(window, "document.body");
        */
        CocoonJS.getObjectFromPath = function(baseObject, objectPath)
        {
        var parts = objectPath.split('.');
        var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
                obj = obj[parts[i]];
        }
        return obj;
        };

        /**
        * Finds a string inside a given array of strings by looking for a given substring. It can also
        * specify if the search must be performed taking care or not of the case sensitivity.
        * @param {Array} stringArray The array of strings in which to to look for the string.
        * @param {string} subString The substring to look for inside all the strings of the array.
        * @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
        * case sensitiveness (true) or not (false).
        * @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
        */
        CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive)
        {
                var foundString = null;
                subString = caseSensitive ? subString : subString.toUpperCase();
                for (var i = 0; foundString == null && i < stringArray.length; i++)
                {
                        foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
                        foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
                }
                return foundString;
        };

        /**
        * A class that represents objects to handle events. Event handlers have always the same structure:
        * A addEventListener and a removeEventListener functions.
        * Both functions receive a callback function that will be added or removed. All the added callback
        * functions will be called when the event takes place.
        * @constructor
        * @param {string} nativeExtensionObjectName
        * @param {string} cocoonJSExtensionObjectName
        * @param {string} nativeEventName
        */
        CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName)
        {
                this.listeners = [];

                /**
                * Adds a callback function so it can be called when the event takes place.
                * @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
                */
                this.addEventListener = function(listener)
                {
                        var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable)
            {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                        this.listeners.push(listener);
                }
            }
                };

                /**
                * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
                * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
                */
                this.removeEventListener = function(listener)
                {
                        var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable)
            {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0)
                {
                        this.listeners.splice(indexOfListener, 1);
                }
            }
                };

                this.notifyEventListeners = function()
                {
                        var argumentsArray = Array.prototype.slice.call(arguments);
                        var listeners = this.listeners;
                        var _this = this;
                        // Notify listeners after a while ;) === do not block this thread.
            setTimeout(function()
            {
                                for (var i = 0; i < listeners.length; i++)
                                {
                                        listeners[i].apply(_this, argumentsArray);
                                }
                        }, 100);
                };
                return this;
        };

        // CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
        // {
        //      for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
        //      {
        //              var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

        //              // Function
        //              if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
        //              {
        //                      var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
        //                      nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
        //              }
        //              // Event object
        //              else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
        //              {
        //                      var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
        //                      nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
        //              }
        //      }
        // }

        /**
        This function looks for a CocoonJS extension object that is bound to the given native ext object name.
        @returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
        */
        // CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
        // {
        //      var cocoonJSExtensionObject = null;
        //      // Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
        //      for (var cocoonJSAttributeName in CocoonJS)
        //      {
        //              var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
        //              if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
        //              {
        //                      // We have found the CocoonJS object that represents the native ext extension object name. 
        //                      cocoonJSExtensionObject = cocoonJSAttribute;
        //                      break;
        //              }
        //      }
        //      return cocoonJSExtensionObject;
        // };

        /**
        This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

        @param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

        @param nativeFunctionsConfiguration An array of objects with the following structure:

                { nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

                - nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
                - functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
                as the nativeFunctionName.
                - isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
                - alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
                allows for adding new functionalities like for example adding methods 

        @returns The CocoonJS extension object.
        */
        // CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
        // {
        //      if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
        //      if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

        //      for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
        //      {
        //              if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
        //              var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
        //              var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
        //              var makeCallFunction = null;
        //              makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
        //              // Add the new function to the CocoonJS extension object
        //              extensionObject[functionName] = function()
        //              {
        //                      // Convert the arguments object to an array
        //                      var arguments = Array.prototype.slice.call(arguments);
        //                      // Add the native function name as the first parameter
        //                      arguments.unshift(nativeFunctionName);
        //                      // Make the native ext object call
        //                      var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
        //                      return result;
        //              }
        //              // Add a property to the newly added function to store the name of the original function.
        //              extensionObject[functionName].nativeFunctionName = nativeFunctionName;
        //      }
        //      return extensionObject;
        // };

        /**
        This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

        @param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

        @param nativeEventsConfiguration An array of objects with the following structure:

                { nativeEventName : "" [, eventObjectName : ""] }

                - nativeEventName: Specifies the event in the native ext object to be bound.
                - eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
                as the nativeEventName.
                - alternativeAddEventListenerFunction:
                - alternativeRemoveEventListenerFunction:

        @returns The CocoonJS extension object.
        */
        // CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
        // {
        //      if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
        //      if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

        //      for (var i = 0; i < nativeEventsConfiguration.length; i++)
        //      {
        //              if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
        //              var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
        //              var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
        //              // Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
        //              (function(nativeEventName, eventObjectName)
        //              {
        //              extensionObject[eventObjectName] =
        //              {
        //                      // Store the native event name
        //                      nativeEventName : nativeEventName,
        //                      // Create the event listener management functions bound to the native counterparts
        //                      addEventListener : function(callback)
        //                      {
        //                              extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
        //                      },
        //                      removeEventListener : function(callback)
        //                      {
        //                              extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
        //                      }
        //                      // ,
        //                      // removeAllEventListeners : function()
        //                      // {

        //                      // }
        //              };
        //              })(nativeEventName, eventObjectName);
        //      }
        //      return extensionObject;
        // };

        /**
        The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

        @param nativeExtensionObject The reference to the ext object extension object.

        @param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

        @param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

        @returns The new CocoonJS extension object.
        */
        // CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
        // {
        //      if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

        //      if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

        //      var nativeExtensionObject = window.ext[nativeExtensionObjectName];

        //      // Store a reference to the native extension object and to it's name
        //      this.nativeExtensionObject = nativeExtensionObject;
        //      this.nativeExtensionObjectName = nativeExtensionObjectName;

        //      // If native function configuration is passed, use it to add some functions to the new extension object.
        //      if (typeof nativeFunctionsConfiguration !== 'undefined')
        //      {
        //              CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
        //      }

        //      // If native event configuration is passed, use it to add some event objects to the new extension object.
        //      if (typeof nativeEventsConfiguration !== 'undefined')
        //      {
        //              CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
        //      }

        //      return this;
        // };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS					//
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
    * Contains all the possible values to specify the input keyboard type to be used when introducing text.
    * @namespace
    */
    CocoonJS.App.KeyboardType =
    {
        /**
        * Represents a generic text input keyboard.
        */
        TEXT : "text",

        /**
        * Represents a number like input keyboard.
        */
        NUMBER : "num",

        /**
        * Represents a phone like input keyboard.
        */
        PHONE : "phone",

        /**
        * Represents an email like input keyboard.
        */
        EMAIL : "email",

        /**
        * Represents an URL like input keyboard.
        */
        URL : "url"
    };

    /**
    * The storage types to be used with file system related operations.
    * @namespace
    */
    CocoonJS.App.StorageType = 
    {
        /**
        * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
        */
        APP_STORAGE : "APP_STORAGE", 

        /**
        * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
        * in it will be in this storage. It is internal to the platform/device.
        */
        INTERNAL_STORAGE : "INTERNAL_STORAGE",

        /**
        * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
        * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
        */
        EXTERNAL_STORAGE : "EXTERNAL_STORAGE",

        /**
        * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
        * in it but the main difference is that the information in this storage may dissapear without notice.
        */
        TEMPORARY_STORAGE : "TEMPORARY_STORAGE"    
    };

    /**
    * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
    * It waits until the code is executed and the result of it is returned.
    * @static
    * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
    * @return The result of the execution of the passed JavaScript code in the different JavaScript environment.
    */
    CocoonJS.App.forward = function(javaScriptCode)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
    };

    /**
    * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
    * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
    * @static
    * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
    * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
    */
    CocoonJS.App.forwardAsync = function(javaScriptCode, returnCallback)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            if (typeof returnCallback !== 'undefined')
            {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else
            {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
    };

    /**
    * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce 
    * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
    * @param {string} [title] Default value is "". The title to be displayed in the dialog.
    * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
    * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
    * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
    * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
    * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
    * @see CocoonJS.App.onTextDialogFinished
    * @see CocoonJS.App.onTextDialogCancelled
    */
    CocoonJS.App.showTextDialog = function(title, message, text, keyboardType, cancelButtonText, okButtonText)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else
        {
            if (!message)
            {
                message = "";
            }
            if (!text)
            {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
    * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
    * @param {string} [title] Default value is "". The title to be displayed in the dialog.
    * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
    * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
    * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
    * @see CocoonJS.App.onMessageBoxConfirmed
    * @see CocoonJS.App.onMessageBoxDenied
    */
    CocoonJS.App.showMessageBox = function(title, message, confirmButtonText, denyButtonText)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else
        {
            if (!message)
            {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
    * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
    * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
    * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
    */
    CocoonJS.App.load = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
    };

    /**
    * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.
    * @param {string} url The URL to be opened by a system service.
    */
    CocoonJS.App.openURL = function(url)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else
        {
            window.open(url, '_blank');
        }
    }

    /**
    * Forces the app to be finished.
    */
    CocoonJS.App.forceToFinish = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else
        {
            window.close();
        }
    }

    /**
    * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
    * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
    * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to 
    * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
    * depending on the device and the graphics card driver. 
    * @return The canvas object that should be used as the main canvas and that is resized to the screen resolution.
    */
    CocoonJS.App.createScreenCanvas = function()
    {
        var screenCanvas;
        if (navigator.isCocoonJS)
        {
            screenCanvas = document.createElement("screencanvas");
        }
        else
        {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
    * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
    * @name OnTextDialogFinishedListener
    * @function
    * @static
    * @memberOf CocoonJS.App
    * @param {string} text The text that was introduced in the text dialog when it was finished.
    */

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
    * @static
    */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
    * The callback function does not receive any parameter.
    * @static
    */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
    * The callback function does not receive any parameter.
    * @static
    */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
    * The callback function does not receive any parameter.
    * @static
    */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
    * The callback function does not receive any parameter.
    * @static
    */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
    * The callback function does not receive any parameter.
    * @static
    */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.App.nativeExtensionObjectAvailable && navigator.isCocoonJS;

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else
        {
            window.addEventListener("load", function()
            {
                CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners();
            });
        }
    };

    /**
    * Shows the webview. It is possible to specify the rectangle in which it will be shown.
    * @param {number} [x] The horizontal position where to show the webview.
    * @param {number} [y] The vertival position where to show the webview.
    * @param {number} [width] The horitonzal size of the webview.
    * @param {number} [height] The vertical size of the webview. 
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
    };

    /**
    * Hides the webview.
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Disables the touch events in the WebView environment.
    */
    CocoonJS.App.disableTouchInTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
    * Enables the touch events in the WebView environment.
    */
    CocoonJS.App.enableTouchInTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };

    /**
    * Setups a CocoonJS to WebView proxy for a given typeName. What this means is that after calling this function the CocoonJS environment will suddenly
    * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the webview.
    * Manipulating attributes, calling funcitions or handling events will all be performed in the webview but the developer will think they will be
    * happening in the CocoonJS environment.
    * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
    * @param {string} typeName The name of the type to be proxified.
    * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
    * @param {array} [functionNames] A list of the names of the functions to be proxified.
    * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
    * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
    */
    CocoonJS.App.setupWebViewProxyType = function(typeName, attributeNames, functionNames, eventHandlerNames)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could another object but careful, the webview side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path to window and pass it to the webview so it knows.
            var parentObject = window;

            // Setup the webview side too.
            var jsCode = "CocoonJS.App.setupCocoonJSProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            // The proxy type to the webview. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the webview.
            parentObject[typeName] = function()
            {
                var _this = this;

                // Each proxy object will have a "cocoonjs" object inside with all the necessary information to be a proxy to the webview.
                this.cocoonjs = {};
                // The id is obtained calling to the webview side to create an instance of the type.
                var jsCode = "CocoonJS.App.newCocoonJSProxyObject(" + JSON.stringify(typeName) + ");";
                this.cocoonjs.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers array contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this.cocoonjs.eventHandlers = [];
                // Also store the typename inside each instance.
                this.cocoonjs.typeName = typeName;

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName].cocoonjs.objects.push(this);

                /**
                * Performs a call to a function to the counterpart instance of this proxy object in the webview.
                * @param {string} functioName The name of the function to be called.
                * @apram {object} arguments The arguments object from the function that has been called in the CocoonJS (it contains all the arguments that have been passed to it).
                * @return Whatever the call to the webview counterpart returns.
                */
                this.cocoonjs.callCocoonJSProxyObjectFunctionInTheWebview = function(functionName, arguments)
                {
                    // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the webview counterpart.
                    var argumentsArray = Array.prototype.slice.call(arguments);
                    argumentsArray.unshift(functionName);
                    argumentsArray.unshift(this.id);
                    argumentsArray.unshift(typeName);
                    // Use the array to create the correct function call.
                    var jsCode = "CocoonJS.App.callCocoonJSProxyObjectFunction(";
                    for (var i = 0; i < argumentsArray.length; i++)
                    {
                        jsCode += JSON.stringify(argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                    }
                    jsCode += ");";
                    var ret = CocoonJS.App.forward(jsCode);
                    return ret;
                };

                /**
                * Find the corresponding event handler for the given eventHandlerName.
                * @param {string} eventHandlerName The name of the event handler to look for in the cocoonjs structure's event handler array.
                * @return The eventHandler structure { eventHandlerName : string, eventHandler : function } if it is found or null if not.
                */
                this.cocoonjs.findEventHandler = function(eventHandlerName)
                {
                    var eventHandler = null;
                    for (var i = 0; eventHandler == null && i < this.eventHandlers.length; i++)
                    {
                        eventHandler = this.eventHandlers[i].eventHandlerName === eventHandlerName ? this.eventHandlers[i] : null;
                    }
                    return eventHandler;
                };

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the webview counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++)
                {
                    (function(attributeName)
                    {
                        _this.__defineSetter__(attributeName, function(value)
                        {
                            var jsCode = "CocoonJS.App.setCocoonJSProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this.cocoonjs.id + ", " + JSON.stringify(attributeName) + "', " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forward(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function()
                        {
                            var jsCode = "CocoonJS.App.getCocoonJSProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this.cocoonjs.id + ", '" + attributeName + "');";
                            return CocoonJS.App.forward(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the webview counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++)
                {
                    (function(functionName)
                    {
                        _this[functionName] = function()
                        {
                            return _this.cocoonjs.callCocoonJSProxyObjectFunctionInTheWebview(functionName, arguments);
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the webview makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++)
                {
                    (function(eventHandlerName)
                    {
                        _this.__defineSetter__(eventHandlerName, function(value)
                        {
                            // First of all look for the event handler. If it exists, reuse it (just change the callback reference) and if not, create a new one.
                            var eventHandler = _this.cocoonjs.findEventHandler(eventHandlerName);
                            if (eventHandler)
                            {
                                eventHandler.eventHandler = value;
                            }
                            else
                            {
                                _this.cocoonjs.eventHandlers.push( { eventHandlerName : eventHandlerName, eventHandler : value } );
                            }
                        });
                        _this.__defineGetter__(eventHandlerName, function()
                        {
                            var eventHandler = _this.cocoonjs.findEventHandler(eventHandlerName);
                            return eventHandler ? eventHandler.eventHandler : null;
                        });
                    })(eventHandlerNames[i]);
                }

                // Return the proxy instance.
                return this;
            };

            // The type will contain a cocoonjs structure to store all the instances that are created so they are available when the webview calls.
            parentObject[typeName].cocoonjs = 
            {
                objects : []
            };

            /**
            * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
            * This function should be manually called whenever a proxy instance won't be accessed anymore.
            * @param {object} object The proxy object to be deleted.
            */
            parentObject[typeName].cocoonjs.deleteObject = function(object)
            {
                var objectIndex = this.objects.indexOf(object);
                this.objects.splice(objectIndex, 1);
                var jsCode = "CocoonJS.App.deleteCocoonJSProxyObject(" + JSON.stringify(typeName) + ", " + object.cocoonjs.id + ");";
                CocoonJS.App.forward(jsCode);
                object.cocoonjs = null;
            };

            /**
            * Searchs for a proxy object using the given id.
            * @param {number} id The id to be used to look for the proxy object in the type's all the instances array.
            * @return The corresponding proxy object if it's found or null if not.
            */
            parentObject[typeName].cocoonjs.findObjectForId = function(id)
            {
                var object = null;
                for (var i = 0; object == null && i < this.objects.length; i++)
                {
                    object = this.objects[i].cocoonjs.id === id ? this.objects[i] : null;
                }
                return object;
            };

            /**
            * Calls a event handler for the given proxy object id and eventHandlerName.
            * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
            * @param {string} eventHandlerName The name of the handler to be called.
            * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a 
            * structure to the event passing the target (the proxy object).
            * TODO: The webview should serialize the event object as far as it can so many parameters can be passed to the CocoonJS
            * side. Using JSON.stringify in the webview and parse in CocoonJS maybe? Still must add the target to the event structure though.
            */
            parentObject[typeName].cocoonjs.callEventHandler = function(id, eventHandlerName)
            {
                var object = this.findObjectForId(id);
                var eventHandler = object.cocoonjs.findEventHandler(eventHandlerName);
                if (eventHandler)
                {
                    eventHandler.eventHandler( { target : object } );
                }
            };
        }
    };

    /**
    * Calls an event handler callback function using the given eventHandlerName in the CocoonJS proxy object that is obtained by looking for the instances of the given typeName and using the given id.
    * @param {string} typeName The type of the proxy object. Used to get the corresponding type and to look for the instance there inside the array of all the instances.
    * @param {number} id The id of the proxy object.
    * @param {string} eventHandlerName The name of the event callback function to be called.
    */
    CocoonJS.App.callWebViewProxyEventHandler = function(typeName, id, eventHandlerName)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var parentObject = window;
            parentObject[typeName].cocoonjs.callEventHandler(id, eventHandlerName);
        }
    };

    /**
    * Deletes a proxy instance. Deleting a proxy instance means deleting it from both the CocoonJS environment and the webview environment.
    * @param {object} object The instance to be deleted.
    */
    CocoonJS.App.deleteWebViewProxyObject = function(object)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable && object.cocoonjs)
        {
            var parentObject = window;
            parentObject[object.cocoonjs.typeName].cocoonjs.deleteObject(object);
        }
    };

    /**
    * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
    * @name OnLoadInTheWebViewSucceedListener
    * @function
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @static
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function does not receive any parameter.
    * @static
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS					//
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisment extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
        CocoonJS.Ad.BannerLayout = 
        {
                /**
                * Specifies that the banner must be shown in the top of the screen and vertically centered.
                */
            TOP_CENTER      : "TOP_CENTER",

                /**
                * Specifies that the banner must be shown in the bottom of the screen and vertically centered.
                */
            BOTTOM_CENTER   : "BOTTOM_CENTER"
        };

        /**
        * Shows a banner ad if available.
        * @see CocoonJS.Ad.setBannerLayout
        * @see CocoonJS.Ad.onBannerShown
        */
        CocoonJS.Ad.showBanner = function()
        {
                if (CocoonJS.Ad.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments);
                }
        };

        /**
        * Hides the banner ad if it was being shown.
        */
        CocoonJS.Ad.hideBanner = function()
        {
                if (CocoonJS.Ad.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments);
                }
        };

        /**
        * Shows a full screen ad if available.
        * @see CocoonJS.Ad.onFullScreenShown
        * @see CocoonJS.Ad.onFullScreenHidden
        */
        CocoonJS.Ad.showFullScreen = function()
        {
                if (CocoonJS.Ad.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments);
                }
        };

        /**
        * Makes a request to preload a banner ad.
        */
        CocoonJS.Ad.preloadBanner = function()
        {
                if (CocoonJS.Ad.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments);
                }
        };

        /**
        * Makes a request to preload a full screen ad.
        */
        CocoonJS.Ad.preloadFullScreen = function()
        {
                if (CocoonJS.Ad.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments);
                }
        };

        /**
        * Sets the layout of banner ads.
        * @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where to set the banner.
        */
        CocoonJS.Ad.setBannerLayout = function(bannerLayout)
        {
                if (CocoonJS.Ad.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments);
                }
        };

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    */
        CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    */
        CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    */
        CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

})();

//////////////////////////////////////
// COCOONJS_STORE.JS				//
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

        /**
        * The data structure that represents the information of a product in the store.
        * @namespace
        */
        CocoonJS.Store.ProductInfo =
        {
                /**
                * The id of the prodcut.
                * @type string
                */
                productId : null,

                /**
                * The product alias.
                * @type string
                */
                productAlias : null,

                /**
                * The product type @see CocoonJS.Store.ProductType
                * @type CocoonJS.Store.ProductType
                */
                productType : null,

                /**
                * The localized product price.
                * @type string
                */
                localizedPrice : null,

                /**
                * The title of the product.
                * @type string
                */
                title : null,

                /**
                * The description of the product.
                * @type string
                */
                description : null,

                /**
                * The price of the product.
                * @type string
                */
                price : null,

                /**
                * The URL of the asset to be downloaded for this purchase.
                * @type string
                */
                downloadURL : null
        };

        /**
    * The predefined possible states of a purchase.
    * @namespace 
    */
        CocoonJS.Store.ProductType = 
        {
                /**
                * A consumable product. See platform documentation for further information.
                */
            CONSUMABLE : 0,

                /**
                * A non-cunsumable product. . See platform documentation for further information.
                */
            NON_CONSUMABLE : 1,

            /**
                * An auto-renewable subscription. See platform documentation for further information.
                */
            AUTO_RENEWABLE_SUBSCRIPTION : 2,

            /**
                * A free subscription. See platform documentation for further information.
                */
            FREE_SUBSCRIPTION : 3,

            /**
                * A non-renewable subscription. See platform documentation for further information.
                */
            NON_RENEWABLE_SUBSCRIPTION : 4
        };

        /**
        * The data structure that represents the information of a purchase.
        * @namespace
        */
        CocoonJS.Store.PurchaseInfo =
        {
                /**
                * The transaction id of a purchase.
                * @type string
                */
                transactionId : null,

                /**
                * The time when the purchase was done in seconds since 1970.
                * @type string
                */
                purchaseTime : null,

                /**
                * The state of the purchase. @see CocoonJS.Store.PurchaseState
                * @type CocoonJS.Store.PurchaseState
                */
                purchaseState : null,

                /**
                * The product id related to this purchase.
                * @type string
                */
                productId : null,

                /**
                * The number of products of the productId kind purchased in this transaction.
                * @type int
                */
                quantity : null,
        };

        /**
    * The predefined possible states of a purchase.
    * @namespace 
    */
        CocoonJS.Store.PurchaseState = 
        {
                /**
                * The product has been successfully purchased. The transaction has ended successfully.
                */
            PURCHASED : 0,

                /**
                * The purchase has been canceled.
                */
            CANCELED : 1,

            /**
                * The purchase has been refunded.
                */
            REFUNDED : 2,

            /**
                * The purchase (subscriptions only) has expired and is no longer valid.
                */
            EXPIRED : 3
        };

        /**
        * Starts the Store Service. This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so
        * you should have set your event handler before calling this method so don't lose any callback.
        */ 
        CocoonJS.Store.start = function()
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
                }
        };

        /**
        * This method allows you to check is the  Store service is available in this platform. Not all iOS and Android devices will have the Store service available so
        * you should check if it is before calling any other method.
        * @return true if the service is available and false otherwise.
        */ 
        CocoonJS.Store.canPurchase = function()
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
                }
        };

        /**
        * Fetches the products from the CocoonJS Cloud Compiling service store configuration. The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
        * @see CocoonJS.Store.onProductsFetchStarted
        * @see CocoonJS.Store.onProductsFetchCompleted
        * @see CocoonJS.Store.onProductsFetchFailed
        */ 
        CocoonJS.Store.fetchProductsFromServer = function()
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments);
                }
        };

        /**
        * Removes a purchase from the local purchases database given it's transaction id. If the transaction id does not exist or cannot be removed from the local database this method will return false.
        * @param {string} transactionId The id of the transaction to be removed.
        * @returns {boolean} A flag that indicates whether the purchase has been successfully removed from the local purchases database (true) or not (false).
        */ 
        CocoonJS.Store.removePurchase = function(transactionId)
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
                }
        };

        /**
        * Finish a purchase transaction and removes the transaction from the transaction queue. This method must be called after a purchase finishes successfully and the  
        * {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. If the purchase includes some asset to download from an external server 
        * this method must be called after the asset has been successfully downloaded. 
        * If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
        * @param {string} transactionId The transactionId of the purchase to finish.
        */ 
        CocoonJS.Store.finishPurchase = function(productId)
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments);
                }
        };

        /**
        * Request a product purchase given it's product id. The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
        * @param {string} productId The id of the product to be purchased.
        * @see CocoonJS.Store.onProductPurchaseStarted
        * @see CocoonJS.Store.onProductPurchaseCompleted
        * @see CocoonJS.Store.onProductPurchaseFailed
        */ 
        CocoonJS.Store.purchaseProduct = function(productId)
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments);
                }
        };

        /**
        * Request a product purchase given it's product id showing a modal progress dialog. The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
        * @param {string} productId The id of the product to be purchased.
        * @see CocoonJS.Store.onProductPurchaseStarted
        * @see CocoonJS.Store.onProductPurchaseCompleted
        * @see CocoonJS.Store.onProductPurchaseFailed
        */ 
        CocoonJS.Store.puchaseProductModal = function(productId)
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments);
                }
        };

        /**
        * Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
        * @param {string} productId The id of the product to be purchased.
        * @see CocoonJS.Store.onProductPurchaseStarted
        * @see CocoonJS.Store.onProductPurchaseCompleted
        * @see CocoonJS.Store.onProductPurchaseFailed
        */ 
        CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments);
                }
        };

        /**
        * Returns if a product has been already purchased or not. 
        * @param {string} productId The product id of the product to be checked.
        * @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
        */
        CocoonJS.Store.isProductPurchased = function(productId)
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
                }
        };

        /**
        * Returns all the products available to be purchased.
        * @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
        */
        CocoonJS.Store.getProducts = function()
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
                }
        };

        /**
        * Returns all the locally stored purchases.
        * @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
        */
        CocoonJS.Store.getPurchases = function()
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
                }
        };

        /**
        * Restores all the purchases from the platform's market. For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
        * @returns {boolean} 
        * @see CocoonJS.Store.onRestorePurchasesStarted
        * @see CocoonJS.Store.onRestorePurchasesCompleted
        * @see CocoonJS.Store.onRestorePurchasesFailed
        */
        CocoonJS.Store.restorePurchases = function()
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments);
                }
        };

        /**
        * Restores all the purchases from the platform's market showing a modal progress dialog. For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
        * @returns {boolean} 
        * @see CocoonJS.Store.onRestorePurchasesStarted
        * @see CocoonJS.Store.onRestorePurchasesCompleted
        * @see CocoonJS.Store.onRestorePurchasesFailed
        */
        CocoonJS.Store.restorePurchasesModal = function()
        {
                if (CocoonJS.Store.nativeExtensionObjectAvailable)
                {
                        return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments);
                }
        };

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
    * @param {CocoonJS.Store.ProductInfo} productInfo The product info.
    */
        CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives two parameters, one with the product information of the purchased product {@see CocoonJS.Store.ProductInfo} and another one with the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @param {CocoonJS.Store.ProductInfo} productInfo The product info.
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
        CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @param {string} productID The product id.
    * @param {string} msg The error message.
    */
        CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    */
        CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
        CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @param {string} errorMessage The error message.
    */
        CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    */
        CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    */
        CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

        /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @param {string} errorMessage The error message.
    */
        CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

})();
(function() {
'use strict';var aa=void 0,d=!0,g=null,j=!1;function m(){return function(){}}function ba(a){return function(){return this[a]}}function p(a){return function(){return a}}var t,ca={},da,ea,fa,ga,x,ha,ia,ja,ka,y,la,na,oa,pa,qa,z,ra,sa,D,ta,ua,va,wa,xa,ya,za,Aa,Ba,Ca,Da,Ea,Fa,Ga,Ja,Ka,La,Ma,Pa,Qa,Ra,Sa,Ta,F,Ua,Va,Wa,J,Xa={};"function"!==typeof Object.getPrototypeOf&&(Object.getPrototypeOf="object"===typeof"test".__proto__?function(a){return a.__proto__}:function(a){return a.constructor.prototype});
function Ya(a,b,c,e){this.set(a,b,c,e)}function Za(){this.ta=this.sa=this.va=this.ua=this.Da=this.Ca=this.$=this.Z=0}function $a(){this.td={};this.bf=0;this.ye=[];this.Le=d}function ab(){this.Wa=this.ah=this.y=this.Jh=0}function bb(a){this.Ka=[];this.gj(a)}ea=function(a){console&&console.log&&console.log(a)};da=function(a){return a};fa=function(a){return"undefined"===typeof a};ga=function(a){return"number"===typeof a};x=function(a){return"string"===typeof a};ha=function(a){return 0>a?-a:a};
ia=function(a,b){return a>b?a:b};ja=function(a,b){return a<b?a:b};ka=Math.PI;y=function(a){return a|0};la=function(a,b,c,e,f,h,i,k){if(ia(a,c)<ja(f,i)||ja(a,c)>ia(f,i)||ia(b,e)<ja(h,k)||ja(b,e)>ia(h,k))return j;var l=f-a+i-c,n=h-b+k-e,a=c-a,b=e-b,f=i-f,h=k-h,k=ha(b*f-h*a);return ha(f*n-h*l)<=k&&ha(a*n-b*l)<=k};t=Ya.prototype;t.set=function(a,b,c,e){this.left=a;this.top=b;this.right=c;this.bottom=e};t.width=function(){return this.right-this.left};t.height=function(){return this.bottom-this.top};
t.offset=function(a,b){this.left+=a;this.top+=b;this.right+=a;this.bottom+=b;return this};t.to=function(a){return!(a.right<this.left||a.bottom<this.top||a.left>this.right||a.top>this.bottom)};t.fb=function(a,b){return a>=this.left&&a<=this.right&&b>=this.top&&b<=this.bottom};t=Za.prototype;t.Xg=function(a){this.Z=a.left;this.$=a.top;this.Ca=a.right;this.Da=a.top;this.ua=a.right;this.va=a.bottom;this.sa=a.left;this.ta=a.bottom};
t.Hl=function(a,b){if(0===b)this.Xg(a);else{var c=Math.sin(b),e=Math.cos(b),f=a.left*c,h=a.top*c,i=a.right*c,c=a.bottom*c,k=a.left*e,l=a.top*e,n=a.right*e,e=a.bottom*e;this.Z=k-h;this.$=l+f;this.Ca=n-h;this.Da=l+i;this.ua=n-c;this.va=e+i;this.sa=k-c;this.ta=e+f}};t.offset=function(a,b){this.Z+=a;this.$+=b;this.Ca+=a;this.Da+=b;this.ua+=a;this.va+=b;this.sa+=a;this.ta+=b;return this};
t.ek=function(a){a.left=ja(ja(this.Z,this.Ca),ja(this.ua,this.sa));a.top=ja(ja(this.$,this.Da),ja(this.va,this.ta));a.right=ia(ia(this.Z,this.Ca),ia(this.ua,this.sa));a.bottom=ia(ia(this.$,this.Da),ia(this.va,this.ta))};
t.fb=function(a,b){var c=this.Ca-this.Z,e=this.Da-this.$,f=this.ua-this.Z,h=this.va-this.$,i=a-this.Z,k=b-this.$,l=c*c+e*e,n=c*f+e*h,e=c*i+e*k,q=f*f+h*h,s=f*i+h*k,r=1/(l*q-n*n),c=(q*e-n*s)*r,l=(l*s-n*e)*r;if(0<=c&&0<l&&1>c+l)return d;c=this.sa-this.Z;e=this.ta-this.$;l=c*c+e*e;n=c*f+e*h;e=c*i+e*k;r=1/(l*q-n*n);c=(q*e-n*s)*r;l=(l*s-n*e)*r;return 0<=c&&0<l&&1>c+l};
t.Ec=function(a,b){a%=4;0>a&&(a+=4);switch(a){case 0:return b?this.Z:this.$;case 1:return b?this.Ca:this.Da;case 2:return b?this.ua:this.va;case 3:return b?this.sa:this.ta;default:return b?this.Z:this.$}};t.gl=function(){return(this.Z+this.Ca+this.ua+this.sa)/4};t.hl=function(){return(this.$+this.Da+this.va+this.ta)/4};
t.so=function(a){var b=a.gl(),c=a.hl();if(this.fb(b,c))return d;b=this.gl();c=this.hl();if(a.fb(b,c))return d;var e,f,h,i,k,l,n,q;for(n=0;4>n;n++)for(q=0;4>q;q++)if(b=this.Ec(n,d),c=this.Ec(n,j),e=this.Ec(n+1,d),f=this.Ec(n+1,j),h=a.Ec(q,d),i=a.Ec(q,j),k=a.Ec(q+1,d),l=a.Ec(q+1,j),la(b,c,e,f,h,i,k,l))return d;return j};na=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c]);return a};
oa=function(a,b){var c,e,b=y(b);if(!(0>b||b>=a.length))if(0===b)a.shift();else if(b===a.length-1)a.pop();else{c=b;for(e=a.length-1;c<e;c++)a[c]=a[c+1];a.length=e}};pa=function(a,b){a.length=b.length;var c,e;c=0;for(e=b.length;c<e;c++)a[c]=b[c]};qa=function(a,b){var c=a.indexOf(b);-1!==c&&oa(a,c)};z=function(a){return a/(180/ka)};ra=function(a){return a*(180/ka)};sa=function(a){a%=360;0>a&&(a+=360);return a};D=function(a){a%=2*ka;0>a&&(a+=2*ka);return a};ta=function(a){return sa(ra(a))};ua=function(a){return D(z(a))};
va=function(a,b,c,e){return Math.atan2(e-b,c-a)};wa=function(a,b){if(a===b)return 0;var c=Math.sin(a),e=Math.cos(a),f=Math.sin(b),h=Math.cos(b),c=c*f+e*h;return 1<=c?0:-1>=c?ka:Math.acos(c)};xa=function(a,b,c){var e=Math.sin(a),f=Math.cos(a),h=Math.sin(b),i=Math.cos(b);return Math.acos(e*h+f*i)>c?0<f*h-e*i?D(a+c):D(a-c):D(b)};ya=function(a,b){var c=Math.sin(a),e=Math.cos(a),f=Math.sin(b),h=Math.cos(b);return 0>=e*f-c*h};za=function(a,b,c,e){a=c-a;b=e-b;return Math.sqrt(a*a+b*b)};
Aa=function(a,b){return!a!==!b};Ba=function(a){for(var b in a)a.hasOwnProperty(b)&&delete a[b]};Ca=function(){if("undefined"!==typeof window.performance){var a=window.performance;if("undefined"!==typeof a.now)return a.now();if("undefined"!==typeof a.webkitNow)return a.webkitNow();if("undefined"!==typeof a.msNow)return a.msNow()}return Date.now()};t=$a.prototype;t.contains=function(a){return this.td.hasOwnProperty(a.toString())};
t.add=function(a){this.contains(a)||(this.td[a.toString()]=a,this.bf++,this.Le=j);return this};t.remove=function(a){this.contains(a)&&(delete this.td[a.toString()],this.bf--,this.Le=j);return this};t.clear=function(){Ba(this.td);this.bf=0;this.ye.length=0;this.Le=d;return this};t.Ye=function(){return 0===this.bf};t.Yl=function(){if(!this.Le){this.ye.length=this.bf;var a,b=0;for(a in this.td)this.td.hasOwnProperty(a)&&(this.ye[b++]=this.td[a]);this.Le=d}};t.kp=function(){this.Yl();return this.ye.slice(0)};
t.Kd=function(){this.Yl();return this.ye};ab.prototype.add=function(a){this.y=a-this.Jh;this.ah=this.Wa+this.y;this.Jh=this.ah-this.Wa-this.y;this.Wa=this.ah};ab.prototype.reset=function(){this.Wa=this.ah=this.y=this.Jh=0};Da=function(a){return a.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")};t=bb.prototype;t.gj=function(a){this.xl=a;this.sc=a.length/2;this.Ka.length=a.length;this.Rf=this.Me=-1;this.fk=0};t.$e=function(){return!this.xl.length};
t.Wg=function(a,b,c,e,f){this.Ka.length=8;this.sc=4;var h=this.Ka;h[0]=a.Z-b;h[1]=a.$-c;h[2]=a.Ca-b;h[3]=a.Da-c;h[4]=a.ua-b;h[5]=a.va-c;h[6]=a.sa-b;h[7]=a.ta-c;this.Me=e;this.Rf=f};t.Gl=function(a){this.sc=a.sc;pa(this.Ka,a.Ka)};t.Ke=function(a,b,c){if(!(this.Me===a&&this.Rf===b&&this.fk===c)){this.Me=a;this.Rf=b;this.fk=c;var e,f,h,i=0,k=1,l=this.xl,n=this.Ka;0!==c&&(i=Math.sin(c),k=Math.cos(c));c=0;for(e=this.sc;c<e;c++)f=l[2*c]*a,h=l[2*c+1]*b,n[2*c]=f*k-h*i,n[2*c+1]=h*k+f*i}};
t.fb=function(a,b){var c=this.Ka;if(a===c[0]&&b===c[1])return d;var e=5*-this.Me-1,f=5*-this.Rf-1,h=5*this.Me+1,i,k,l,n,q,s,r=0,w=0;q=0;for(s=this.sc;q<s;q++)i=c[2*q],k=c[2*q+1],l=c[2*((q+1)%s)],n=c[2*((q+1)%s)+1],la(e,f,a,b,i,k,l,n)&&r++,la(h,-1,a,b,i,k,l,n)&&w++;return 1===r%2||1===w%2};
t.Mk=function(a,b,c){var e=a.Ka,f=this.Ka;if(this.fb(e[0]+b,e[1]+c)||a.fb(f[0]-b,f[1]-c))return d;var h,i,k,l,n,q,s,r,w,u,v,A;h=0;for(i=this.sc;h<i;h++){n=f[2*h];q=f[2*h+1];s=f[2*((h+1)%i)];r=f[2*((h+1)%i)+1];k=0;for(l=a.sc;k<l;k++)if(w=e[2*k]+b,u=e[2*k+1]+c,v=e[2*((k+1)%l)]+b,A=e[2*((k+1)%l)+1]+c,la(n,q,s,r,w,u,v,A))return d}return j};var cb="lighter xor copy destination-over source-in destination-in source-out destination-out source-atop destination-atop".split(" ");
Ea=function(a){return 0>=a||11<=a?"source-over":cb[a-1]};
Fa=function(a,b,c){if(c)switch(a.La=c.ONE,a.Ea=c.ONE_MINUS_SRC_ALPHA,b){case 1:a.La=c.ONE;a.Ea=c.ONE;break;case 3:a.La=c.ONE;a.Ea=c.ZERO;break;case 4:a.La=c.ONE_MINUS_DST_ALPHA;a.Ea=c.ONE;break;case 5:a.La=c.DST_ALPHA;a.Ea=c.ZERO;break;case 6:a.La=c.ZERO;a.Ea=c.SRC_ALPHA;break;case 7:a.La=c.ONE_MINUS_DST_ALPHA;a.Ea=c.ZERO;break;case 8:a.La=c.ZERO;a.Ea=c.ONE_MINUS_SRC_ALPHA;break;case 9:a.La=c.DST_ALPHA;a.Ea=c.ONE_MINUS_SRC_ALPHA;break;case 10:a.La=c.ONE_MINUS_DST_ALPHA,a.Ea=c.SRC_ALPHA}};
Ga=function(a){return Math.round(1E6*a)/1E6};
function K(a){if(a&&(a.getContext||a.dc)&&!a.c2runtime){a.c2runtime=this;var b=this;this.sd="undefined"!==typeof window.device&&("undefined"!==typeof window.device.cordova||"undefined"!==typeof window.device.phonegap);this.vb=!!a.dc;this.Yd="undefined"!==typeof window.AppMobi||this.vb;if(this.mc=!!window.c2cocoonjs)CocoonJS.App.onSuspended.addEventListener(function(){b.fj(d)}),CocoonJS.App.onActivated.addEventListener(function(){b.fj(j)});this.Ia=this.vb||this.mc;this.oi=/android/i.test(navigator.userAgent);
this.oq=/msie/i.test(navigator.userAgent);this.tg=/iphone/i.test(navigator.userAgent)||/ipod/i.test(navigator.userAgent);this.Tk=/ipad/i.test(navigator.userAgent);this.nc=this.tg||this.Tk;this.Nk=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent);this.wo=!this.Nk&&/safari/i.test(navigator.userAgent);this.Qk=/windows/i.test(navigator.userAgent);this.qi="undefined"!==typeof window.c2nodewebkit;this.uo="undefined"!==typeof window.is_scirra_arcade;this.devicePixelRatio=1;this.rd=
this.sd||this.Yd||this.mc||this.oi||this.nc;this.rd||(this.rd=/(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet)/i.test(navigator.userAgent));this.canvas=a;this.gk=document.getElementById("c2canvasdiv");this.K=this.n=this.pd=g;this.canvas.oncontextmenu=function(a){a.preventDefault&&a.preventDefault();return j};this.canvas.ql=function(a){a.preventDefault&&a.preventDefault();return j};this.vb&&(window.c2runtime=this);this.width=a.width;this.height=a.height;this.ce=this.width;
this.be=this.height;this.G=d;this.Ze=j;Date.now||(Date.now=function(){return+new Date});this.plugins=[];this.types={};this.v=[];this.ba=[];this.wi={};this.fe=[];this.Yh={};this.ld=[];this.Mb=[];this.gh=[];this.Eh=[];this.Rb=new $a;this.pi=j;this.ib=0;this.si=j;this.Qb=[];this.op=this.Mh=this.zg=this.Hc=this.Vd=0;this.vc=1;this.oc=new ab;this.vg=0;this.fl=d;this.Gg=this.dg=this.Pe=this.yf=this.ff=this.bi=0;this.Fc=g;this.Wf=[];this.Xh=[];this.$f=-1;this.Bi=[[]];this.vj=this.yg=0;this.Pg(g);this.Ci=
[];this.Ag=-1;this.Fg=0;this.bl=d;this.Re=0;this.uf=[];this.rj=this.Vi=0;this.$d=d;this.he=0;this.ng=j;this.cp=0;this.jg=j;this.Fi=new $a;this.Gi=new $a;this.Rg=[];this.Id=new bb([]);this.qj=new bb([]);this.Dh=[];this.Mf={};this.Jb=this.jb=this.al=this.xg=this.U=g;this.xe=this.vi=j;this.di=[g,g];this.ci=0;this.sk="";this.Zg=this.ge=g;this.ap="";this.load();this.devicePixelRatio=!this.Ia&&this.ih&&this.nc?window.devicePixelRatio||1:1;this.ab();var c;"undefined"!==typeof jQuery&&0<this.Jc&&this.setSize(jQuery(window).width(),
jQuery(window).height());try{if(this.mn&&!this.Ia){c={depth:j,antialias:!this.rd};var e=d;if(this.Nk&&this.Qk){var f=document.createElement("canvas");if("OES_texture_float,OES_standard_derivatives,WEBKIT_WEBGL_lose_context"===(f.getContext("webgl",c)||f.getContext("experimental-webgl",c)).getSupportedExtensions().toString())e=j}e&&(this.pd=a.getContext("webgl",c)||a.getContext("experimental-webgl",c))}}catch(h){}if(this.pd){this.Ua=document.createElement("canvas");jQuery(this.Ua).appendTo(this.canvas.parentNode);
this.Ua.oncontextmenu=p(j);this.Ua.ql=p(j);this.Ua.width=a.width;this.Ua.height=a.height;this.vl();this.Li=this.Ua.getContext("2d");this.n=new ca.vp(this.pd,this.rd);this.n.Fl(a.width,a.height);this.K=g;this.canvas.addEventListener("webglcontextlost",function(a){console.log("WebGL context lost");a.preventDefault();b.Fo();window.cr_setSuspended(d)},j);this.canvas.addEventListener("webglcontextrestored",function(){console.log("WebGL context restored");b.n.nq();b.n.Fl(b.n.width,b.n.height,d);b.jb=g;
b.Jb=g;b.di[0]=g;b.di[1]=g;b.Go();b.G=d;window.cr_setSuspended(j)},j);var i,k,l,n,q,a=0;for(c=this.v.length;a<c;a++){i=this.v[a];e=0;for(f=i.L.length;e<f;e++)l=i.L[e],l.Aa=this.n.Ck(l.id),this.xe=this.xe||this.n.Og(l.Aa)}a=0;for(c=this.fe.length;a<c;a++){n=this.fe[a];e=0;for(f=n.L.length;e<f;e++)l=n.L[e],l.Aa=this.n.Ck(l.id);e=0;for(f=n.R.length;e<f;e++){q=n.R[e];i=0;for(k=q.L.length;i<k;i++)l=q.L[i],l.Aa=this.n.Ck(l.id),this.xe=this.xe||this.n.Og(l.Aa)}}}else{if(0<this.Jc&&this.vb){this.canvas=g;
document.oncontextmenu=p(j);document.ql=p(j);this.K=AppMobi.canvas.getContext("2d");try{this.K.samplingMode=this.P?"smooth":"sharp",this.K.globalScale=1,this.K.HTML5CompatibilityMode=d}catch(s){}0!==this.width&&0!==this.height&&(this.K.width=this.width,this.K.height=this.height)}this.K||(this.mc?(c={antialias:!!this.P},this.K=a.getContext("2d",c)):this.K=a.getContext("2d"),this.K.webkitImageSmoothingEnabled=this.P,this.K.mozImageSmoothingEnabled=this.P,this.K.msImageSmoothingEnabled=this.P,this.K.imageSmoothingEnabled=
this.P);this.Li=this.Ua=g}var r=this;this.Rl=function(){r.Ba()};this.go();this.T={}}}
K.prototype.setSize=function(a,b){var c=this.no&&this.tg&&!navigator.standalone&&!this.Ia&&!this.sd,e=0;c&&(this.tg?e=60:this.oi&&(e=56),b+=e);var f=0,h=0,i=0,k=0,l=0,l=this.Jc,n=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||this.ng;n&&0<this.ci&&(l=this.ci);3<=l?(i=this.Bb/this.Ab,a/b>i?(i*=b,4===l?(l=i/this.Bb,1<l?l=Math.floor(l):1>l&&(l=1/Math.ceil(1/l)),i=this.Bb*l,k=this.Ab*l,f=(a-i)/2,h=(b-k)/2,a=i,b=k):(f=(a-i)/2,a=i)):(k=a/i,4===l?(l=k/this.Ab,1<l?l=Math.floor(l):
1>l&&(l=1/Math.ceil(1/l)),i=this.Bb*l,k=this.Ab*l,f=(a-i)/2,h=(b-k)/2,a=i):h=(b-k)/2,b=k),n&&!this.qi&&(h=f=0),f=Math.floor(f),h=Math.floor(h),a=Math.floor(a),b=Math.floor(b)):this.qi&&(this.ng&&0===this.xk)&&(f=Math.floor((a-this.Bb)/2),h=Math.floor((b-this.Ab)/2),a=this.Bb,b=this.Ab);if((n=!this.Ia&&this.ih&&this.nc)&&this.Tk&&1<this.devicePixelRatio)1024<=a&&(a=1023),1024<=b&&(b=1023);i=this.devicePixelRatio;this.width=a*i;this.height=b*i;this.G=d;this.gk&&!this.Ia&&(jQuery(this.gk).css({width:a+
"px",height:b+"px","margin-left":f,"margin-top":h}),"undefined"!==typeof cr_is_preview&&jQuery("#borderwrap").css({width:a+"px",height:b+"px"}));this.canvas&&(this.canvas.width=a*i,this.canvas.height=b*i,n&&jQuery(this.canvas).css({width:a+"px",height:b+"px"}));this.Ua&&(this.Ua.width=a,this.Ua.height=b);this.n&&this.n.Fl(a,b);this.vb&&this.K&&(this.K.width=a,this.K.height=b);this.K&&(this.K.webkitImageSmoothingEnabled=this.P,this.K.mozImageSmoothingEnabled=this.P,this.K.msImageSmoothingEnabled=this.P,
this.K.imageSmoothingEnabled=this.P);c&&0<e&&window.setTimeout(function(){window.scrollTo(0,1)},100)};K.prototype.Fo=function(){this.vi=d;var a,b,c;a=0;for(b=this.v.length;a<b;a++)c=this.v[a],c.oe&&c.oe()};K.prototype.Go=function(){this.vi=j;var a,b,c;a=0;for(b=this.v.length;a<b;a++)c=this.v[a],c.kf&&c.kf()};
K.prototype.vl=function(){var a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||this.ng?jQuery(this.canvas).offset():jQuery(this.canvas).position();a.position="absolute";jQuery(this.Ua).css(a)};var db=window.cancelAnimationFrame||window.mozCancelAnimationFrame||window.webkitCancelAnimationFrame||window.msCancelAnimationFrame||window.oCancelAnimationFrame;
K.prototype.setSuspended=function(a){var b;if(a&&!this.Ze){this.Ze=d;0!==this.Vi&&db&&db(this.Vi);0!==this.rj&&clearTimeout(this.rj);a=0;for(b=this.uf.length;a<b;a++)this.uf[a](d)}else if(!a&&this.Ze){this.Ze=j;this.vg=Ca();this.ff=Ca();a=this.dg=0;for(b=this.uf.length;a<b;a++)this.uf[a](j);this.Ba()}};t=K.prototype;t.Zj=function(a){this.uf.push(a)};
t.load=function(){var a=eb();this.name=a[0];this.uk=a[1];this.Jc=a[11];this.xk=a[11];this.Ia&&3<=a[11]&&(ea("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale'"),this.xk=this.Jc=2);this.xj=a[17];this.gf=a[18];0===this.gf&&(this.ge=new Image,this.ge.src="logo.png");this.Hd=new M(this);var b,c,e,f,h,i,k,l,n;b=0;for(c=a[2].length;b<c;b++)k=a[2][b],fb(k),n=new k[0](this),n.lj=k[1],n.sg=k[2],n.il=k[9],n.p&&n.p(),this.plugins.push(n);a=eb();b=0;for(c=
a[3].length;b<c;b++){k=a[3][b];h=k[1];n=g;e=0;for(f=this.plugins.length;e<f;e++)if(this.plugins[e]instanceof h){n=this.plugins[e];break}var q=new n.A(n);q.name=k[0];q.D=k[2];q.lp=k[3];q.Xm=k[4];q.Mn=k[5];q.D?(q.Bg=[],q.Ub=this.Re++,q.ka=g):(q.Bg=g,q.Ub=-1,q.ka=[]);q.bg=g;q.Wd=g;q.ok=g;q.wb=j;q.eb=g;k[6]?(q.wf=k[6][0],q.xf=k[6][1],q.Xc=k[6][2]):(q.wf=g,q.xf=0,q.Xc=0);q.ea=k[7]?k[7]:g;q.index=b;q.e=[];q.Vf=[];q.Uc=[new Ja(q)];q.hc=0;q.Sb=g;q.Gd=d;q.hh=gb;q.Tn=hb;q.Wn=ib;q.C=jb;q.pf=kb;q.qf=lb;q.Oc=
mb;q.fg=nb;q.ei=ob;q.zk=pb;q.Ie=qb;q.T={};q.toString=rb;q.ba=[];e=0;for(f=k[8].length;e<f;e++){l=k[8][e];var s=l[1],r=g;h=0;for(i=this.ba.length;h<i;h++)if(this.ba[h]instanceof s){r=this.ba[h];break}r||(r=new s(this),r.je=new $a,r.p&&r.p(),this.ba.push(r));h=new r.A(r,q);h.name=l[0];h.p();q.ba.push(h)}q.global=k[9];q.ri=k[10];q.L=[];e=0;for(f=k[11].length;e<f;e++)q.L.push({id:k[11][e][0],name:k[11][e][1],Aa:-1,cb:d,index:e});(!this.xj||q.D||q.ri||!n.sg)&&q.p();q.name&&(this.types[q.name]=q);this.v.push(q);
n.lj&&(e=new n.s(q),e.uid=this.Fg,this.Fg++,e.Ve=0,e.hg=sb,e.toString=tb,e.l=k[12],e.p(),q.e.push(e))}b=0;for(c=a[4].length;b<c;b++){h=a[4][b];i=this.v[h[0]];e=1;for(f=h.length;e<f;e++)k=this.v[h[e]],k.ka.push(i),i.Bg.push(k)}b=0;for(c=a[20].length;b<c;b++){h=a[20][b];i=[];e=0;for(f=h.length;e<f;e++)i.push(this.v[h[e]]);e=0;for(f=i.length;e<f;e++)i[e].wb=d,i[e].eb=i}if(0<this.Re){b=0;for(c=this.v.length;b<c;b++)if(k=this.v[b],!k.D&&k.ka.length){k.bg=Array(this.Re);k.Wd=Array(this.Re);k.ok=Array(this.Re);
q=[];e=r=s=l=0;for(f=k.ka.length;e<f;e++){n=k.ka[e];k.bg[n.Ub]=l;l+=n.lp;k.Wd[n.Ub]=s;s+=n.Xm;k.ok[n.Ub]=r;r+=n.Mn;h=0;for(i=n.L.length;h<i;h++)q.push(na({},n.L[h]))}k.L=q.concat(k.L);e=0;for(f=k.L.length;e<f;e++)k.L[e].index=e}}b=0;for(c=a[5].length;b<c;b++)k=a[5][b],e=new Ka(this,k),this.wi[e.name]=e,this.fe.push(e);b=0;for(c=a[6].length;b<c;b++)k=a[6][b],e=new La(this,k),this.Yh[e.name]=e,this.ld.push(e);b=0;for(c=this.ld.length;b<c;b++)this.ld[b].ca();b=0;for(c=this.gh.length;b<c;b++)this.gh[b].ca();
this.gh.length=0;this.sk=a[7];this.$a=a[8];this.Bb=a[9];this.Ab=a[10];this.Hh=1;this.mn=a[12];this.P=a[13];this.ik=a[14];this.Aq=a[15];b=a[16];2===b&&(b=this.tg?1:0);this.ih=0!==b;this.no=a[19];this.oj=Date.now()};t.Ln=function(a){var b,c;b=0;for(c=this.Mb.length;b<c;b++)if(this.Mb[b].bn===a)return this.Mb[b];return g};
t.ck=function(){var a=0,b=0,c=d,e,f;e=0;for(f=this.Mb.length;e<f;e++){var h=this.Mb[e].Uf;if(!h||0>=h)h=5E4;a+=h;this.Mb[e].complete||this.Mb[e].loaded?b+=h:c=j}this.zd=0==a?0:b/a;return c};
t.go=function(){if(this.K||this.n){var a=this.K||this.Li;this.Ua&&this.vl();this.zd=0;this.Vk=-1;if(this.ck())this.ko();else{var b=Date.now()-this.oj;if(3!==this.gf&&500<=b&&this.Vk!=this.zd){a.clearRect(0,0,this.width,this.height);var b=this.width/2,c=this.height/2,e=0===this.gf&&this.ge.complete,f=40,h=0,i=80;e&&(i=this.ge.width,f=i/2,h=this.ge.height/2,a.drawImage(this.ge,y(b-f),y(c-h)));1>=this.gf?(b=y(b-f)+0.5,c=y(c+(h+(e?12:0)))+0.5,a.fillStyle="DodgerBlue",a.fillRect(b,c,Math.floor(i*this.zd),
6),a.strokeStyle="black",a.strokeRect(b,c,i,6),a.strokeStyle="white",a.strokeRect(b-1,c-1,i+2,8)):2===this.gf&&(a.font="12pt Arial",a.fillStyle="#999",a.wq="middle",e=Math.round(100*this.zd)+"%",f=a.measureText?a.measureText(e):g,a.fillText(e,b-(f?f.width:0)/2,c));this.Vk=this.zd}var k=this;setTimeout(function(){k.go()},100)}}};
t.ko=function(){this.Ua&&(this.canvas.parentNode.removeChild(this.Ua),this.Ua=this.Li=g);this.oj=Date.now();this.ff=Ca();var a,b,c;if(this.xj){a=0;for(b=this.v.length;a<b;a++)c=this.v[a],!c.D&&(!c.ri&&c.aa.sg)&&c.p()}else this.$d=j;a=0;for(b=this.fe.length;a<b;a++)this.fe[a].cn();this.uk?this.wi[this.uk].nj():this.fe[0].nj();this.xj||(this.he=1,this.trigger(M.prototype.d.Ij,g));this.Ba();this.vb&&AppMobi.webview.execute("onGameReady();")};
var ub=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||window.oRequestAnimationFrame;t=K.prototype;
t.Ba=function(){if(this.uo){var a=jQuery(window).width(),b=jQuery(window).height();if(this.ce!==a||this.be!==b)this.ce=a,this.be=b,this.setSize(a,b)}a=Ca();this.$d&&(b=this.ck(),this.he=this.zd,b&&(this.$d=j,this.zd=1,this.trigger(M.prototype.d.Ij,g)));this.Eo();if((this.G||this.mc)&&!this.vi)this.G=j,this.n?this.Qa():this.Xa(),this.Zg&&(this.canvas&&this.canvas.toDataURL&&(this.ap=this.canvas.toDataURL(this.Zg[0],this.Zg[1]),this.trigger(M.prototype.d.nm,g)),this.Zg=g);this.yf++;this.Pe++;this.dg++;
this.zg+=Ca()-a;this.Ze||(ub?this.Vi=ub(this.Rl,this.canvas):this.rj=setTimeout(this.Rl,this.rd?1:16))};
t.Eo=function(){var a,b,c,e,f,h,i,k;a=Ca();1E3<=a-this.ff&&(this.ff+=1E3,this.bi=this.dg,this.dg=0,this.Mh=this.zg,this.zg=0);this.fl&&(0!==this.vg&&(b=a-this.vg,0===b?(this.op++,10<=this.Cq&&(this.fl=j),this.Hc=1/60):(this.Hc=b/1E3,0.5<this.Hc?this.Hc=0:0.1<this.Hc&&(this.Hc=0.1))),this.vg=a);this.Vd=this.Hc*this.vc;this.oc.add(this.Vd);a=document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||this.ng;2<=this.Jc||a&&0<this.ci?(this.Hh=this.width/this.height>this.Bb/this.Ab?this.height/
this.Ab:this.width/this.Bb,this.U&&(this.U.Dl(this.U.scrollX),this.U.El(this.U.scrollY))):this.Hh=1;this.ab();this.ib++;this.Hd.Vo();this.ib--;this.ab();this.ib++;a=0;for(b=this.v.length;a<b;a++)if(i=this.v[a],i.ba.length){c=0;for(e=i.e.length;c<e;c++){var l=i.e[c];f=0;for(h=l.na.length;f<h;f++)l.na[f].Ba()}}c=this.Fi.Kd();a=0;for(b=c.length;a<b;a++)c[a].Ba();this.ib--;for(a=0;this.Fc&&10>a++;){this.U.dp();c=0;for(e=this.v.length;c<e;c++)i=this.v[c],i.Bf&&-1===this.Fc.We.indexOf(i)&&i.Bf();this.Fc.nj();
a=0;for(b=this.v.length;a<b;a++)if(i=this.v[a],i.global||i.aa.lj){c=0;for(e=i.e.length;c<e;c++)l=i.e[c],l.Ho&&l.Ho()}this.bl=this.G=d;this.ab()}a=0;for(b=this.ld.length;a<b;a++)this.ld[a].ki=j;this.U.Zf&&this.U.Zf.ia();this.Rg.length=0;this.bl=j;this.ib++;a=0;for(b=this.v.length;a<b;a++)if(i=this.v[a],i.ba.length){c=0;for(e=i.e.length;c<e;c++){l=i.e[c];f=0;for(h=l.na.length;f<h;f++)k=l.na[f],k.ue&&k.ue()}}c=this.Gi.Kd();a=0;for(b=c.length;a<b;a++)c[a].ue();this.ib--};t.dh=function(a){this.Fi.add(a)};
t.fp=function(a){this.Gi.add(a)};t.od=function(a){return!a||-1===a.Eg?this.Vd:this.Hc*a.Eg};t.Xa=function(){this.U.Xa(this.K);this.vb&&this.K.present()};t.Qa=function(){this.U.Qa(this.n)};t.Ch=function(a){a&&this.Wf.push(a)};t.zl=function(a){qa(this.Wf,a)};t.$c=function(a){var b,c;if(!this.Rb.contains(a)){this.Rb.add(a);if(a.wb){b=0;for(c=a.siblings.length;b<c;b++)this.$c(a.siblings[b])}this.pi&&this.Rb.ye.push(a);this.ib++;this.trigger(Object.getPrototypeOf(a.type.aa).d.qh,a);this.ib--}};
t.ab=function(){var a,b,c,e,f,h,i,k,l,n;this.pi=d;e=0;for(h=this.Qb.length;e<h;e++){a=this.Qb[e];b=a.type;b.e.push(a);b.Gd=d;f=0;for(i=b.ka.length;f<i;f++)b.ka[f].e.push(a),b.ka[f].Gd=d}this.Qb.length=0;h=this.Rb.Kd();for(e=0;e<h.length;e++){a=h[e];b=a.type;c=b.e;f=0;for(i=this.Wf.length;f<i;f++)this.Wf[f](a);qa(c,a);a.j&&(oa(a.j.e,a.kc()),a.j.Zc=d);f=0;for(i=b.ka.length;f<i;f++)qa(b.ka[f].e,a),b.ka[f].Gd=d;if(a.na){f=0;for(i=a.na.length;f<i;f++)c=a.na[f],c.Kc&&c.Kc(),c.t.je.remove(a)}this.Fi.remove(a);
this.Gi.remove(a);f=0;for(i=this.Hd.yc.length;f<i;f++)if(l=this.Hd.yc[f],l.qe.hasOwnProperty(b.index)&&qa(l.qe[b.index],a),!b.D){c=0;for(k=b.ka.length;c<k;c++)n=b.ka[c],l.qe.hasOwnProperty(n.index)&&qa(l.qe[n.index],a)}a.Kc&&a.Kc();this.Gg--;32>b.Vf.length&&b.Vf.push(a);b.Gd=d}this.Rb.Ye()||(this.G=d);this.Rb.clear();this.pi=j};t.Nh=function(a,b,c,e){if(a.D){var f=y(Math.random()*a.Bg.length);return this.Nh(a.Bg[f],b,c,e)}return!a.Sb?g:this.Ud(a.Sb,b,j,c,e)};var vb=[];t=K.prototype;
t.Ud=function(a,b,c,e,f,h){var i,k,l,n;if(!a)return g;var q=this.v[a[1]],s=q.aa.sg;if(this.$d&&s&&!q.ri||s&&!this.n&&11===a[0][11])return g;s||(b=g);var r,w=j;q.Vf.length?(r=q.Vf.pop(),w=d,q.aa.s.call(r,q)):r=new q.aa.s(q);r.uid=this.Fg;this.Fg++;r.Ve=0;r.hg=sb;q.Gd=d;l=a[2];if(w){i=0;for(k=l.length;i<k;i++)r.Ib[i]=l[i];Ba(r.T)}else r.Ib=l.slice(0),r.T={};if(s){var u=a[0];r.x=fa(e)?u[0]:e;r.y=fa(f)?u[1]:f;r.em=u[2];r.width=u[3];r.height=u[4];r.depth=u[5];r.f=u[6];r.opacity=u[7];r.Gb=u[8];r.Hb=u[9];
r.Pb=u[10];i=u[11];!this.n&&q.L.length&&(r.Pb=i);r.Tf=Ea(r.Pb);this.pd&&Fa(r,r.Pb,this.pd);if(w){i=0;for(k=u[12].length;i<k;i++){l=0;for(n=u[12][i].length;l<n;l++)r.Ha[i][l]=u[12][i][l]}r.J.set(0,0,0,0);r.oa.Xg(r.J);r.Qf.length=0}else{r.Ha=u[12].slice(0);i=0;for(k=r.Ha.length;i<k;i++)r.Ha[i]=u[12][i].slice(0);r.I=[];r.Rd=[];r.Rd.length=q.L.length;r.J=new Ya(0,0,0,0);r.oa=new Za;r.Qf=[];r.k=wb;r.Vm=xb;r.fb=yb;r.ac=zb;r.kc=Ab}i=0;for(k=q.L.length;i<k;i++)r.Rd[i]=d;r.we=Bb;r.we();r.Zl=!!r.I.length;r.Pf=
d;r.visible=d;r.Eg=-1;r.j=b;r.Aj=b.e.length;"undefined"===typeof r.V&&(r.V=g);this.G=r.Ne=d}r.toString=tb;var v;i=vb.length=0;for(k=q.ka.length;i<k;i++)vb.push.apply(vb,q.ka[i].ba);vb.push.apply(vb,q.ba);if(w){i=0;for(k=vb.length;i<k;i++){var A=vb[i];v=r.na[i];A.t.s.call(v,A,r);u=a[3][i];l=0;for(n=u.length;l<n;l++)v.l[l]=u[l];v.p();A.t.je.add(r)}}else{r.na=[];i=0;for(k=vb.length;i<k;i++)A=vb[i],v=new A.t.s(A,r),v.l=a[3][i].slice(0),v.p(),r.na.push(v),A.t.je.add(r)}u=a[4];if(w){i=0;for(k=u.length;i<
k;i++)r.l[i]=u[i]}else r.l=u.slice(0);this.Qb.push(r);b&&b.e.push(r);this.Gg++;if(q.wb){if(r.wb=d,r.siblings=[],!c&&!h){i=0;for(k=q.eb.length;i<k;i++)if(q.eb[i]!==q){if(!q.eb[i].Sb)return g;r.siblings.push(this.Ud(q.eb[i].Sb,b,j,s?r.x:e,s?r.y:f,d))}i=0;for(k=r.siblings.length;i<k;i++){r.siblings[i].siblings.push(r);for(l=0;l<k;l++)i!==l&&r.siblings[i].siblings.push(r.siblings[l])}}}else r.wb=j,r.siblings=g;r.p();i=0;for(k=r.na.length;i<k;i++)r.na[i].Qo&&r.na[i].Qo();return r};
t.gi=function(a){var b,c;b=0;for(c=this.U.R.length;b<c;b++){var e=this.U.R[b];if(e.name.toLowerCase()===a.toLowerCase())return e}return g};t.Te=function(a){a=y(a);0>a&&(a=0);a>=this.U.R.length&&(a=this.U.R.length-1);return this.U.R[a]};t.Lh=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].C().H=d};t.pf=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].pf()};t.qf=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].qf()};t.Oc=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].Oc()};
t.ep=function(a,b,c){var e=a.C(),f,h,i,k,l,n;if(e.H){e.H=j;f=e.e.length=0;for(k=a.e.length;f<k;f++)i=a.e[f],i.ac(),l=i.j.Pa(b,c,d),n=i.j.Pa(b,c,j),i.fb(l,n)&&e.e.push(i)}else{f=h=0;for(k=e.e.length;f<k;f++)i=e.e[f],i.ac(),l=i.j.Pa(b,c,d),n=i.j.Pa(b,c,j),i.fb(l,n)&&(e.e[h]=e.e[f],h++);e.e.length=h}a.Ie();return e.ji()};
t.Na=function(a,b){if(!a||!b||a===b||!a.Ne||!b.Ne)return j;a.ac();b.ac();var c=a.j,e=b.j,f,h,i,k,l,n;if(c!==e&&(c.Lc!==e.Lc||e.Mc!==e.Mc||c.scale!==e.scale||c.f!==e.f||c.zc!==e.zc)){l=a.V&&!a.V.$e();f=b.V&&!b.V.$e();l?(a.V.Ke(a.width,a.height,a.f),this.Id.Gl(a.V)):this.Id.Wg(a.oa,a.x,a.y,a.width,a.height);l=this.Id;f?(b.V.Ke(b.width,b.height,b.f),this.qj.Gl(b.V)):this.qj.Wg(b.oa,b.x,b.y,b.width,b.height);n=this.qj;f=0;for(h=l.sc;f<h;f++)i=l.Ka[2*f],k=l.Ka[2*f+1],l.Ka[2*f]=c.Y(i+a.x,k+a.y,d),l.Ka[2*
f+1]=c.Y(i+a.x,k+a.y,j);f=0;for(h=n.sc;f<h;f++)i=n.Ka[2*f],k=n.Ka[2*f+1],n.Ka[2*f]=e.Y(i+b.x,k+b.y,d),n.Ka[2*f+1]=e.Y(i+b.x,k+b.y,j);return l.Mk(n,0,0)}if(!a.J.to(b.J)||!a.oa.so(b.oa))return j;l=a.V&&!a.V.$e();f=b.V&&!b.V.$e();if(!l&&!f)return d;l?(a.V.Ke(a.width,a.height,a.f),l=a.V):(this.Id.Wg(a.oa,a.x,a.y,a.width,a.height),l=this.Id);f?(b.V.Ke(b.width,b.height,b.f),n=b.V):(this.Id.Wg(b.oa,b.x,b.y,b.width,b.height),n=this.Id);return l.Mk(n,b.x-a.x,b.y-a.y)};
t.ja=function(a){var b=g,c,e;if(!N)return g;c=0;for(e=this.ba.length;c<e;c++)if(this.ba[c]instanceof N){b=this.ba[c];break}if(!b)return g;var f=b.je.Kd();c=0;for(e=f.length;c<e;++c)if(b=f[c],b.T.Ml&&this.Na(a,b))return b;return g};var Cb=[];t=K.prototype;
t.Jd=function(a,b){var c=g,e,f;if(!Xa.Co)return g;e=0;for(f=this.ba.length;e<f;e++)if(this.ba[e]instanceof Xa.Co){c=this.ba[e];break}if(!c)return g;var h=g;b&&(h=Cb,h.length=0);var i=c.je.Kd();e=0;for(f=i.length;e<f;++e)if(c=i[e],c.T.pq&&this.Na(a,c))if(b)h.push(c);else return c;return h};
t.Xb=function(a,b,c,e,f,h){var e=e||50,i=a.x,k=a.y,l,n=g,q=g;for(l=0;l<e;l++)if(a.x=i+b*l,a.y=k+c*l,a.k(),!this.Na(a,n)&&((n=this.ja(a))&&(q=n),!n&&(f&&(n=h?this.Na(a,h)?h:g:this.Jd(a))&&(q=n),!n)))return q&&this.Ti(a,b,c,q),d;a.x=i;a.y=k;a.k();return j};t.Ti=function(a,b,c,e){var f=2,h,i=j;h=j;for(var k=a.x,l=a.y;16>=f;)h=1/f,f*=2,a.x+=b*h*(i?1:-1),a.y+=c*h*(i?1:-1),a.k(),this.Na(a,e)?h=i=d:(h=i=j,k=a.x,l=a.y);h&&(a.x=k,a.y=l,a.k())};
t.Ui=function(a,b){for(var c=fa(b)?100:b,e=0,f=a.x,h=a.y,i=0,k=0,l=0,n=g;e<=c;){switch(i){case 0:k=0;l=-1;e++;break;case 1:k=1;l=-1;break;case 2:k=1;l=0;break;case 3:l=k=1;break;case 4:k=0;l=1;break;case 5:k=-1;l=1;break;case 6:k=-1;l=0;break;case 7:l=k=-1}i=(i+1)%8;a.x=y(f+k*e);a.y=y(h+l*e);a.k();if(!this.Na(a,n)&&(n=this.ja(a),!n))return d}a.x=f;a.y=h;a.k();return j};t.Zb=function(a,b){a.Ne&&b.Ne&&this.Rg.push([a,b])};
t.an=function(a,b){var c,e,f;c=0;for(e=this.Rg.length;c<e;c++)if(f=this.Rg[c],f[0]==a&&f[1]==b||f[0]==b&&f[1]==a)return d;return j};
t.Zm=function(a,b,c){var e=a.x,f=a.y,h=ia(10,za(b,c,e,f)),i=va(b,c,e,f),k=this.ja(a);if(!k)return D(i+ka);var l=k,n,q,s,r,w=z(5);for(n=1;36>n;n++)if(q=i-n*w,a.x=b+Math.cos(q)*h,a.y=c+Math.sin(q)*h,a.k(),!this.Na(a,l)&&(l=this.ja(a),!l)){s=q;break}36===n&&(s=D(i+ka));l=k;for(n=1;36>n;n++)if(q=i+n*w,a.x=b+Math.cos(q)*h,a.y=c+Math.sin(q)*h,a.k(),!this.Na(a,l)&&(l=this.ja(a),!l)){r=q;break}36===n&&(r=D(i+ka));a.x=e;a.y=f;a.k();if(r===s)return r;a=wa(r,s)/2;a=ya(r,s)?D(s+a+ka):D(r+a);s=Math.cos(i);i=Math.sin(i);
r=Math.cos(a);a=Math.sin(a);b=s*r+i*a;return va(0,0,s-2*b*r,i-2*b*a)};var Db=[],Eb=-1;t=K.prototype;t.trigger=function(a,b,c){if(!this.U)return j;var e=this.U.Zf;if(!e)return j;Eb++;Eb===Db.length?Db.push(new $a):Db[Eb].clear();a=this.Vl(a,b,e,c);Eb--;return a};
t.Vl=function(a,b,c,e){var f=Db[Eb];if(f.contains(c))return j;f.add(c);var f=c.Jk.Kd(),h=j,i,k,l;i=0;for(k=f.length;i<k;i++)l=this.Vl(a,b,f[i],e),h=h||l;if(b){l=this.uj(a,b,b.type.name,c,e);h=h||l;i=0;for(k=b.type.ka.length;i<k;i++)l=this.uj(a,b,b.type.ka[i].name,c,e),h=h||l}else l=this.uj(a,b,"system",c,e),h=h||l;return h};
t.uj=function(a,b,c,e,f){var h,i=j,k=j,k="undefined"!==typeof f,l=(k?e.qk:e.Wl)[c];if(!l)return i;var n=g,e=0;for(h=l.length;e<h;e++)if(l[e].method==a){n=l[e].ag;break}if(!n)return i;a=k?n[f]:n;if(!a)return g;e=0;for(h=a.length;e<h;e++)f=a[e][0],k=a[e][1],k=this.Kn(b,c,f,k),i=i||k;return i};
t.Kn=function(a,b,c,e){var f,h,i=j;this.vj++;var k=this.ya().xa;k&&this.pf(k.Sc);var l=1<this.vj;this.pf(c.Sc);l&&this.Ro();var n=this.Pg(c);n.xa=c;a&&(f=this.types[b].C(),f.H=j,f.e.length=1,f.e[0]=a,this.types[b].Ie());a=d;if(c.parent){b=n.Pl;for(f=c.parent;f;)b.push(f),f=f.parent;b.reverse();f=0;for(h=b.length;f<h;f++)if(!b[f].Xo()){a=j;break}}a&&(this.Pe++,c.zb?c.Wo(e):c.ia(),i=i||n.ae);this.Mg();l&&this.Oo();this.Oc(c.Sc);k&&this.Oc(k.Sc);0===this.ib&&(0===Eb&&!this.si&&(!this.Rb.Ye()||this.Qb.length))&&
this.ab();this.vj--;return i};t.fi=function(){var a=this.ya();return a.xa.W[a.fa]};t.Rn=function(){var a=this.ya();return a.xa.Dc[a.Ob]};t.Ro=function(){this.yg++;this.yg>=this.Bi.length&&this.Bi.push([])};t.Oo=function(){this.yg--};t.yk=function(){return this.Bi[this.yg]};t.Pg=function(a){this.$f++;this.$f>=this.Xh.length&&this.Xh.push(new Ma);var b=this.ya();b.reset(a);return b};t.Mg=function(){this.$f--};t.ya=function(){return this.Xh[this.$f]};
t.So=function(){this.Ag++;this.Ag>=this.Ci.length&&this.Ci.push(da({name:aa,index:0,Ma:j}));var a=this.Sn();a.name=aa;a.index=0;a.Ma=j;return a};t.Po=function(){this.Ag--};t.Sn=function(){return this.Ci[this.Ag]};t.Ak=function(a,b){for(var c,e,f,h,i,k;b;){c=0;for(e=b.Eb.length;c<e;c++)if(k=b.Eb[c],k instanceof Pa&&a.toLowerCase()===k.name.toLowerCase())return k;b=b.parent}c=0;for(e=this.ld.length;c<e;c++){i=this.ld[c];f=0;for(h=i.Ic.length;f<h;f++)if(k=i.Ic[f],k instanceof Pa&&a.toLowerCase()===k.name.toLowerCase())return k}return g};
window.cr_createRuntime=function(a){return new K(document.getElementById(a))};window.cr_createDCRuntime=function(a,b){return new K({dc:d,width:a,height:b})};window.createCocoonJSRuntime=function(){window.c2cocoonjs=d;var a=document.createElement("screencanvas");document.body.appendChild(a);a=new K(a);window.c2runtime=a;window.addEventListener("orientationchange",function(){window.c2runtime.setSize(window.innerWidth,window.innerHeight)});return a};
window.cr_getC2Runtime=function(){var a=document.getElementById("c2canvas");if(a)return a.c2runtime;if(window.c2runtime)return window.c2runtime};window.cr_sizeCanvas=function(a,b){if(!(0===a||0===b)){var c=window.cr_getC2Runtime();c&&c.setSize(a,b)}};window.cr_setSuspended=function(a){var b=window.cr_getC2Runtime();b&&b.setSuspended(a)};
function Fb(a,b){this.a=a;this.Zf=g;this.scrollX=this.a.Bb/2;this.scrollY=this.a.Ab/2;this.scale=1;this.f=0;this.name=b[0];this.width=b[1];this.height=b[2];this.Xl=b[3];this.Kl=b[4];var c=b[5],e,f;this.R=[];this.We=[];e=0;for(f=c.length;e<f;e++){var h=new Qa(this,c[e]);h.ll=e;this.R.push(h)}c=b[6];this.qd=[];e=0;for(f=c.length;e<f;e++){var h=c[e],i=this.a.v[h[1]];i.Sb||(i.Sb=h);this.qd.push(h);-1===this.We.indexOf(i)&&this.We.push(i)}this.L=[];this.I=[];this.Ha=[];e=0;for(f=b[7].length;e<f;e++)this.L.push({id:b[7][e][0],
name:b[7][e][1],Aa:-1,cb:d,index:e}),this.Ha.push(b[7][e][2].slice(0));this.we();this.Yb=new Ya(0,0,1,1);this.Xi=new Ya(0,0,1,1)}
function Gb(a,b){this.Q=a;this.a=a.a;this.e=[];this.scale=1;this.f=0;this.kd=j;this.wc=new Ya(0,0,0,0);this.Sl=new Za;this.lb=this.ob=this.nb=this.mb=0;this.Zc=j;this.name=b[0];this.index=b[1];this.visible=b[2];this.Td=b[3];this.Af=b[4];this.Lc=b[5];this.Mc=b[6];this.opacity=b[7];this.ai=b[8];this.zc=b[9];this.Pb=b[10];this.ln=b[11];this.Tf="source-over";this.Ea=this.La=0;this.Pc=j;var c=b[12],e,f;this.Xd=[];e=0;for(f=c.length;e<f;e++){var h=c[e],i=this.a.v[h[1]];i.Sb||(i.Sb=h);this.Xd.push(h);-1===
this.Q.We.indexOf(i)&&this.Q.We.push(i)}this.L=[];this.I=[];this.Ha=[];e=0;for(f=b[13].length;e<f;e++)this.L.push({id:b[13][e][0],name:b[13][e][1],Aa:-1,cb:d,index:e}),this.Ha.push(b[13][e][2].slice(0));this.we();this.Yb=new Ya(0,0,1,1);this.Xi=new Ya(0,0,1,1)}Fb.prototype.Hk=function(){var a=this.R[0];return!a.Af&&1===a.opacity&&!a.ai&&a.visible};Fb.prototype.we=function(){this.I.length=0;var a,b,c;a=0;for(b=this.L.length;a<b;a++)c=this.L[a],c.cb&&this.I.push(c)};var Hb=[];t=Fb.prototype;
t.nj=function(){this.Kl&&(this.Zf=this.a.Yh[this.Kl]);this.a.U=this;this.scrollX=this.a.Bb/2;this.scrollY=this.a.Ab/2;var a,b,c,e,f,h,i;a=0;for(c=this.a.v.length;a<c;a++)if(b=this.a.v[a],!b.D){f=b.e;b=0;for(e=f.length;b<e;b++)h=f[b],h.j&&(i=h.j.ll,i>=this.R.length&&(i=this.R.length-1),h.j=this.R[i],h.j.e.push(h),h.j.Zc=d)}a=Hb.length=0;for(c=this.R.length;a<c;a++)b=this.R[a],b.dn(),b.kd=d,e=b.Pa(0,0,d),h=b.Pa(0,0,j),b.kd=j,this.a.$a&&(e=e+0.5|0,h=h+0.5|0),b.bj(e,h,g);for(a=0;a<Hb.length;a++)if(h=
Hb[a],h.type.wb){c=h.hg();b=0;for(e=h.type.eb.length;b<e;b++)f=h.type.eb[b],h.type!==f&&(f.e.length>c?h.siblings.push(f.e[c]):f.Sb&&(i=this.a.Ud(f.Sb,h.j,d,h.x,h.y,d),this.a.ab(),f.hh(),h.siblings.push(i),Hb.push(i)))}a=0;for(c=this.qd.length;a<c;a++)this.a.Ud(this.qd[a],g,d);this.a.Fc=g;this.a.ab();if(this.a.K&&!this.a.Ia){a=0;for(c=this.a.v.length;a<c;a++)f=this.a.v[a],!f.D&&(f.e.length&&f.Ng)&&f.Ng(this.a.K)}this.a.trigger(M.prototype.d.dd,g)};
t.cn=function(){var a,b,c,e,f;b=a=0;for(c=this.qd.length;a<c;a++)e=this.qd[a],f=this.a.v[e[1]],f.global?this.a.Ud(e,g,d):(this.qd[b]=e,b++);this.qd.length=b};
t.dp=function(){this.a.trigger(M.prototype.d.tm,g);this.a.Hd.yc.length=0;var a,b,c,e,f,h;a=0;for(b=this.R.length;a<b;a++){f=this.R[a].e;c=0;for(e=f.length;c<e;c++)h=f[c],h.type.global||this.a.$c(h);this.a.ab();f.length=0;this.R[a].Zc=d}a=0;for(b=this.a.v.length;a<b;a++)if(f=this.a.v[a],!f.global&&!f.aa.sg&&!f.aa.lj){c=0;for(e=f.e.length;c<e;c++)this.a.$c(f.e[c]);this.a.ab()}};
t.Xa=function(a){a.globalAlpha=1;a.globalCompositeOperation="source-over";this.a.ik&&!this.Hk()&&a.clearRect(0,0,this.a.width,this.a.height);var b,c,e;b=0;for(c=this.R.length;b<c;b++)e=this.R[b],e.visible&&(0<e.opacity&&11!==e.Pb)&&e.Xa(a)};
t.Qa=function(a){var b=0<this.I.length||this.a.xe;if(b){this.a.Jb||(this.a.Jb=a.Gc(this.a.width,this.a.height,this.a.P));if(this.a.Jb.hd!==this.a.width||this.a.Jb.gd!==this.a.height)a.deleteTexture(this.a.Jb),this.a.Jb=a.Gc(this.a.width,this.a.height,this.a.P);a.Rc(this.a.Jb)}this.a.ik&&!this.Hk()&&a.clear(0,0,0,0);var c,e;c=0;for(e=this.R.length;c<e;c++)this.R[c].visible&&0<this.R[c].opacity&&this.R[c].Qa(a);b&&(1>=this.I.length?(1===this.I.length?(b=this.I[0].index,a.Wc(this.I[0].Aa),a.sf(g,1/this.a.width,
1/this.a.height,0,0,1,1,this.scale,this.Ha[b]),a.Ri(this.I[0].Aa)&&(this.a.G=d)):a.Wc(0),a.Rc(g),a.Qc(1),a.Va(this.a.Jb),a.$o(),a.tc(),a.xc(),b=this.a.width/2,c=this.a.height/2,a.Qg(-b,c,b,c,b,-c,-b,-c),a.Va(g)):this.Yi(a,g,g,g));a.uq()};t.Ue=function(){return 0<this.I.length||this.a.xe?this.a.Jb:g};t.Bk=function(){var a=this.R[0].Ta(),b,c,e;b=1;for(c=this.R.length;b<c;b++)e=this.R[b],0===e.Lc&&0===e.Mc||e.Ta()<a&&(a=e.Ta());return a};
t.Dl=function(a){if(!this.Xl){var b=this.a.width*(1/this.Bk())/2;a>this.width-b&&(a=this.width-b);a<b&&(a=b)}this.scrollX!==a&&(this.scrollX=a,this.a.G=d)};t.El=function(a){if(!this.Xl){var b=this.a.height*(1/this.Bk())/2;a>this.height-b&&(a=this.height-b);a<b&&(a=b)}this.scrollY!==a&&(this.scrollY=a,this.a.G=d)};
t.Yi=function(a,b,c,e){var f=c?c.I:b?b.I:this.I,h=c?c.j.Ta():b?b.Ta():1,i=this.a.di,k,l,n,q,s=0,r=1,w,u=this.a.width,v=this.a.height,A=u/2,B=v/2,L=b?b.Yb:this.Yb,C=b?b.Xi:this.Xi,E=0,V=0,G=0,W=0,I=u,Ha=u,H=v,Ia=v,ma=n=0,Na=c?c.j.jc():0;if(c){k=0;for(l=f.length;k<l;k++)n+=a.kq(f[k].Aa),ma+=a.lq(f[k].Aa);q=c.J;E=b.Y(q.left,q.top,d);G=b.Y(q.left,q.top,j);I=b.Y(q.right,q.bottom,d);H=b.Y(q.right,q.bottom,j);0!==Na&&(k=b.Y(q.right,q.top,d),l=b.Y(q.right,q.top,j),V=b.Y(q.left,q.bottom,d),W=b.Y(q.left,q.bottom,
j),q=Math.min(E,I,k,V),I=Math.max(E,I,k,V),E=q,q=Math.min(G,H,l,W),H=Math.max(G,H,l,W),G=q);E-=n;G-=ma;I+=n;H+=ma;C.left=E/u;C.top=1-G/v;C.right=I/u;C.bottom=1-H/v;V=E=Math.floor(E);W=G=Math.floor(G);Ha=I=Math.ceil(I);Ia=H=Math.ceil(H);V-=n;W-=ma;Ha+=n;Ia+=ma;0>E&&(E=0);0>G&&(G=0);I>u&&(I=u);H>v&&(H=v);0>V&&(V=0);0>W&&(W=0);Ha>u&&(Ha=u);Ia>v&&(Ia=v);L.left=E/u;L.top=1-G/v;L.right=I/u;L.bottom=1-H/v}else L.left=C.left=0,L.top=C.top=0,L.right=C.right=1,L.bottom=C.bottom=1;ma=c&&((c.f||Na)&&a.Og(f[0].Aa)||
0!==n||0!==ma||1!==c.opacity||c.type.aa.il)||b&&!c&&1!==b.opacity;a.$o();if(ma){i[s]||(i[s]=a.Gc(u,v,this.a.P));if(i[s].hd!==u||i[s].gd!==v)a.deleteTexture(i[s]),i[s]=a.Gc(u,v,this.a.P);a.Wc(0);a.Rc(i[s]);w=Ia-W;a.clearRect(V,v-W-w,Ha-V,w);c?c.Qa(a):(a.Va(this.a.jb),a.Qc(b.opacity),a.tc(),a.translate(-A,-B),a.xc(),a.Lb(E,H,I,H,I,G,E,G,L));C.left=C.top=0;C.right=C.bottom=1;c&&(q=L.top,L.top=L.bottom,L.bottom=q);s=1;r=0}a.Qc(1);n=f.length-1;var Na=a.wl(f[n].Aa),Oa=0;k=0;for(l=f.length;k<l;k++){i[s]||
(i[s]=a.Gc(u,v,this.a.P));if(i[s].hd!==u||i[s].gd!==v)a.deleteTexture(i[s]),i[s]=a.Gc(u,v,this.a.P);a.Wc(f[k].Aa);Oa=f[k].index;a.Ri(f[k].Aa)&&(this.a.G=d);0==k&&!ma?(a.Rc(i[s]),w=Ia-W,q=v-W-w,a.clearRect(V,q,Ha-V,w),c?(a.sf(e,1/c.width,1/c.height,C.left,C.top,C.right,C.bottom,h,c.Ha[Oa]),c.Qa(a)):(a.sf(e,1/u,1/v,0,0,1,1,h,b?b.Ha[Oa]:this.Ha[Oa]),a.Va(b?this.a.jb:this.a.Jb),a.tc(),a.translate(-A,-B),a.xc(),a.Lb(E,H,I,H,I,G,E,G,L)),C.left=C.top=0,C.right=C.bottom=1,c&&!Na&&(q=H,H=G,G=q)):(a.sf(e,1/
u,1/v,C.left,C.top,C.right,C.bottom,h,c?c.Ha[Oa]:b?b.Ha[Oa]:this.Ha[Oa]),k===n&&!Na?(c?a.pe(c.La,c.Ea):b&&a.pe(b.La,b.Ea),a.Rc(e)):(a.Rc(i[s]),w=Ia-W,q=v-W-w,a.clearRect(V,q,Ha-V,w)),a.Va(i[r]),a.tc(),a.translate(-A,-B),a.xc(),a.Lb(E,H,I,H,I,G,E,G,L),k===n&&!Na&&a.Va(g));s=0===s?1:0;r=0===s?1:0}Na&&(a.Wc(0),c?a.pe(c.La,c.Ea):b&&a.pe(b.La,b.Ea),a.Rc(e),a.Va(i[r]),a.tc(),a.translate(-A,-B),a.xc(),c&&1===f.length&&!ma?a.Lb(E,G,I,G,I,H,E,H,L):a.Lb(E,H,I,H,I,G,E,G,L),a.Va(g))};Ka=Fb;t=Gb.prototype;
t.we=function(){this.I.length=0;var a,b,c;a=0;for(b=this.L.length;a<b;a++)c=this.L[a],c.cb&&this.I.push(c)};t.dn=function(){var a,b,c,e;b=a=0;for(c=this.Xd.length;a<c;a++)e=this.a.Ud(this.Xd[a],this,d),Hb.push(e),e&&!e.type.global&&(this.Xd[b]=this.Xd[a],b++);this.Xd.length=b;this.a.ab();!this.a.n&&this.L.length&&(this.Pb=this.ln);this.Tf=Ea(this.Pb);this.a.pd&&Fa(this,this.Pb,this.a.pd)};t.ip=function(){if(this.Zc){var a,b;a=0;for(b=this.e.length;a<b;a++)this.e[a].Aj=a;this.Zc=j}};
t.Ta=function(){return this.Vn()*this.a.Hh};t.Vn=function(){return(this.scale*this.Q.scale-1)*this.zc+1};t.jc=function(){return this.kd?0:D(this.Q.f+this.f)};
t.Xa=function(a){this.Pc=this.ai||1!==this.opacity||0!==this.Pb;var b=this.a.canvas,c=a;a.globalAlpha=1;a.globalCompositeOperation="source-over";this.Pc&&(this.a.xg||(this.a.xg=document.createElement("canvas"),b=this.a.xg,b.width=this.a.width,b.height=this.a.height,this.a.al=b.getContext("2d")),b=this.a.xg,c=this.a.al,b.width!==this.a.width&&(b.width=this.a.width),b.height!==this.a.height&&(b.height=this.a.height),this.Af&&c.clearRect(0,0,this.a.width,this.a.height));this.Af||(c.fillStyle="rgb("+
this.Td[0]+","+this.Td[1]+","+this.Td[2]+")",c.fillRect(0,0,this.a.width,this.a.height));c.save();this.kd=d;var e=this.Pa(0,0,d),f=this.Pa(0,0,j);this.kd=j;this.a.$a&&(e=e+0.5|0,f=f+0.5|0);this.bj(e,f,c);var h=this.Ta();c.scale(h,h);c.translate(-e,-f);for(var i,e=0,f=this.e.length;e<f;e++)if(h=this.e[e],h.visible&&!(0===h.width||0===h.height))h.ac(),i=h.J,i.right<this.mb||(i.bottom<this.ob||i.left>this.nb||i.top>this.lb)||(c.globalCompositeOperation=h.Tf,h.Xa(c));c.restore();this.Pc&&(a.globalCompositeOperation=
this.Tf,a.globalAlpha=this.opacity,a.drawImage(b,0,0))};
t.bj=function(a,b,c){var e=this.Ta();this.mb=a;this.ob=b;this.nb=a+this.a.width*(1/e);this.lb=b+this.a.height*(1/e);a=this.jc();0!==a&&(c&&(c.translate(this.a.width/2,this.a.height/2),c.rotate(-a),c.translate(this.a.width/-2,this.a.height/-2)),this.wc.set(this.mb,this.ob,this.nb,this.lb),this.wc.offset((this.mb+this.nb)/-2,(this.ob+this.lb)/-2),this.Sl.Hl(this.wc,a),this.Sl.ek(this.wc),this.wc.offset((this.mb+this.nb)/2,(this.ob+this.lb)/2),this.mb=this.wc.left,this.ob=this.wc.top,this.nb=this.wc.right,
this.lb=this.wc.bottom)};
t.Qa=function(a){var b=this.a.width,c=this.a.height,e=0,f=0;if(this.Pc=this.ai||1!==this.opacity||0<this.I.length||0!==this.Pb){this.a.jb||(this.a.jb=a.Gc(this.a.width,this.a.height,this.a.P));if(this.a.jb.hd!==this.a.width||this.a.jb.gd!==this.a.height)a.deleteTexture(this.a.jb),this.a.jb=a.Gc(this.a.width,this.a.height,this.a.P);a.Rc(this.a.jb);this.Af&&a.clear(0,0,0,0)}this.Af||a.clear(this.Td[0]/255,this.Td[1]/255,this.Td[2]/255,1);this.kd=d;var f=this.Pa(0,0,d),h=this.Pa(0,0,j);this.kd=j;this.a.$a&&
(f=f+0.5|0,h=h+0.5|0);this.bj(f,h,g);h=this.Ta();a.tc();a.scale(h,h);a.Bl(-this.jc());a.translate((this.mb+this.nb)/-2,(this.ob+this.lb)/-2);a.xc();var i,k,l;i=0;for(k=this.e.length;i<k;i++)if(l=this.e[i],l.visible&&!(0===l.width||0===l.height))if(l.ac(),e=l.J,!(e.right<this.mb||e.bottom<this.ob||e.left>this.nb||e.top>this.lb))if(l.Zl)if(e=l.I[0].Aa,f=l.I[0].index,1===l.I.length&&!a.wl(e)&&!a.vq(e)&&(!l.f&&!l.j.jc()||!a.Og(e))&&1===l.opacity&&!l.type.aa.il){a.Wc(e);a.pe(l.La,l.Ea);a.Ri(e)&&(this.a.G=
d);var n=0,q=0,s=0,r=0;a.Og(e)&&(e=l.J,n=this.Y(e.left,e.top,d),q=this.Y(e.left,e.top,j),s=this.Y(e.right,e.bottom,d),e=this.Y(e.right,e.bottom,j),n/=b,q=1-q/c,s/=b,r=1-e/c);a.sf(this.Pc?this.a.jb:this.Q.Ue(),1/l.width,1/l.height,n,q,s,r,this.Ta(),l.Ha[f]);l.Qa(a)}else this.Q.Yi(a,this,l,this.Pc?this.a.jb:this.Q.Ue()),a.tc(),a.scale(h,h),a.Bl(-this.jc()),a.translate((this.mb+this.nb)/-2,(this.ob+this.lb)/-2),a.xc();else a.Wc(0),a.pe(l.La,l.Ea),l.Qa(a);this.Pc&&(e=this.I.length?this.I[0].Aa:0,f=this.I.length?
this.I[0].index:0,0===this.I.length||1===this.I.length&&!a.wl(e)&&1===this.opacity?(1===this.I.length?(a.Wc(e),a.sf(this.Q.Ue(),1/this.a.width,1/this.a.height,0,0,1,1,this.Ta(),this.Ha[f]),a.Ri(e)&&(this.a.G=d)):a.Wc(0),a.Rc(this.Q.Ue()),a.Qc(this.opacity),a.Va(this.a.jb),a.pe(this.La,this.Ea),a.tc(),a.xc(),b=this.a.width/2,c=this.a.height/2,a.Qg(-b,c,b,c,b,-c,-b,-c),a.Va(g)):this.Q.Yi(a,this,g,this.Q.Ue()))};
t.Pa=function(a,b,c){var e=this.a.devicePixelRatio;!this.a.Ia&&(this.a.ih&&this.a.nc)&&0<this.a.Jc&&(a*=e,b*=e);var e=this.a.Bb/2,f=this.a.Ab/2,e=(this.Q.scrollX-e)*this.Lc+e,f=(this.Q.scrollY-f)*this.Mc+f,h=1/this.Ta(),e=e-this.a.width*h/2,f=f-this.a.height*h/2,e=e+a*h,f=f+b*h,b=this.jc();0!==b&&(e-=this.Q.scrollX,f-=this.Q.scrollY,a=Math.cos(b),b=Math.sin(b),h=e*a-f*b,f=f*a+e*b,e=h+this.Q.scrollX,f+=this.Q.scrollY);return c?e:f};
t.Y=function(a,b,c){var e=this.jc();if(0!==e)var a=a-this.Q.scrollX,b=b-this.Q.scrollY,f=Math.cos(-e),e=Math.sin(-e),h=a*f-b*e,b=b*f+a*e,a=h+this.Q.scrollX,b=b+this.Q.scrollY;f=this.a.Bb/2;e=this.a.Ab/2;f=(this.Q.scrollX-f)*this.Lc+f;e=(this.Q.scrollY-e)*this.Mc+e;h=1/this.Ta();f-=this.a.width*h/2;e-=this.a.height*h/2;f=(a-f)/h;e=(b-e)/h;a=this.a.devicePixelRatio;!this.a.Ia&&(this.a.ih&&this.a.nc)&&0<this.a.Jc&&(f/=a,e/=a);return c?f:e};Qa=Gb;
function Ib(a,b){var c,e=a.length;switch(e){case 0:return d;case 1:return a[0]===b[0];case 2:return a[0]===b[0]&&a[1]===b[1];default:for(c=0;c<e;c++)if(a[c]!==b[c])return j;return d}}function Jb(a,b){return a.index-b.index}function Kb(a){var b,c,e,f;2===a.length?a[0].index>a[1].index&&(b=a[0],a[0]=a[1],a[1]=b):2<a.length&&a.sort(Jb);a.length>=Lb.length&&(Lb.length=a.length+1);Lb[a.length]||(Lb[a.length]=[]);f=Lb[a.length];b=0;for(c=f.length;b<c;b++)if(e=f[b],Ib(a,e))return e;f.push(a);return a}
function Mb(a,b){this.a=a;this.Wl={};this.qk={};this.ki=j;this.Jk=new $a;this.name=b[0];var c=b[1];this.Ic=[];var e,f;e=0;for(f=c.length;e<f;e++)this.Kk(c[e],g,this.Ic)}function Nb(a){this.type=a;this.e=[];this.X=[];this.H=d}
function Ob(a,b,c){this.sheet=a;this.parent=b;this.a=a.a;this.da=[];this.Sc=[];this.Ik=this.eh=this.tj=this.mg=this.group=this.mj=j;this.W=[];this.Dc=[];this.Eb=[];c[1]?(this.hi=c[1][1].toLowerCase(),this.group=d,this.mg=!!c[1][0],this.a.Dh.push(this),this.a.Mf[this.hi.toLowerCase()]=this.mg):(this.hi="",this.mg=this.group=j);this.zb=c[2];for(var e=c[3],a=0,b=e.length;a<b;a++){var f=new Ra(this,e[a]);this.W.push(f);this.Yj(f.type)}e=c[4];a=0;for(b=e.length;a<b;a++)f=new Sa(this,e[a]),this.Dc.push(f);
if(6===c.length){c=c[5];a=0;for(b=c.length;a<b;a++)this.sheet.Kk(c[a],this,this.Eb)}this.og=j;this.W.length&&(this.og=this.W[0].type==g&&this.W[0].ga==M.prototype.d.gm)}function Pb(a,b){var c,e,f;if(a&&(-1===b.indexOf(a)&&b.push(a),a.wb)){c=0;for(e=a.eb.length;c<e;c++)f=a.eb[c],a!==f&&-1===b.indexOf(f)&&b.push(f)}}
function Qb(a,b){this.tb=a;this.sheet=a.sheet;this.a=a.a;this.F=[];this.B=[];this.T={};this.ga=b[1];this.trigger=0<b[3];this.pk=2===b[3];this.Di=b[4];this.Xe=b[5];this.Ao=b[6];-1===b[0]?(this.type=g,this.ia=this.dj,this.Je=g,this.ra=-1):(this.type=this.a.v[b[0]],this.ia=this.Ao?this.Yo:this.cj,b[2]?(this.Je=this.type.fg(b[2]),this.ra=this.type.ei(b[2])):(this.Je=g,this.ra=-1),this.tb.parent&&this.tb.parent.Ug());this.pk&&(this.ia=this.Zo);if(8===b.length){var c,e,f=b[7];c=0;for(e=f.length;c<e;c++){var h=
new Ta(this,f[c]);this.F.push(h)}this.B.length=f.length}}function Rb(a,b){this.tb=a;this.sheet=a.sheet;this.a=a.a;this.F=[];this.B=[];this.T={};this.ga=b[1];-1===b[0]?(this.type=g,this.ia=this.dj,this.Je=g,this.ra=-1):(this.type=this.a.v[b[0]],this.ia=this.cj,b[2]?(this.Je=this.type.fg(b[2]),this.ra=this.type.ei(b[2])):(this.Je=g,this.ra=-1));if(4===b.length){var c,e,f=b[3];c=0;for(e=f.length;c<e;c++){var h=new Ta(this,f[c]);this.F.push(h)}this.B.length=f.length}}
function Sb(a,b){this.m=a;this.tb=a.tb;this.sheet=a.sheet;this.a=a.a;this.type=b[0];this.Tb=g;this.jk=this.Tc=0;this.Q=g;this.key=0;this.object=g;this.index=0;this.jh=this.se=this.rk=this.md=this.Cf=g;var c,e,f;switch(b[0]){case 0:case 7:this.Tb=new F(this,b[1]);this.Tc=0;this.get=this.$n;break;case 1:this.Tb=new F(this,b[1]);this.Tc=0;this.get=this.ao;break;case 5:this.Tb=new F(this,b[1]);this.Tc=0;this.get=this.fo;break;case 3:case 8:this.jk=b[1];this.get=this.Yn;break;case 6:this.Q=this.a.wi[b[1]];
this.get=this.ho;break;case 9:this.key=b[1];this.get=this.eo;break;case 4:this.object=this.a.v[b[1]];this.get=this.io;this.tb.Yj(this.object);this.m instanceof Sa?this.tb.Ug():this.tb.parent&&this.tb.parent.Ug();break;case 10:this.index=b[1];this.get=a.type.D?this.bo:this.co;break;case 11:this.Cf=b[1];this.md=g;this.get=this.Zn;break;case 2:case 12:this.rk=b[1];this.get=this.Xn;break;case 13:this.get=this.jo;this.se=[];this.jh=[];c=1;for(e=b.length;c<e;c++)f=new Ta(this.m,b[c]),this.se.push(f),this.jh.push(0)}}
function Tb(a,b,c){this.sheet=a;this.parent=b;this.a=a.a;this.da=[];this.name=c[1];this.am=c[2];this.lg=c[3];this.qg=!!c[4];this.Rk=!!c[5];this.data=this.lg;this.parent?this.wd=this.qg||this.Rk?-1:this.a.cp++:(this.wd=-1,this.a.Eh.push(this))}function Ub(a,b,c){this.sheet=a;this.parent=b;this.a=a.a;this.da=[];this.kg=g;this.oo=c[1]}function Vb(){this.Pl=[];this.reset(g)}var Lb=[];t=Mb.prototype;t.toString=ba("name");
t.Kk=function(a,b,c){switch(a[0]){case 0:a=new Ua(this,b,a);if(a.zb){c.push(a);c=0;for(b=a.W.length;c<b;c++)a.W[c].trigger&&this.Lk(a,c)}else a.Sk()?this.Lk(a,0):c.push(a);break;case 1:a=new Pa(this,b,a);c.push(a);break;case 2:a=new Va(this,b,a),c.push(a)}};t.ca=function(){var a,b;a=0;for(b=this.Ic.length;a<b;a++)this.Ic[a].ca(a<b-1&&this.Ic[a+1].og)};
t.ia=function(){this.ki=d;this.a.si=d;var a,b;a=0;for(b=this.Ic.length;a<b;a++){var c=this.Ic[a];c.ia();this.a.Lh(c.da);(!this.a.Rb.Ye()||this.a.Qb.length)&&this.a.ab()}this.a.si=j};
t.Lk=function(a,b){a.zb||this.a.gh.push(a);var c,e,f=a.W[b],h;h=f.type?f.type.name:"system";var i=(c=f.pk)?this.qk:this.Wl;i[h]||(i[h]=[]);h=i[h];i=f.ga;if(c){if(f.F.length&&(f=f.F[0],!(1!==f.type||2!==f.Tb.type))){f=f.Tb.value.toLowerCase();c=0;for(e=h.length;c<e;c++)if(h[c].method==i){c=h[c].ag;c[f]?c[f].push([a,b]):c[f]=[[a,b]];return}c={};c[f]=[[a,b]];h.push({method:i,ag:c})}}else{c=0;for(e=h.length;c<e;c++)if(h[c].method==i){h[c].ag.push([a,b]);return}h.push({method:i,ag:[[a,b]]})}};La=Mb;
Nb.prototype.ji=function(){return this.H?this.type.e.length:this.e.length};Nb.prototype.hb=function(){return this.H?this.type.e:this.e};Nb.prototype.sl=function(a){a&&(a.a.ya().xa.zb?(this.H&&(this.e.length=0,pa(this.X,a.type.e),this.H=j),a=this.X.indexOf(a),-1!==a&&(this.e.push(this.X[a]),this.X.splice(a,1))):(this.H=j,this.e.length=1,this.e[0]=a))};Ja=Nb;t=Ob.prototype;
t.ca=function(a){var b,c=this.parent;if(this.group)for(this.eh=d;c;){if(!c.group){this.eh=j;break}c=c.parent}this.tj=!this.Sk()&&(!this.parent||this.parent.group&&this.parent.eh);this.Ik=!!a;this.Sc=this.da.slice(0);for(c=this.parent;c;){a=0;for(b=c.da.length;a<b;a++)this.Um(c.da[a]);c=c.parent}this.da=Kb(this.da);this.Sc=Kb(this.Sc);a=0;for(b=this.W.length;a<b;a++)this.W[a].ca();a=0;for(b=this.Dc.length;a<b;a++)this.Dc[a].ca();a=0;for(b=this.Eb.length;a<b;a++)this.Eb[a].ca(a<b-1&&this.Eb[a+1].og)};
t.Yj=function(a){Pb(a,this.da)};t.Um=function(a){Pb(a,this.Sc)};t.Ug=function(){this.mj=d;this.parent&&this.parent.Ug()};t.Sk=function(){return this.W.length?this.W[0].trigger:j};
t.ia=function(){var a,b=j,c=this.a.ya();c.xa=this;this.og||(c.Wh=j);if(this.zb){0===this.W.length&&(b=d);c.fa=0;for(a=this.W.length;c.fa<a;c.fa++)this.W[c.fa].trigger||this.W[c.fa].ia()&&(b=d);(c.ae=b)&&this.Tg()}else{c.fa=0;for(a=this.W.length;c.fa<a;c.fa++)if(!this.W[c.fa].ia()){c.ae=j;this.tj&&(!this.a.Rb.Ye()||this.a.Qb.length)&&this.a.ab();return}c.ae=d;this.Tg()}c.ae&&this.Ik&&(c.Wh=d);this.tj&&(!this.a.Rb.Ye()||this.a.Qb.length)&&this.a.ab()};
t.Wo=function(a){this.a.ya().xa=this;this.W[a].ia()&&this.Tg()};t.Tg=function(){var a=this.a.ya(),b;a.Ob=0;for(b=this.Dc.length;a.Ob<b;a.Ob++)if(this.Dc[a.Ob].ia())return;this.Cl()};t.Uo=function(){var a=this.a.ya(),b;for(b=this.Dc.length;a.Ob<b;a.Ob++)if(this.Dc[a.Ob].ia())return;this.Cl()};
t.Cl=function(){if(this.Eb.length){var a,b,c,e,f=this.Eb.length-1;this.a.Pg(this);if(this.mj){a=0;for(b=this.Eb.length;a<b;a++)c=this.Eb[a],(e=!this.eh||!this.group&&a<f)&&this.a.qf(c.da),c.ia(),e?this.a.Oc(c.da):this.a.Lh(c.da)}else{a=0;for(b=this.Eb.length;a<b;a++)this.Eb[a].ia()}this.a.Mg()}};t.Xo=function(){var a=this.a.ya();a.xa=this;var b=j,c;a.fa=0;for(c=this.W.length;a.fa<c;a.fa++)if(this.W[a.fa].ia())b=d;else if(!this.zb)return j;return this.zb?b:d};
t.$i=function(){this.a.Pe++;var a=this.a.ya().fa,b=this.a.Pg(this);if(!this.zb){b.fa=a+1;for(a=this.W.length;b.fa<a;b.fa++)if(!this.W[b.fa].ia()){this.a.Mg();return}}this.Tg();this.a.Mg()};Ua=Ob;t=Qb.prototype;t.ca=function(){var a,b;a=0;for(b=this.F.length;a<b;a++)this.F[a].ca()};t.Zo=p(d);t.dj=function(){var a,b;a=0;for(b=this.F.length;a<b;a++)this.B[a]=this.F[a].get();return Aa(this.ga.apply(this.a.Hd,this.B),this.Xe)};
t.Yo=function(){var a,b;a=0;for(b=this.F.length;a<b;a++)this.B[a]=this.F[a].get();a=this.ga.apply(this.type,this.B);this.type.Ie();return a};
t.cj=function(){var a,b,c,e,f,h,i,k=this.type.C(),l=this.tb.zb&&!this.trigger,n=0,q=this.type.wb;if(k.H){k.e.length=0;a=k.X.length=0;for(c=this.type.e.length;a<c;a++){h=this.type.e[a];b=0;for(e=this.F.length;b<e;b++)this.B[b]=this.F[b].get(a);-1<this.ra?(this.type.D&&(n=h.type.Wd[this.type.Ub]),b=this.ga.apply(h.na[this.ra+n],this.B)):b=this.ga.apply(h,this.B);(f=Aa(b,this.Xe))?k.e.push(h):l&&k.X.push(h)}this.type.finish&&this.type.finish(d);k.H=j;this.type.Ie();return k.ji()}var s=0,r=l?k.X:k.e;
f=j;a=0;for(c=r.length;a<c;a++){h=r[a];b=0;for(e=this.F.length;b<e;b++)this.B[b]=this.F[b].get(a);-1<this.ra?(this.type.D&&(n=h.type.Wd[this.type.Ub]),b=this.ga.apply(h.na[this.ra+n],this.B)):b=this.ga.apply(h,this.B);if(Aa(b,this.Xe))if(f=d,l){if(k.e.push(h),q){b=0;for(e=h.siblings.length;b<e;b++)i=h.siblings[b],i.type.C().e.push(i)}}else{r[s]=h;if(q){b=0;for(e=h.siblings.length;b<e;b++)i=h.siblings[b],i.type.C().e[s]=i}s++}else if(l){r[s]=h;if(q){b=0;for(e=h.siblings.length;b<e;b++)i=h.siblings[b],
i.type.C().X[s]=i}s++}}r.length=s;if(q){a=0;for(c=this.type.eb.length;a<c;a++)h=this.type.eb[a].C(),l?h.X.length=s:h.e.length=s}n=f;if(l&&!f){a=0;for(c=k.e.length;a<c;a++){h=k.e[a];b=0;for(e=this.F.length;b<e;b++)this.B[b]=this.F[b].get(a);b=-1<this.ra?this.ga.apply(h.na[this.ra],this.B):this.ga.apply(h,this.B);if(Aa(b,this.Xe)){f=d;break}}}this.type.finish&&this.type.finish(n||l);return l?f:k.ji()};Ra=Qb;Rb.prototype.ca=function(){var a,b;a=0;for(b=this.F.length;a<b;a++)this.F[a].ca()};
Rb.prototype.dj=function(){var a,b;a=0;for(b=this.F.length;a<b;a++)this.B[a]=this.F[a].get();return this.ga.apply(this.a.Hd,this.B)};Rb.prototype.cj=function(){var a=this.type.C().hb(),b,c,e,f,h;b=0;for(e=a.length;b<e;b++){h=a[b];c=0;for(f=this.F.length;c<f;c++)this.B[c]=this.F[c].get(b);-1<this.ra?(c=0,this.type.D&&(c=h.type.Wd[this.type.Ub]),this.ga.apply(h.na[this.ra+c],this.B)):this.ga.apply(h,this.B)}return j};Sa=Rb;var Wb=[],Xb=-1;t=Sb.prototype;
t.ca=function(){var a,b;if(11===this.type)this.md=this.a.Ak(this.Cf,this.tb.parent);else if(13===this.type){a=0;for(b=this.se.length;a<b;a++)this.se[a].ca()}this.Tb&&this.Tb.ca()};t.la=function(){Xb++;Wb.length===Xb&&Wb.push(new Wa);return Wb[Xb]};t.ha=function(){Xb--};t.$n=function(a){this.Tc=a||0;a=this.la();this.Tb.get(a);this.ha();return a.data};t.ao=function(a){this.Tc=a||0;a=this.la();this.Tb.get(a);this.ha();return x(a.data)?a.data:""};t.io=ba("object");t.Yn=ba("jk");
t.fo=function(a){this.Tc=a||0;a=this.la();this.Tb.get(a);this.ha();return a.pa()?this.a.Te(a.data):this.a.gi(a.data)};t.ho=ba("Q");t.eo=ba("key");t.co=ba("index");t.bo=function(a){var b=this.m.type,c=g,c=b.C(),e=c.hb(),c=e.length?e[a%e.length].type:c.X[a%c.X.length].type;return this.index+c.bg[b.Ub]};t.Zn=ba("md");t.Xn=ba("rk");t.jo=function(){var a,b;a=0;for(b=this.se.length;a<b;a++)this.jh[a]=this.se[a].get();return this.jh};Ta=Sb;Tb.prototype.ca=function(){this.da=Kb(this.da)};
Tb.prototype.Vg=function(a){var b=this.a.yk();!this.parent||this.qg||!b?this.data=a:(this.wd>=b.length&&(b.length=this.wd+1),b[this.wd]=a)};Tb.prototype.Dk=function(){var a=this.a.yk();return!this.parent||this.qg||!a?this.data:this.wd>=a.length||"undefined"===typeof a[this.wd]?this.lg:a[this.wd]};Tb.prototype.ia=function(){this.parent&&(!this.qg&&!this.Rk)&&this.Vg(this.lg)};Pa=Tb;Ub.prototype.ca=function(){this.kg=this.a.Yh[this.oo];this.sheet.Jk.add(this.kg);this.da=Kb(this.da)};
Ub.prototype.ia=function(){this.parent&&this.a.pf(this.a.v);this.kg.ki||this.kg.ia();this.parent&&this.a.Oc(this.a.v)};Va=Ub;Vb.prototype.reset=function(a){this.xa=a;this.Ob=this.fa=0;this.Pl.length=0;this.Wh=this.ae=j};Vb.prototype.vo=function(){return this.xa.mj?d:this.fa<this.xa.W.length-1?!!this.xa.da.length:j};Ma=Vb;
function Yb(a,b){this.m=a;this.a=a.a;this.type=b[0];this.get=[this.yn,this.un,this.Gn,this.Jn,this.on,this.Hn,this.Cn,this.rn,this.Bn,this.Fn,this.pn,this.En,this.sn,this.Dn,this.zn,this.An,this.vn,this.wn,this.qn,this.In,this.lk,this.xn,this.lk,this.tn][this.type];var c=g;this.Za=this.F=this.B=this.ga=this.bh=this.qa=this.first=this.value=g;this.ra=-1;this.lc=g;this.yj=-1;this.md=this.Cf=this.Wm=g;this.rf=j;switch(this.type){case 0:case 1:case 2:this.value=b[1];break;case 3:this.first=new F(a,b[1]);
break;case 18:this.first=new F(a,b[1]);this.qa=new F(a,b[2]);this.bh=new F(a,b[3]);break;case 19:this.ga=b[1];this.B=[];this.F=[];3===b.length?(c=b[2],this.B.length=c.length+1):this.B.length=1;break;case 20:this.Za=this.a.v[b[1]];this.ra=-1;this.ga=b[2];this.rf=b[3];this.lc=b[4]?new F(a,b[4]):g;this.B=[];this.F=[];6===b.length?(c=b[5],this.B.length=c.length+1):this.B.length=1;break;case 21:this.Za=this.a.v[b[1]];this.rf=b[2];this.lc=b[3]?new F(a,b[3]):g;this.yj=b[4];break;case 22:this.Za=this.a.v[b[1]];
this.Wm=this.Za.fg(b[2]);this.ra=this.Za.ei(b[2]);this.ga=b[3];this.rf=b[4];this.lc=b[5]?new F(a,b[5]):g;this.B=[];this.F=[];7===b.length?(c=b[6],this.B.length=c.length+1):this.B.length=1;break;case 23:this.Cf=b[1],this.md=g}4<=this.type&&17>=this.type&&(this.first=new F(a,b[1]),this.qa=new F(a,b[2]));if(c){var e,f;e=0;for(f=c.length;e<f;e++)this.F.push(new F(a,c[e]))}}function Zb(a,b){this.type=a||J.Ee;this.data=b||0;this.le=g;this.type==J.Ee&&(this.data=Math.floor(this.data))}t=Yb.prototype;
t.ca=function(){23===this.type&&(this.md=this.m.a.Ak(this.Cf,this.m.tb.parent));this.first&&this.first.ca();this.qa&&this.qa.ca();this.bh&&this.bh.ca();this.lc&&this.lc.ca();if(this.F){var a,b;a=0;for(b=this.F.length;a<b;a++)this.F[a].ca()}};t.In=function(a){this.B[0]=a;var a=this.m.la(),b,c;b=0;for(c=this.F.length;b<c;b++)this.F[b].get(a),this.B[b+1]=a.data;this.m.ha();this.ga.apply(this.a.Hd,this.B)};
t.lk=function(a){var b=this.Za.C(),c=b.hb();if(!c.length)if(b.X.length)c=b.X;else{this.rf?a.kb(""):a.S(0);return}this.B[0]=a;a.le=this.Za;var a=this.m.la(),e,b=0;for(e=this.F.length;b<e;b++)this.F[b].get(a),this.B[b+1]=a.data;b=this.m.Tc;this.lc&&(this.lc.get(a),a.pa()&&(b=a.data,c=this.Za.e));this.m.ha();b%=c.length;0>b&&(b+=c.length);c=c[b];-1<this.ra?(a=0,this.Za.D&&(a=c.type.Wd[this.Za.Ub]),this.ga.apply(c.na[this.ra+a],this.B)):this.ga.apply(c,this.B)};
t.xn=function(a){var b=this.Za.C(),c=b.hb();if(!c.length)if(b.X.length)c=b.X;else{this.rf?a.kb(""):a.S(0);return}b=this.m.Tc;if(this.lc){var e=this.m.la();this.lc.get(e);if(e.pa()){b=e.data;c=this.Za.e;b%=c.length;0>b&&(b+=c.length);c=c[b].Ib[this.yj];x(c)?a.kb(c):a.r(c);this.m.ha();return}this.m.ha()}b%=c.length;0>b&&(b+=c.length);c=c[b];b=0;this.Za.D&&(b=c.type.bg[this.Za.Ub]);c=c.Ib[this.yj+b];x(c)?a.kb(c):a.r(c)};t.yn=function(a){a.type=J.Ee;a.data=this.value};
t.un=function(a){a.type=J.Ce;a.data=this.value};t.Gn=function(a){a.type=J.xh;a.data=this.value};t.Jn=function(a){this.first.get(a);a.pa()&&(a.data=-a.data)};t.on=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()&&b.pa()&&(a.data+=b.data,b.Zd()&&a.ie());this.m.ha()};t.Hn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()&&b.pa()&&(a.data-=b.data,b.Zd()&&a.ie());this.m.ha()};
t.Cn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()&&b.pa()&&(a.data*=b.data,b.Zd()&&a.ie());this.m.ha()};t.rn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()&&b.pa()&&(a.data/=b.data,a.ie());this.m.ha()};t.Bn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()&&b.pa()&&(a.data%=b.data,b.Zd()&&a.ie());this.m.ha()};
t.Fn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()&&b.pa()&&(a.data=Math.pow(a.data,b.data),b.Zd()&&a.ie());this.m.ha()};t.pn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()?b.rg()?a.kb(a.data.toString()+b.data):a.data&&b.data?a.S(1):a.S(0):a.rg()&&(a.data=b.rg()?a.data+b.data:a.data+(Math.round(1E10*b.data)/1E10).toString());this.m.ha()};
t.En=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.pa()&&b.pa()&&(a.data||b.data?a.S(1):a.S(0));this.m.ha()};t.qn=function(a){this.first.get(a);a.data?this.qa.get(a):this.bh.get(a)};t.sn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.S(a.data===b.data?1:0);this.m.ha()};t.Dn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.S(a.data!==b.data?1:0);this.m.ha()};
t.zn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.S(a.data<b.data?1:0);this.m.ha()};t.An=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.S(a.data<=b.data?1:0);this.m.ha()};t.vn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.S(a.data>b.data?1:0);this.m.ha()};t.wn=function(a){this.first.get(a);var b=this.m.la();this.qa.get(b);a.S(a.data>=b.data?1:0);this.m.ha()};t.tn=function(a){var b=this.md.Dk();ga(b)?a.r(b):a.kb(b)};F=Yb;t=Zb.prototype;
t.Zd=function(){return this.type===J.Ce};t.pa=function(){return this.type===J.Ee||this.type===J.Ce};t.rg=function(){return this.type===J.xh};t.ie=function(){this.Zd()||(this.rg()&&(this.data=parseFloat(this.data)),this.type=J.Ce)};t.S=function(a){this.type=J.Ee;this.data=Math.floor(a)};t.r=function(a){this.type=J.Ce;this.data=a};t.kb=function(a){this.type=J.xh;this.data=a};Wa=Zb;J={Ee:0,Ce:1,xh:2};function M(a){this.a=a;this.yc=[]}function $b(){}function ac(){}function bc(){}var cc=M.prototype;
$b.prototype.ad=p(d);$b.prototype.dd=p(d);$b.prototype.tm=p(d);$b.prototype.Jf=function(a){return a?a.visible:j};var dc=[],ec=-1;t=$b.prototype;
t.nh=function(a){var b=a.C();ec++;dc.length===ec&&dc.push([]);var c=dc[ec];pa(c,b.hb());var e=this.a.ya(),f=e.xa,h=e.vo(),e=this.a.So(),i,k,l,n,q,s,r=a.wb;if(h){h=0;for(i=c.length;h<i&&!e.Ma;h++){this.a.qf(f.da);n=c[h];b=a.C();b.H=j;b.e.length=1;b.e[0]=n;if(r){k=0;for(l=n.siblings.length;k<l;k++)q=n.siblings[k],s=q.type.C(),s.H=j,s.e.length=1,s.e[0]=q}e.index=h;f.$i();this.a.Oc(f.da)}}else{b.H=j;b.e.length=1;h=0;for(i=c.length;h<i&&!e.Ma;h++){n=c[h];b.e[0]=n;if(r){k=0;for(l=n.siblings.length;k<l;k++)q=
n.siblings[k],s=q.type.C(),s.H=j,s.e.length=1,s.e[0]=q}e.index=h;f.$i()}}this.a.Po();ec--;return j};t.Bj=function(a){var b=this.a.fi(),c=b.T.mh||0,e=this.a.oc.Wa;return e>=c+a?(b.T.mh=c+a,e>=b.T.mh+a&&(b.T.mh=e),d):j};t.Md=function(a,b,c){return fc(a.Dk(),b,c)};t.cd=function(a){return this.a.Mf[a.toLowerCase()]};t.gm=function(){var a=this.a.ya();return a.Wh?j:!a.ae};t.Ij=p(d);t.nm=p(d);cc.d=new $b;t=ac.prototype;t.De=function(a){!this.a.$d&&!this.a.Fc&&(this.a.Fc=a)};
t.fm=function(a,b,c,e){if(b&&a&&(b=this.a.Nh(a,b,c,e))){this.a.ib++;this.a.trigger(Object.getPrototypeOf(a.aa).d.Gj,b);this.a.ib--;a=a.C();a.H=j;a.e.length=1;a.e[0]=b;var f;if(b.wb){c=0;for(e=b.siblings.length;c<e;c++)f=b.siblings[c],a=f.type.C(),a.H=j,a.e.length=1,a.e[0]=f}}};t.Oj=function(a,b){a&&a.visible!==b&&(a.visible=b,this.a.G=d)};t.cc=function(a,b){0===a.am?ga(b)?a.Vg(b):a.Vg(parseFloat(b)):1===a.am&&a.Vg(b.toString())};
t.Nb=function(a,b){var c=this.a.Mf,e=a.toLowerCase();switch(b){case 0:c[e]=j;break;case 1:c[e]=d;break;case 2:c[e]=!c[e]}};t.Im=function(){var a,b,c;a=0;for(b=this.a.Eh.length;a<b;a++)c=this.a.Eh[a],c.data=c.lg};t.Jm=function(){if(!this.a.$d&&!this.a.Fc&&this.a.U){this.a.Fc=this.a.U;var a,b,c;a=0;for(b=this.a.Dh.length;a<b;a++)c=this.a.Dh[a],this.a.Mf[c.hi.toLowerCase()]=c.mg}};cc.c=new ac;bc.prototype["int"]=function(a,b){x(b)?(a.S(parseInt(b,10)),isNaN(a.data)&&(a.data=0)):a.S(b)};
bc.prototype["float"]=function(a,b){x(b)?(a.r(parseFloat(b)),isNaN(a.data)&&(a.data=0)):a.r(b)};t=bc.prototype;t.random=function(a,b,c){c===aa?a.r(Math.random()*b):a.r(Math.random()*(c-b)+b)};t.sqrt=function(a,b){a.r(Math.sqrt(b))};t.abs=function(a,b){a.r(Math.abs(b))};t.round=function(a,b){a.S(Math.round(b))};t.floor=function(a,b){a.S(Math.floor(b))};t.ceil=function(a,b){a.S(Math.ceil(b))};t.sin=function(a,b){a.r(Math.sin(z(b)))};t.cos=function(a,b){a.r(Math.cos(z(b)))};t.acos=function(a,b){a.r(ra(Math.acos(b)))};
t.max=function(a){var b=arguments[1],c,e;c=2;for(e=arguments.length;c<e;c++)b<arguments[c]&&(b=arguments[c]);a.r(b)};t.min=function(a){var b=arguments[1],c,e;c=2;for(e=arguments.length;c<e;c++)b>arguments[c]&&(b=arguments[c]);a.r(b)};t.Vd=function(a){a.r(this.a.Vd)};t.vc=function(a){a.r(this.a.vc)};t.time=function(a){a.r(this.a.oc.Wa)};t.yf=function(a){a.S(this.a.yf)};t.Gg=function(a){a.S(this.a.Gg)};t.bi=function(a){a.S(this.a.bi)};t.f=function(a,b,c,e,f){a.r(ra(va(b,c,e,f)))};
t.left=function(a,b,c){a.kb(x(b)?b.substr(0,c):"")};t.right=function(a,b,c){a.kb(x(b)?b.substr(b.length-c):"")};t.replace=function(a,b,c,e){x(b)&&x(c)&&x(e)?a.kb(b.replace(RegExp(Da(c),"gi"),e)):a.kb(x(b)?b:"")};t.Mh=function(a){a.r(this.a.Mh/1E3)};t.he=function(a){a.r(this.a.he)};cc.q=new bc;
cc.Vo=function(){var a,b,c,e,f,h=this.a.ya();a=0;for(c=this.yc.length;a<c;a++)if(e=this.yc[a],!(e.time>this.a.oc.Wa)){h.xa=e.nn;h.Ob=e.Ob;h.fa=0;for(b in e.qe)e.qe.hasOwnProperty(b)&&(f=this.a.v[parseInt(b,10)].C(),f.H=j,f.e=e.qe[b]);e.nn.Uo();this.a.Lh(e.da);e.gn=d}b=a=0;for(c=this.yc.length;a<c;a++)e=this.yc[a],this.yc[b]=e,e.gn||b++;this.yc.length=b};
function fb(a){var b=a[0].prototype,c=a[1],e=a[3],f=a[4],h=a[5],i=a[6],k=a[7],a=a[8];b.d||(b.d={});b.c||(b.c={});b.q||(b.q={});var l=b.d,n=b.c,b=b.q;e&&(l.Nd=function(a,b){return fc(this.x,a,b)},l.Be=function(a,b){return fc(this.y,a,b)},l.Fe=function(){var a=this.j;this.ac();var b=this.J;return!(b.right<a.mb||b.bottom<a.ob||b.left>a.nb||b.top>a.lb)},l.Bp=function(){this.ac();var a=this.J,b=this.a.U;return 0>a.right||0>a.bottom||a.left>b.width||a.top>b.height},l.Kp=function(a,b,c){var e=this.C(),f=
e.hb();if(!f.length)return j;var h=f[0],i=h,k=za(h.x,h.y,b,c),l,n,E;l=1;for(n=f.length;l<n;l++)if(h=f[l],E=za(h.x,h.y,b,c),0===a&&E<k||1===a&&E>k)k=E,i=h;e.sl(i);return d},n.Qd=function(a){this.x!==a&&(this.x=a,this.k())},n.Sj=function(a){this.y!==a&&(this.y=a,this.k())},n.Vp=function(a,b){if(this.x!==a||this.y!==b)this.x=a,this.y=b,this.k()},n.Wp=function(a,b){var c=a.Wn(this);if(c){var e;c.Se?(e=c.Se(b,d),c=c.Se(b,j)):(e=c.x,c=c.y);if(this.x!==e||this.y!==c)this.x=e,this.y=c,this.k()}},n.Gp=function(a){0!==
a&&(this.x+=Math.cos(this.f)*a,this.y+=Math.sin(this.f)*a,this.k())},n.Fp=function(a,b){0!==b&&(this.x+=Math.cos(z(a))*b,this.y+=Math.sin(z(a))*b,this.k())},b.Cc=function(a){a.r(this.x)},b.Ah=function(a){a.r(this.y)},b.Vd=function(a){a.r(this.a.od(this))});f&&(l.tp=function(a,b){return fc(this.width,a,b)},l.sp=function(a,b){return fc(this.height,a,b)},n.Rj=function(a){this.width!==a&&(this.width=a,this.k())},n.Tp=function(a){this.height!==a&&(this.height=a,this.k())},n.Xp=function(a,b){if(this.width!==
a||this.height!==b)this.width=a,this.height=b,this.k()},b.bq=function(a){a.r(this.width)},b.wp=function(a){a.r(this.height)});h&&(l.rp=function(a,b){return wa(this.f,z(b))<=z(a)},l.zp=function(a){return ya(this.f,z(a))},l.yp=function(a,b){var c=ua(a),e=ua(b),f=D(this.f);return ya(e,c)?ya(f,c)&&!ya(f,e):!(!ya(f,c)&&ya(f,e))},n.Ac=function(a){a=z(sa(a));!isNaN(a)&&this.f!==a&&(this.f=a,this.k())},n.Np=function(a){0!==a&&!isNaN(a)&&(this.f+=z(a),this.f=D(this.f),this.k())},n.Op=function(a){0!==a&&!isNaN(a)&&
(this.f-=z(a),this.f=D(this.f),this.k())},n.Pp=function(a,b){var c=xa(this.f,z(b),z(a));!isNaN(c)&&this.f!==c&&(this.f=c,this.k())},n.Qp=function(a,b,c){a=xa(this.f,Math.atan2(c-this.y,b-this.x),z(a));!isNaN(a)&&this.f!==a&&(this.f=a,this.k())},n.Yp=function(a,b){var c=Math.atan2(b-this.y,a-this.x);!isNaN(c)&&this.f!==c&&(this.f=c,this.k())},b.qp=function(a){a.r(ta(this.f))});c||(l.lh=function(a,b,c){return fc(this.Ib[a],b,c)},l.pb=function(a){return this.Ib[a]},l.Jp=function(a){return this.uid===
a},l.Gj=p(d),l.qh=p(d),n.Km=function(a,b){var c=this.Ib;ga(c[a])?c[a]=ga(b)?b:parseFloat(b):x(c[a])&&(c[a]=x(b)?b:b.toString())},n.pp=function(a,b){var c=this.Ib;ga(c[a])?c[a]=ga(b)?c[a]+b:c[a]+parseFloat(b):x(c[a])&&(c[a]=x(b)?c[a]+b:c[a]+b.toString())},n.Zp=function(a,b){var c=this.Ib;ga(c[a])&&(c[a]=ga(b)?c[a]-b:c[a]-parseFloat(b))},n.ed=function(a,b){this.Ib[a]=b?1:0},n.yh=function(a){this.Ib[a]=1-this.Ib[a]},n.Sa=function(){this.a.$c(this)},b.up=function(a){var b=a.le.e.length,c,e,f;c=0;for(e=
this.a.Qb.length;c<e;c++)f=this.a.Qb[c],a.le.D?0<=f.type.ka.indexOf(a.le)&&b++:f.type===a.le&&b++;a.S(b)},b.Mp=function(a){a.S(a.le.C().hb().length)},b.aq=function(a){a.S(this.uid)},b.xp=function(a){a.S(this.hg())});i&&(l.Dj=ba("visible"),n.rb=function(a){!a!==!this.visible&&(this.visible=a,this.a.G=d)},l.Hf=function(a,b){return fc(Ga(100*this.opacity),a,b)},n.Up=function(a){a/=100;0>a?a=0:1<a&&(a=1);a!==this.opacity&&(this.opacity=a,this.a.G=d)},b.Ip=function(a){a.r(Ga(100*this.opacity))});k&&(l.Ap=
function(a){return!a?j:this.j===a},l.Lp=function(a){var b=this.C(),c=b.hb();if(!c.length)return j;var e=c[0],f=e,h,i;h=1;for(i=c.length;h<i;h++)if(e=c[h],0===a){if(e.j.index>f.j.index||e.j.index===f.j.index&&e.kc()>f.kc())f=e}else if(e.j.index<f.j.index||e.j.index===f.j.index&&e.kc()<f.kc())f=e;b.sl(f);return d},n.km=function(){var a=this.kc();a!==this.j.e.length-1&&(oa(this.j.e,a),this.j.e.push(this),this.a.G=d,this.j.Zc=d)},n.jm=function(){var a=this.kc();0!==a&&(oa(this.j.e,a),this.j.e.unshift(this),
this.a.G=d,this.j.Zc=d)},n.Hp=function(a){a&&a!=this.j&&(oa(this.j.e,this.kc()),this.j.Zc=d,this.j=a,this.Aj=a.e.length,a.e.push(this),this.a.G=d)},b.Ep=function(a){a.S(this.j.ll)},b.Dp=function(a){a.kb(this.j.name)},b.cq=function(a){a.S(this.kc())});a&&(n.Rp=function(a,b){if(this.a.n){var c=this.type.zk(b);if(!(0>c)){var e=1===a;this.Rd[c]!==e&&(this.Rd[c]=e,this.we(),this.a.G=d)}}},n.Sp=function(a,b,c){if(this.a.n){var e=this.type.zk(a);0>e||(a=this.type.L[e],e=this.Ha[e],b=Math.floor(b),0>b||b>=
e.length||(1===this.a.n.mq(a.Aa,b)&&(c/=100),e[b]!==c&&(e[b]=c,a.cb&&(this.a.G=d))))}})}function wb(){this.Pf=d;this.a.G=d;var a,b;a=0;for(b=this.Qf.length;a<b;a++)this.Qf[a](this)}function xb(a){a&&this.Qf.push(a)}
function zb(){if(this.Pf){this.J.set(this.x,this.y,this.x+this.width,this.y+this.height);this.J.offset(-this.Gb*this.width,-this.Hb*this.height);this.f?(this.J.offset(-this.x,-this.y),this.oa.Hl(this.J,this.f),this.oa.offset(this.x,this.y),this.oa.ek(this.J)):this.oa.Xg(this.J);var a=0;this.J.left>this.J.right&&(a=this.J.left,this.J.left=this.J.right,this.J.right=a);this.J.top>this.J.bottom&&(a=this.J.top,this.J.top=this.J.bottom,this.J.bottom=a);this.Pf=j}}
function yb(a,b){return!this.J.fb(a,b)||!this.oa.fb(a,b)?j:this.V&&!this.V.$e()?(this.V.Ke(this.width,this.height,this.f),this.V.fb(a-this.x,b-this.y)):d}function sb(){this.type.hh();return this.Ve}function Ab(){this.j.ip();return this.Aj}function Bb(){this.I.length=0;var a,b;a=0;for(b=this.Rd.length;a<b;a++)this.Rd[a]&&this.I.push(this.type.L[a]);this.Zl=!!this.I.length}function tb(){return"inst:"+this.type.name+"#"+this.uid}function hb(){var a=this.C().hb();return a.length?a[0]:g}
function ib(a){var b=this.C().hb();return b.length?b[a.hg()%b.length]:g}function gb(){if(this.Gd&&!this.D){var a,b;a=0;for(b=this.e.length;a<b;a++)this.e[a].Ve=a;this.Gd=j}}function jb(){return this.Uc[this.hc]}function kb(){this.hc++;this.hc===this.Uc.length?this.Uc.push(new Ja(this)):this.Uc[this.hc].H=d}function lb(){this.hc++;this.hc===this.Uc.length&&this.Uc.push(new Ja(this));var a=this.Uc[this.hc],b=this.Uc[this.hc-1];b.H?a.H=d:(a.H=j,pa(a.e,b.e))}function mb(){this.hc--}
function nb(a){var b,c,e,f,h,i=0;if(!this.D){b=0;for(c=this.ka.length;b<c;b++){h=this.ka[b];e=0;for(f=h.ba.length;e<f;e++){if(a===h.ba[e].name)return this.T.Uk=i,h.ba[e];i++}}}b=0;for(c=this.ba.length;b<c;b++){if(a===this.ba[b].name)return this.T.Uk=i,this.ba[b];i++}return g}function ob(a){return this.fg(a)?this.T.Uk:-1}function pb(a){var b,c;b=0;for(c=this.L.length;b<c;b++)if(this.L[b].name===a)return b;return-1}
function qb(){if(this.wb&&!this.D){var a,b,c,e,f,h,i;this.hh();h=this.C();var k=h.H,l=(a=this.a.ya())&&a.xa&&a.xa.zb;a=0;for(b=this.eb.length;a<b;a++)if(f=this.eb[a],f!==this&&(f.hh(),i=f.C(),i.H=k,!k)){i.e.length=h.e.length;c=0;for(e=h.e.length;c<e;c++)i.e[c]=f.e[h.e[c].Ve];if(l){i.X.length=h.X.length;c=0;for(e=h.X.length;c<e;c++)i.X[c]=f.e[h.X[c].Ve]}}}}function rb(){return this.name}
function fc(a,b,c){if("undefined"===typeof a||"undefined"===typeof c)return j;switch(b){case 0:return a===c;case 1:return a!==c;case 2:return a<c;case 3:return a<=c;case 4:return a>c;case 5:return a>=c;default:return j}}function gc(a){this.a=a}
function hc(a,b){this.src=a;this.yb=ic;this.pg=b;this.$j=j;var c=this;ic===jc&&(b&&!O.qi&&!O.nc)&&(this.yb=kc);this.Oa=g;var e;switch(this.yb){case kc:b&&O.mc&&CocoonJS.App.markAsMusic(a);this.Oa=new Audio;this.Oa.autoplay=j;this.Oa.tq="auto";this.Oa.src=a;break;case jc:e=new XMLHttpRequest;e.open("GET",a,d);e.responseType="arraybuffer";e.onload=function(){if(lc.decodeAudioData)lc.decodeAudioData(e.response,function(a){c.Oa=a;fa(c.Lg)||(a=new mc(c,c.Lg),a.play(c.dl,c.bm),nc.push(a))});else if(c.Oa=
lc.createBuffer(e.response,j),!fa(c.Lg)){var a=new mc(c,c.Lg);a.play(c.dl,c.bm);nc.push(a)}};e.send();break;case oc:this.Oa=d;break;case pc:this.Oa=d}}
function mc(a,b){this.vf=b;this.Ma=this.Vb=d;this.src=a.src;this.buffer=a;this.yb=a.yb;this.pg=a.pg;this.playbackRate=1;this.Ni=d;this.Di=this.uc=j;var c=this;this.jl=this.volume=1;this.startTime=O.oc.Wa;this.w=g;var e=j;switch(this.yb){case kc:this.pg?(this.w=a.Oa,e=!a.$j,a.$j=d):(this.w=new Audio,this.w.autoplay=j,this.w.src=a.Oa.src,e=d);e&&this.w.addEventListener("ended",function(){qc=c.vf;c.Ma=d;O.trigger(gc.prototype.d.rh,rc)});break;case jc:a.Oa&&(this.w=lc.createBufferSource(),this.w.buffer=
a.Oa,this.w.connect(lc.destination));break;case oc:this.w=new window.Media(sc+this.src,g,g,function(a){a===window.Media.MEDIA_STOPPED&&(c.Ni=d,c.Ma=d,qc=c.vf,O.trigger(gc.prototype.d.rh,rc))});break;case pc:this.w=d}}function tc(){}function uc(){}var vc=gc.prototype;vc.A=function(a){this.aa=a;this.a=a.a};vc.A.prototype.p=m();var O=g,rc=g,qc="",sc="",kc=0,jc=1,oc=2,pc=3,ic=kc,lc=g,wc=[],nc=[],xc=g,yc=j,zc=0,Ac=j,Bc=[];t=mc.prototype;
t.ii=function(){switch(this.yb){case kc:return this.w.ended;case jc:return!this.Vb&&!this.Ma&&this.w.loop?j:O.oc.Wa-this.startTime>this.buffer.Oa.duration;case oc:return this.Ni;case pc:d}return d};t.$m=function(){return this.Vb||this.Ma?d:this.ii()};
t.play=function(a,b){var c=this.w;this.Di=a;switch(this.yb){case kc:1!==c.playbackRate&&(c.playbackRate=1);c.volume!==b&&(c.volume=b);c.loop!==a&&(c.loop=a);c.muted&&(c.muted=j);if(!this.Vb&&this.Ma&&0!==c.currentTime)try{c.currentTime=0}catch(e){}this.w.play();break;case jc:this.muted=j;this.volume=b;this.jl=1;if(O.nc&&3<Bc.length)break;this.Vb||(this.w=lc.createBufferSource(),this.w.buffer=this.buffer.Oa,this.w.connect(lc.destination));this.w.loop=a;this.w.gain.value=b;O.nc&&!Ac?Bc.push(this.w):
this.w.noteOn(0);break;case oc:!this.Vb&&this.Ma&&c.seekTo(0);c.play();this.Ni=j;break;case pc:O.vb?AppMobi.context.playSound(this.src):AppMobi.player.playSound(this.src)}this.playbackRate=1;this.startTime=O.oc.Wa;this.Ma=this.Vb=j};t.stop=function(){switch(this.yb){case kc:this.w.paused||this.w.pause();break;case jc:this.w.noteOff(0);break;case oc:this.w.stop()}this.Ma=d};
t.hp=function(){var a=this.playbackRate;if(1===zc&&!this.pg||2===zc)a*=O.vc;switch(this.yb){case kc:this.w.playbackRate!==a&&(this.w.playbackRate=a);break;case jc:this.w.playbackRate.value!==a&&(this.w.playbackRate.value=a)}};
t.fj=function(a){switch(this.yb){case kc:a?!this.Vb&&!this.Ma?(this.w.pause(),this.uc=d):this.uc=j:this.uc&&this.w.play();break;case jc:a?!this.Vb&&!this.Ma?(this.w.noteOff(0),this.uc=d):this.uc=j:this.uc&&(this.w=lc.createBufferSource(),this.w.buffer=this.buffer.Oa,this.w.connect(lc.destination),this.w.loop=this.Di,this.w.gain.value=this.volume*this.jl,this.w.noteOn(0));break;case oc:a?!this.Vb&&!this.Ma?(this.w.pause(),this.uc=d):this.uc=j:this.uc&&this.w.play()}};
vc.s=function(a){this.type=a;O=this.a=a.a;rc=this;lc=g;"undefined"!==typeof AudioContext?(ic=jc,lc=new AudioContext):"undefined"!==typeof webkitAudioContext&&(ic=jc,lc=new webkitAudioContext);this.a.nc&&ic===jc&&document.addEventListener("touchstart",function(){if(!Ac){Bc.length&&(Ac=d);var a,c;a=0;for(c=Bc.length;a<c;a++)Bc[a].noteOn(0);Bc.length=0}},j);ic!==jc&&(this.a.sd?ic=oc:this.a.Yd&&(ic=pc));ic===oc&&(sc=location.href,a=sc.lastIndexOf("/"),-1<a&&(sc=sc.substr(0,a+1)),sc=sc.replace("file://",
""));this.a.wo&&this.a.Qk&&"undefined"===typeof Audio?(alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed."),this.a.$c(this)):(yc=this.a.vb?this.a.oi:!!(new Audio).canPlayType('audio/ogg; codecs="vorbis"'),this.a.dh(this))};var Cc=vc.s.prototype;Cc.p=function(){zc=this.l[0];this.a.Zj(function(a){rc.No(a)})};Cc.No=function(a){var b,c;b=0;for(c=nc.length;b<c;b++)nc[b].fj(a)};
Cc.Ba=function(){var a,b,c;a=0;for(b=nc.length;a<b;a++)c=nc[a],c.yb!==kc&&c.yb!==pc&&(!c.Vb&&!c.Ma&&c.ii())&&(c.Ma=d,qc=c.vf,O.trigger(gc.prototype.d.rh,rc)),0!==zc&&c.hp()};Cc.On=function(a,b){var c,e,f;c=0;for(e=wc.length;c<e;c++)if(f=wc[c],f.src===a)return f;f=new hc(a,b);wc.push(f);return f};
Cc.Qn=function(a,b,c,e,f){var h,i,k;h=0;for(i=nc.length;h<i;h++)if(k=nc[h],k.src===a&&k.$m())return k.vf=b,k;a=this.On(a,c);if(!a.Oa)return"<preload>"!==b&&(a.Lg=b,a.dl=e,a.bm=f),g;k=new mc(a,b);nc.push(k);return k};var Dc=[];Cc.Pn=function(a){Dc.length=0;if(a.length){var b,c,e;b=0;for(c=nc.length;b<c;b++)e=nc[b],a.toLowerCase()===e.vf.toLowerCase()&&Dc.push(e)}else xc&&!xc.ii()&&(Dc.length=1,Dc[0]=xc)};tc.prototype.rh=function(a){return qc.toLowerCase()===a.toLowerCase()};vc.d=new tc;
uc.prototype.Play=function(a,b,c,e){c=Math.pow(10,c/20);0>c&&(c=0);1<c&&(c=1);(xc=this.Qn(this.a.sk+a[0]+(yc?".ogg":".m4a"),e,a[1],0!==b,c))&&xc.play(0!==b,c)};uc.prototype.Lf=function(a){this.Pn(a);var b,a=0;for(b=Dc.length;a<b;a++)Dc[a].stop()};vc.c=new uc;vc.q=new (m());function P(a){this.a=a}function Ec(){}function Fc(){}var Gc=P.prototype;Gc.A=function(a){this.aa=a;this.a=a.a};Gc.A.prototype.p=m();Gc.s=function(a){this.type=a;this.a=a.a};
Gc.s.prototype.p=function(){var a=this;window.addEventListener("resize",function(){a.a.trigger(P.prototype.d.Em,a)});"undefined"!==typeof navigator.onLine&&(window.addEventListener("online",function(){a.a.trigger(P.prototype.d.wm,a)}),window.addEventListener("offline",function(){a.a.trigger(P.prototype.d.vm,a)}));"undefined"!==typeof window.applicationCache&&(window.applicationCache.addEventListener("updateready",function(){a.a.he=1;a.a.trigger(P.prototype.d.Nj,a)}),window.applicationCache.addEventListener("progress",
function(b){a.a.he=b.loaded/b.total}));this.a.vb||(document.addEventListener("appMobi.device.update.available",function(){a.a.trigger(P.prototype.d.Nj,a)}),document.addEventListener("menubutton",function(){a.a.trigger(P.prototype.d.um,a)}),document.addEventListener("searchbutton",function(){a.a.trigger(P.prototype.d.Gm,a)}));this.a.Zj(function(b){b?a.a.trigger(P.prototype.d.xm,a):a.a.trigger(P.prototype.d.ym,a)});this.zo="undefined"!==typeof window.is_scirra_arcade;this.dq=""};t=Ec.prototype;
t.wm=p(d);t.vm=p(d);t.Nj=p(d);t.ym=p(d);t.xm=p(d);t.Em=p(d);t.um=p(d);t.Gm=p(d);Gc.d=new Ec;Fc.prototype.Cj=function(a){this.a.mc?CocoonJS.App.openURL(a):!this.zo&&!this.a.Ia&&(window.location=a)};Fc.prototype.zh=function(a){try{var b=a.split(","),c,e;c=0;for(e=b.length;c<e;c++)b[c]=parseInt(b[c],10);var f=navigator.mozVibrate||navigator.webkitVibrate||navigator.vibrate;f&&f(b)}catch(h){}};Gc.c=new Fc;Gc.q=new (m());function Hc(a){this.a=a}function Ic(){}var Jc=Hc.prototype;
Jc.A=function(a){this.aa=a;this.a=a.a};Jc.A.prototype.p=m();Jc.s=function(a){this.type=a;this.a=a.a};
Jc.s.prototype.p=function(){this.Pk=this.xo=j;this.ve="";var a=this;this.a.mc&&(CocoonJS.Ad.onBannerShown.addEventListener(function(){a.xo=d;a.a.trigger(Hc.prototype.d.mm,a)}),CocoonJS.Ad.onFullScreenShown.addEventListener(function(){a.Pk=d;a.a.trigger(Hc.prototype.d.qm,a)}),CocoonJS.Ad.onFullScreenHidden.addEventListener(function(){a.Pk=j;a.a.trigger(Hc.prototype.d.pm,a)}),CocoonJS.Store.onProductPurchaseCompleted.addEventListener(function(b){a.ve=b.productId;a.a.trigger(Hc.prototype.d.Am,a)}),CocoonJS.Store.onProductPurchaseFailed.addEventListener(function(b){a.ve=
b;a.a.trigger(Hc.prototype.d.Bm,a)}),CocoonJS.Store.onProductPurchaseStarted.addEventListener(function(b){a.ve=b.productId;a.a.trigger(Hc.prototype.d.Cm,a)}))};t=Ic.prototype;t.mm=p(d);t.qm=p(d);t.pm=p(d);t.Cm=function(a){return this.ve===a};t.Am=function(a){return this.ve===a};t.Bm=function(a){return this.ve===a};Jc.d=new Ic;Jc.c=new (m());function Kc(a){this.a=a}
function Lc(a,b,c,e,f,h,i,k,l,n){a.save();a.fillStyle=b;var b=f%c,q=h%e;0>b&&(b+=c);0>q&&(q+=e);a.translate(b+l,q+n);a.fillRect(f-b-l,h-q-n,i,k);a.restore()}var Mc=Kc.prototype;Mc.A=function(a){this.aa=a;this.a=a.a};var Nc=Mc.A.prototype;Nc.p=function(){this.D||(this.i=new Image,this.i.src=this.wf,this.i.Uf=this.xf,this.a.Mb.push(this.i),this.Df=this.Gf=this.Ff=this.Ef=this.ze=this.o=this.dk=this.Tl=this.Al=this.cl=this.$h=g)};
Nc.oe=function(){this.D||(this.Df=this.Gf=this.Ff=this.Ef=this.ze=this.o=g)};Nc.kf=function(){!this.D&&this.e.length&&!this.o&&(this.o=this.a.n.xb(this.i,d,this.a.P,this.Xc))};Nc.Bf=function(){!this.D&&!this.e.length&&this.a.n&&(this.a.n.deleteTexture(this.o),this.a.n.deleteTexture(this.ze),this.a.n.deleteTexture(this.Ef),this.a.n.deleteTexture(this.Ff),this.a.n.deleteTexture(this.Gf),this.a.n.deleteTexture(this.Df),this.Df=this.Gf=this.Ff=this.Ef=this.ze=this.o=g)};
Nc.$b=function(a,b,c,e){var f=document.createElement("canvas"),c=c-a,e=e-b;f.width=c;f.height=e;f.getContext("2d").drawImage(this.i,a,b,c,e,0,0,c,e);return f};
Nc.en=function(a,b,c,e){var f=this.i.width,h=this.i.height,b=f-b,e=h-e;if(this.a.n){if(!this.ze){var i=this.a.n,k=this.a.P,l=this.Xc;this.ze=i.xb(this.$b(a,c,b,e),d,k,l);this.Ef=i.xb(this.$b(0,c,a,e),d,k,l);this.Ff=i.xb(this.$b(b,c,f,e),d,k,l);this.Gf=i.xb(this.$b(a,0,b,c),d,k,l);this.Df=i.xb(this.$b(a,e,b,h),d,k,l)}}else this.$h||(i=this.a.K,this.$h=i.createPattern(this.$b(a,c,b,e),"repeat"),this.cl=i.createPattern(this.$b(0,c,a,e),"repeat"),this.Al=i.createPattern(this.$b(b,c,f,e),"repeat"),this.Tl=
i.createPattern(this.$b(a,0,b,c),"repeat"),this.dk=i.createPattern(this.$b(a,e,b,h),"repeat"))};Mc.s=function(a){this.type=a;this.a=a.a};var Oc=Mc.s.prototype;Oc.p=function(){this.xi=this.l[0];this.aj=this.l[1];this.sj=this.l[2];this.Ih=this.l[3];this.Yf=this.l[4];this.fill=this.l[5];this.visible=0===this.l[6];this.Yb=new Ya(0,0,0,0);this.a.n&&!this.type.o&&(this.type.o=this.a.n.xb(this.type.i,d,this.a.P,this.type.Xc));this.type.en(this.xi,this.aj,this.sj,this.Ih)};
Oc.Xa=function(a){var b=this.type.i,c=this.xi,e=this.aj,f=this.sj,h=this.Ih,i=b.width,k=b.height,l=i-e,n=k-h;a.globalAlpha=this.opacity;a.save();var q=this.x,s=this.y,r=this.width,w=this.height;this.a.$a&&(q=q+0.5|0,s=s+0.5|0);var u=-(this.Gb*this.width),v=-(this.Hb*this.height),A=u%i,B=v%k;0>A&&(A+=i);0>B&&(B+=k);a.translate(q+A,s+B);i=u-A;v-=B;a.drawImage(b,0,0,c+1,f+1,i,v,c+1,f+1);a.drawImage(b,l-1,0,e+1,f+1,i+r-e-1,v,e+1,f+1);a.drawImage(b,l-1,n-1,e+1,h+1,i+r-e-1,v+w-h-1,e+1,h+1);a.drawImage(b,
0,n-1,c+1,h+1,i,v+w-h-1,c+1,h+1);0===this.Yf?(B=2===this.fill?0:1,Lc(a,this.type.cl,c,n-f,i,v+f,c+B,w-f-h,0,0),Lc(a,this.type.Al,e,n-f,i+r-e-B,v+f,e+B,w-f-h,B,0),Lc(a,this.type.Tl,l-c,f,i+c,v,r-c-e,f+B,0,0),Lc(a,this.type.dk,l-c,h,i+c,v+w-h-B,r-c-e,h+B,0,B)):1===this.Yf&&(a.drawImage(b,0,f,c,n-f,i,v+f,c,w-f-h),a.drawImage(b,l,f,e,n-f,i+r-e,v+f,e,w-f-h),a.drawImage(b,c,0,l-c,f,i+c,v,r-c-e,f),a.drawImage(b,c,n,l-c,h,i+c,v+w-h,r-c-e,h));0===this.fill?Lc(a,this.type.$h,l-c,n-f,i+c,v+f,r-c-e,w-f-h,0,0):
1===this.fill&&a.drawImage(b,c,f,l-c,n-f,i+c,v+f,r-c-e,w-f-h);a.restore()};Oc.ic=function(a,b,c,e,f,h,i,k,l,n){a.Va(b);var q=this.Yb;q.left=c/b.hd;q.top=e/b.gd;q.right=(c+f)/b.hd;q.bottom=(e+h)/b.gd;a.Lb(i,k,i+l,k,i+l,k+n,i,k+n,q)};Oc.zf=function(a,b,c,e,f,h,i,k){a.Va(b);var l=this.Yb;l.left=-i/b.hd;l.top=-k/b.gd;l.right=(f-i)/b.hd;l.bottom=(h-k)/b.gd;a.Lb(c,e,c+f,e,c+f,e+h,c,e+h,l)};
Oc.Qa=function(a){var b=this.xi,c=this.aj,e=this.sj,f=this.Ih,h=this.type.i.width-c,i=this.type.i.height-f;a.Qc(this.opacity);var k=this.oa,l=k.Z,k=k.$,n=this.width,q=this.height;this.a.$a&&(l=l+0.5|0,k=k+0.5|0);this.ic(a,this.type.o,0,0,b+1,e+1,l,k,b+1,e+1);this.ic(a,this.type.o,h-1,0,c+1,e+1,l+n-c-1,k,c+1,e+1);this.ic(a,this.type.o,h-1,i-1,c+1,f+1,l+n-c-1,k+q-f-1,c+1,f+1);this.ic(a,this.type.o,0,i-1,b+1,f+1,l,k+q-f-1,b+1,f+1);if(0===this.Yf){var s=2===this.fill?0:1;this.zf(a,this.type.Ef,l,k+e,
b+s,q-e-f,0,0);this.zf(a,this.type.Ff,l+n-c-s,k+e,c+s,q-e-f,s,0);this.zf(a,this.type.Gf,l+b,k,n-b-c,e+s,0,0);this.zf(a,this.type.Df,l+b,k+q-f-s,n-b-c,f+s,0,s)}else 1===this.Yf&&(this.ic(a,this.type.o,0,e,b,i-e,l,k+e,b,q-e-f),this.ic(a,this.type.o,h,e,c,i-e,l+n-c,k+e,c,q-e-f),this.ic(a,this.type.o,b,0,h-b,e,l+b,k,n-b-c,e),this.ic(a,this.type.o,b,i,h-b,f,l+b,k+q-f,n-b-c,f));0===this.fill?this.zf(a,this.type.ze,l+b,k+e,n-b-c,q-e-f,0,0):1===this.fill&&this.ic(a,this.type.o,b,e,h-b,i-e,l+b,k+e,n-b-c,q-
e-f)};Mc.d=new (m());Mc.c=new (m());Mc.q=new (m());function Q(a){this.a=a}function Pc(a){this.m=a;this.cb=j;this.f=this.speed=this.y=this.x=0;this.opacity=1;this.Sd=this.ig=this.size=this.Ek=0}var Qc=Q.prototype;Qc.A=function(a){this.aa=a;this.a=a.a};var Rc=Qc.A.prototype;Rc.p=function(){this.D||(this.i=new Image,this.i.src=this.wf,this.i.Uf=this.xf,this.o=g,this.a.Mb.push(this.i))};Rc.oe=function(){this.D||(this.o=g)};
Rc.kf=function(){!this.D&&this.e.length&&!this.o&&(this.o=this.a.n.xb(this.i,d,this.a.P,this.Xc))};Rc.Bf=function(){!this.D&&!this.e.length&&(this.a.n?this.o&&(this.a.n.deleteTexture(this.o),this.o=g):this.i.hintUnload&&this.i.hintUnload())};Rc.Ng=function(a){a.drawImage(this.i,0,0)};t=Pc.prototype;
t.init=function(a){this.m=a;this.x=a.x-a.cm/2+Math.random()*a.cm;this.y=a.y-a.dm/2+Math.random()*a.dm;this.speed=a.ro-a.Nl/2+Math.random()*a.Nl;this.f=a.f-a.Ol/2+Math.random()*a.Ol;this.opacity=a.po;this.size=a.qo-a.Ll/2+Math.random()*a.Ll;this.Ek=a.lo-a.Fk/2+Math.random()*a.Fk;this.Sd=this.ig=0};
t.Ba=function(a){var b=this.m;this.x+=Math.cos(this.f)*this.speed*a;this.y+=Math.sin(this.f)*this.speed*a;this.y+=this.ig*a;this.speed+=b.N*a;this.size+=this.Ek*a;this.ig+=b.ub*a;this.Sd+=a;1>this.size?this.cb=j:(0!==b.yi&&(this.f+=Math.random()*b.yi*a-b.yi*a/2),0!==b.Ai&&(this.speed+=Math.random()*b.Ai*a-b.Ai*a/2),0!==b.zi&&(this.opacity+=Math.random()*b.zi*a-b.zi*a/2,0>this.opacity?this.opacity=0:1<this.opacity&&(this.opacity=1)),1>=b.Xf&&this.Sd>=b.timeout&&(this.cb=j),2===b.Xf&&0>=this.speed&&
(this.cb=j))};t.Xa=function(a){var b=this.m.opacity*this.opacity;if(0!==b){0===this.m.Xf&&(b*=1-this.Sd/this.m.timeout);a.globalAlpha=b;var b=this.x-this.size/2,c=this.y-this.size/2;this.m.a.$a&&(b=b+0.5|0,c=c+0.5|0);a.drawImage(this.m.type.i,b,c,this.size,this.size)}};
t.Qa=function(a){var b=this.m.opacity*this.opacity;0===this.m.Xf&&(b*=1-this.Sd/this.m.timeout);var c=this.size,e=c*this.m.rl,f=this.x-c/2,h=this.y-c/2;this.m.a.$a&&(f=f+0.5|0,h=h+0.5|0);1>e||0===b||(e<a.rq||e>a.qq?(a.Qc(b),a.Qg(f,h,f+c,h,f+c,h+c,f,h+c)):a.sq(this.x,this.y,e,b))};t.left=function(){return this.x-this.size/2};t.right=function(){return this.x+this.size/2};t.top=function(){return this.y-this.size/2};t.bottom=function(){return this.y+this.size/2};Qc.s=function(a){this.type=a;this.a=a.a};
var Sc=Qc.s.prototype,Tc=[];
Sc.p=function(){var a=this.l;this.yl=a[0];this.Ol=z(a[1]);this.$g=a[2];this.bp=d;this.ro=a[3];this.qo=a[4];this.po=a[5]/100;this.lo=a[6];this.cm=a[7];this.dm=a[8];this.Nl=a[9];this.Ll=a[10];this.Fk=a[11];this.N=a[12];this.ub=a[13];this.yi=a[14];this.Ai=a[15];this.zi=a[16];this.Xf=a[17];this.timeout=a[18];this.Mi=this.of=0;this.rl=1;this.Ig=this.x;this.Kg=this.y;this.Jg=this.x;this.Hg=this.y;this.Vm(function(a){a.J.set(a.Ig,a.Kg,a.Jg,a.Hg);a.oa.Xg(a.J);a.Pf=j});this.Cb?(Tc.push.apply(Tc,this.Cb),this.Cb.length=
0):this.Cb=[];this.a.dh(this);this.a.n?this.type.o||(this.type.o=this.a.n.xb(this.type.i,d,this.a.P,this.type.Xc)):this.type.i.hintLoad&&this.type.i.hintLoad();if(1===this.$g)for(a=0;a<this.yl;a++)this.ak().opacity=0;this.vk=d};Sc.ak=function(){var a;a=Tc.length?Tc.pop():new Pc(this);this.Cb.push(a);a.cb=d;return a};
Sc.Ba=function(){var a=this.a.od(this),b,c,e,f;if(0===this.$g&&this.bp){this.of+=a*this.yl;c=y(this.of);this.of-=c;for(b=0;b<c;b++)e=this.ak(),e.init(this)}this.Mi=0;this.Ig=this.x;this.Kg=this.y;this.Jg=this.x;this.Hg=this.y;f=b=0;for(c=this.Cb.length;b<c;b++)e=this.Cb[b],this.Cb[f]=e,this.a.G=d,1===this.$g&&this.vk&&e.init(this),e.Ba(a),e.cb?(e.left()<this.Ig&&(this.Ig=e.left()),e.right()>this.Jg&&(this.Jg=e.right()),e.top()<this.Kg&&(this.Kg=e.top()),e.bottom()>this.Hg&&(this.Hg=e.bottom()),this.Mi++,
f++):Tc.push(e);this.Cb.length=f;this.k();this.vk=j;1===this.$g&&0===this.Mi&&this.a.$c(this)};Sc.Xa=function(a){var b,c,e,f=this.j;b=0;for(c=this.Cb.length;b<c;b++)e=this.Cb[b],e.right()>=f.mb&&(e.bottom()>=f.ob&&e.left()<=f.nb&&e.top()<=f.lb)&&e.Xa(a)};Sc.Qa=function(a){this.rl=this.j.Ta();a.Va(this.type.o);var b,c,e,f=this.j;b=0;for(c=this.Cb.length;b<c;b++)e=this.Cb[b],e.right()>=f.mb&&(e.bottom()>=f.ob&&e.left()<=f.nb&&e.top()<=f.lb)&&e.Qa(a)};Qc.d=new (m());Qc.c=new (m());Qc.q=new (m());
function Uc(a){this.a=a}var Vc=Uc.prototype;Vc.A=function(a){this.aa=a;this.a=a.a};Vc.A.prototype.p=m();Vc.s=function(a){this.type=a;this.a=a.a};var Wc=Vc.s.prototype;Wc.p=function(){this.af=j;this.Qi=0};Wc.Kc=function(){this.Bh(j)};Wc.Bh=function(a){a!=this.af&&(this.af?(this.a.vc=this.Qi,a=Uc.prototype.d.Fm):(this.Qi=this.a.vc,this.a.vc=0,a=Uc.prototype.d.zm),this.af=!this.af,this.a.trigger(a,this))};Vc.d={};var Xc=Vc.d;Xc.zm=p(d);Xc.Fm=p(d);Xc.Cp=ba("af");Vc.c={};var Yc=Vc.c;Yc.Om=function(){this.Bh()};
Yc.Qj=function(a){this.Bh(0==a)};Vc.q={};Vc.q.$p=function(a){a.r(this.Qi)};function R(a){this.a=a}function Zc(){if(0===this.Sh.length){var a=document.createElement("canvas");a.width=this.width;a.height=this.height;var b=a.getContext("2d");this.re?b.drawImage(this.i,this.me,this.ne,this.width,this.height,0,0,this.width,this.height):b.drawImage(this.i,0,0,this.width,this.height);this.Sh=a.toDataURL("image/png")}return this.Sh}function $c(){}function ad(){}var bd=R.prototype;
bd.A=function(a){this.aa=a;this.a=a.a};var cd=bd.A.prototype;
cd.p=function(){if(!this.D){var a,b,c,e,f,h,i,k,l;a=0;for(b=this.ea.length;a<b;a++){f=this.ea[a];i={};i.name=f[0];i.speed=f[1];i.loop=f[2];i.Zi=f[3];i.Sg=f[4];i.tl=f[5];i.frames=[];c=0;for(e=f[6].length;c<e;c++)h=f[6][c],k={},k.wf=h[0],k.xf=h[1],k.me=h[2],k.ne=h[3],k.width=h[4],k.height=h[5],k.duration=h[6],k.Gb=h[7],k.Hb=h[8],k.mi=h[9],k.Pi=h[10],k.ul=h[11],k.re=0!==k.width,k.Sh="",k.hq=Zc,l={left:0,top:0,right:1,bottom:1},k.ij=l,k.o=g,(l=this.a.Ln(h[0]))?k.i=l:(k.i=new Image,k.i.src=h[0],k.i.bn=
h[0],k.i.Uf=h[1],k.i.gc=g,this.a.Mb.push(k.i)),i.frames.push(k);this.ea[a]=i}}};cd.oe=function(){if(!this.D){var a,b,c,e,f,h;a=0;for(b=this.ea.length;a<b;a++){f=this.ea[a];c=0;for(e=f.frames.length;c<e;c++)h=f.frames[c],h.i.gc=g,h.o=g}}};
cd.kf=function(){if(!this.D&&this.e.length){var a,b,c,e,f,h;a=0;for(b=this.ea.length;a<b;a++){f=this.ea[a];c=0;for(e=f.frames.length;c<e;c++)h=f.frames[c],h.i.gc||(h.i.gc=this.a.n.xb(h.i,j,this.a.P,h.ul)),h.o=h.i.gc}a=0;for(b=this.e.length;a<b;a++)c=this.e[a],c.Qh=c.jd.o}};var dd=[];
cd.Bf=function(){if(!this.D&&!this.e.length){var a=!!this.a.n,b,c,e,f,h,i,k,l;b=dd.length=0;for(c=this.ea.length;b<c;b++){i=this.ea[b];e=0;for(f=i.frames.length;e<f;e++)if(k=i.frames[e],l=a?k.i.gc:k.i)h=dd.indexOf(l),-1===h&&dd.push(l),k.i.gc=g,k.o=g}b=0;for(c=dd.length;b<c;b++)l=dd[b],a?this.a.n.deleteTexture(l):l.hintUnload&&l.hintUnload();dd.length=0}};var ed=[];
cd.Ng=function(a){var b,c,e,f,h,i;b=ed.length=0;for(c=this.ea.length;b<c;b++){h=this.ea[b];e=0;for(f=h.frames.length;e<f;e++)i=h.frames[e].i,-1===ed.indexOf(i)&&(a.drawImage(i,0,0),ed.push(i))}};bd.s=function(a){this.type=a;this.a=a.a;this.V=new bb(this.type.ea[0].frames[0].Pi)};var fd=bd.s.prototype;
fd.p=function(){this.visible=0===this.l[0];this.ni=this.ti=j;this.Ne=0!==this.l[2];!(1===this.type.ea.length&&1===this.type.ea[0].frames.length)&&0!==this.type.ea[0].speed&&(this.a.dh(this),this.ti=d);this.wa=this.type.ea[0];this.u=this.l[1];0>this.u&&(this.u=0);this.u>=this.wa.frames.length&&(this.u=this.wa.frames.length-1);if(0!==this.u){var a=this.wa.frames[this.u];this.V.gj(a.Pi);this.Gb=a.Gb;this.Hb=a.Hb}this.Rh=this.type.ea[0].speed;this.nd=this.gg();this.Of=d;this.fd=0;this.Nf=d;this.Sf=this.bk=
"";this.hk=0;this.Kh=-1;var b,c,e,f,h,i,k,a=0;for(b=this.type.ea.length;a<b;a++){f=this.type.ea[a];c=0;for(e=f.frames.length;c<e;c++)h=f.frames[c],h.i.hintLoad&&h.i.hintLoad(),0===h.width&&(h.width=h.i.width,h.height=h.i.height),h.re&&(k=h.i,i=h.ij,i.left=h.me/k.width,i.top=h.ne/k.height,i.right=(h.me+h.width)/k.width,i.bottom=(h.ne+h.height)/k.height,0===h.me&&(0===h.ne&&h.width===k.width&&h.height===k.height)&&(h.re=j)),this.a.n&&(h.i.gc||(h.i.gc=this.a.n.xb(h.i,j,this.a.P,h.ul)),h.o=h.i.gc)}this.jd=
this.wa.frames[this.u];this.Qh=this.jd.o};fd.Gh=function(a){this.u=a?0:this.wa.frames.length-1;this.Of=j;this.bk=this.wa.name;this.ni=d;this.a.trigger(R.prototype.d.lm,this);this.a.trigger(R.prototype.d.Od,this);this.ni=j;this.fd=0};fd.gg=function(){return(Date.now()-this.a.oj)/1E3};
fd.Ba=function(){this.Sf.length&&this.kk();0<=this.Kh&&this.jn();var a=this.gg(),b=this.wa,c=b.frames[this.u],e=c.duration/this.Rh,f=this.a.vc;-1!==this.Eg&&(f=this.Eg);e/=0===f?1E-9:f;if(this.Of&&a>=this.nd+e){this.Nf?this.u++:this.u--;this.nd+=e;this.u>=b.frames.length&&(b.tl?(this.Nf=j,this.u=b.frames.length-2):b.loop?this.u=b.Sg:(this.fd++,this.fd>=b.Zi?this.Gh(j):this.u=b.Sg));0>this.u&&(b.tl?(this.u=1,this.Nf=d,b.loop||(this.fd++,this.fd>=b.Zi&&this.Gh(d))):b.loop?this.u=b.Sg:(this.fd++,this.fd>=
b.Zi?this.Gh(d):this.u=b.Sg));0>this.u?this.u=0:this.u>=b.frames.length&&(this.u=b.frames.length-1);if(a>this.nd+b.frames[this.u].duration/this.Rh/(0===f?1E-9:f))this.nd=a;a=b.frames[this.u];this.Ge(c,a);this.a.G=d}};
fd.kk=function(){var a=this.wa.frames[this.u],b,c,e,f=g;b=0;for(c=this.type.ea.length;b<c;b++)if(e=this.type.ea[b],e.name.toLowerCase()===this.Sf.toLowerCase()){f=e;break}this.Sf="";f&&!(f.name.toLowerCase()===this.wa.name.toLowerCase()&&this.Of)&&(this.wa=f,this.Rh=f.speed,0>this.u&&(this.u=0),this.u>=this.wa.frames.length&&(this.u=this.wa.frames.length-1),1===this.hk&&(this.u=0),this.Of=d,this.nd=this.gg(),this.Nf=d,this.Ge(a,this.wa.frames[this.u]),this.a.G=d)};
fd.jn=function(){var a=this.wa.frames[this.u],b=this.u;this.u=y(this.Kh);0>this.u&&(this.u=0);this.u>=this.wa.frames.length&&(this.u=this.wa.frames.length-1);b!==this.u&&(this.Ge(a,this.wa.frames[this.u]),this.nd=this.gg(),this.a.G=d);this.Kh=-1};
fd.Ge=function(a,b){var c=a.width,e=a.height,f=b.width,h=b.height;c!=f&&(this.width*=f/c);e!=h&&(this.height*=h/e);this.Gb=b.Gb;this.Hb=b.Hb;this.V.gj(b.Pi);this.k();this.jd=b;this.Qh=b.o;c=0;for(e=this.na.length;c<e;c++)f=this.na[c],f.nl&&f.nl(a,b);this.a.trigger(R.prototype.d.Ge,this)};
fd.Xa=function(a){a.globalAlpha=this.opacity;var b=this.jd,c=b.re,e=b.i,f=this.x,h=this.y,i=this.width,k=this.height;if(0===this.f&&0<=i&&0<=k)f-=this.Gb*i,h-=this.Hb*k,this.a.$a&&(f=f+0.5|0,h=h+0.5|0),c?a.drawImage(e,b.me,b.ne,b.width,b.height,f,h,i,k):a.drawImage(e,f,h,i,k);else{this.a.$a&&(f=f+0.5|0,h=h+0.5|0);a.save();var l=0<i?1:-1,n=0<k?1:-1;a.translate(f,h);(1!==l||1!==n)&&a.scale(l,n);a.rotate(this.f*l*n);f=0-this.Gb*ha(i);h=0-this.Hb*ha(k);c?a.drawImage(e,b.me,b.ne,b.width,b.height,f,h,ha(i),
ha(k)):a.drawImage(e,f,h,ha(i),ha(k));a.restore()}};fd.Qa=function(a){a.Va(this.Qh);a.Qc(this.opacity);var b=this.jd,c=this.oa;if(this.a.$a){var e=(this.x+0.5|0)-this.x,f=(this.y+0.5|0)-this.y;b.re?a.Lb(c.Z+e,c.$+f,c.Ca+e,c.Da+f,c.ua+e,c.va+f,c.sa+e,c.ta+f,b.ij):a.Qg(c.Z+e,c.$+f,c.Ca+e,c.Da+f,c.ua+e,c.va+f,c.sa+e,c.ta+f)}else b.re?a.Lb(c.Z,c.$,c.Ca,c.Da,c.ua,c.va,c.sa,c.ta,b.ij):a.Qg(c.Z,c.$,c.Ca,c.Da,c.ua,c.va,c.sa,c.ta)};
fd.Un=function(a){var b=this.jd,c,e;c=0;for(e=b.mi.length;c<e;c++)if(a.toLowerCase()===b.mi[c][0].toLowerCase())return c;return-1};fd.Se=function(a,b){var c=this.jd,e=c.mi,f;f=x(a)?this.Un(a):a-1;f=y(f);if(0>f||f>=e.length)return b?this.x:this.y;var h=(e[f][1]-c.Gb)*this.width,e=e[f][2],e=(e-c.Hb)*this.height,c=Math.cos(this.f);f=Math.sin(this.f);var i=h*c-e*f,e=e*c+h*f,h=i+this.x,e=e+this.y;return b?h:e};
$c.prototype.Fb=function(a){if(!a)return j;var b=this.a,c=b.fi(),e=c.type;if(!c.T.Oe){c.T.Oe=[];var f=c.T.Oe;b.Ch(function(a){var b,c=0,e,h;b=0;for(e=f.length;b<e;b++)h=f[b],h[0]!==a&&h[1]!==a&&(f[c]=f[b],c++);f.length=c})}var h=e.C(),i=a.C(),h=h.hb(),i=i.hb(),k,l,n,q,s,r,w,u,v=b.ya().xa;k=0;for(l=h.length;k<l;k++){n=h[k];q=0;for(s=i.length;q<s;q++)if(r=i[q],b.Na(n,r)||b.an(n,r)){a:{w=c.T.Oe;var A=u=aa,B=aa;u=0;for(A=w.length;u<A;u++)if(B=w[u],B[0]===n&&B[1]===r||B[0]===r&&B[1]===n){w=d;break a}w=
j}w||(c.T.Oe.push([n,r]),b.qf(v.da),w=e.C(),u=a.C(),w.H=j,u.H=j,e===a?(w.e.length=2,w.e[0]=n,w.e[1]=r):(w.e.length=1,u.e.length=1,w.e[0]=n,u.e[0]=r),v.$i(),b.Oc(v.da))}else{w=c.T.Oe;u=n;for(var A=aa,B=0,L=aa,C=aa,A=0,L=w.length;A<L;A++)C=w[A],C[0]===u&&C[1]===r||C[0]===r&&C[1]===u||(w[B]=w[A],B++);w.length=B}}return j};var gd=g,hd=new $a,id=j;
cd.finish=function(a){if(id){if(a){var b=this.a.ya().xa.zb,a=gd.C(),c=hd.Kd(),e,f;if(a.H){a.H=j;a.e.length=c.length;e=0;for(f=c.length;e<f;e++)a.e[e]=c[e];if(b){e=a.X.length=0;for(f=gd.e.length;e<f;e++)b=gd.e[e],hd.contains(b)||a.X.push(b)}}else{var h=a.e.length;a.e.length=h+c.length;e=0;for(f=c.length;e<f;e++)a.e[h+e]=c[e],b&&qa(a.X,c[e])}gd.Ie()}hd.clear();id=j}};t=$c.prototype;
t.If=function(a){if(a){var b=j,c,e,f,h=this.a.fi(),i=h.type,h=h.Xe;c=a.C();e=this.a.ya().xa.zb;var k;k=c.H?c.type.e:e?c.X:c.e;gd=a;id=i!==a&&!h;c=0;for(e=k.length;c<e;c++)if(f=k[c],this.a.Na(this,f)){b=d;if(h)break;i!==a&&hd.add(f)}a=b}else a=j;return a};t.bd=function(a){return this.wa.name.toLowerCase()===a.toLowerCase()};t.Od=function(a){return this.bk.toLowerCase()===a.toLowerCase()};t.lm=p(d);t.Ge=p(d);bd.d=new $c;
ad.prototype.sb=function(a,b,c){if(a&&b&&(b=this.a.Nh(a,b,this.Se(c,d),this.Se(c,j)))){b.f=this.f;b.k();this.a.ib++;this.a.trigger(Object.getPrototypeOf(a.aa).d.Gj,b);this.a.ib--;var e=this.a.Rn(),c=j;if(fa(e.T.Tj)||e.T.Tj<this.a.Pe)c=d,e.T.Tj=this.a.Pe;var f,h;if(a!=this.type&&(h=a.C(),h.H=j,c?(h.e.length=1,h.e[0]=b):h.e.push(b),b.wb)){a=0;for(e=b.siblings.length;a<e;a++)f=b.siblings[a],h=f.type.C(),h.H=j,c?(h.e.length=1,h.e[0]=f):h.e.push(f)}}};
ad.prototype.M=function(a,b){this.Sf=a;this.hk=b;this.ti||(this.a.dh(this),this.ti=d);this.ni||this.kk()};ad.prototype.Pj=function(a){a=ha(this.width)*(0===a?-1:1);this.width!==a&&(this.width=a,this.k())};bd.c=new ad;bd.q=new (m());function S(a){this.a=a}function jd(){}function kd(){}var ld=S.prototype;ld.p=function(){ld.c.Rj=function(a){this.width!==a&&(this.width=a,this.te=d,this.k())}};ld.A=function(a){this.aa=a;this.a=a.a};var md=ld.A.prototype;md.p=m();
md.oe=function(){if(!this.D){var a,b,c;a=0;for(b=this.e.length;a<b;a++)c=this.e[a],c.rc=g,c.ke=g,c.Kb=g}};ld.s=function(a){this.type=a;this.a=a.a;this.vd=[];this.te=d};var nd=ld.s.prototype;
nd.p=function(){this.text=this.l[0];this.visible=0===this.l[1];this.font=this.l[2];this.color=this.l[3];this.Gk=this.l[4];this.$l=this.l[5];this.np=0===this.l[7];this.$k=this.ce=this.width;this.be=this.height;this.Do=this.l[8];this.wk=this.mk="";var a=this.font.split(" ");this.xq=this.yq=this.Si=0;var b;for(b=0;b<a.length;b++)if("pt"===a[b].substr(a[b].length-2,2)){this.Si=parseInt(a[b].substr(0,a[b].length-2));this.To=Math.ceil(96*(this.Si/72))+4;this.mk=a[b+1];0<b&&(this.wk=a[b-1]);break}this.Kb=
this.ke=this.rc=g;this.kl=j;this.Yb=new Ya(0,0,1,1)};nd.Kc=function(){this.rc=this.ke=g;this.a.n&&this.Kb&&this.a.n.deleteTexture(this.Kb);this.Kb=g};nd.zq=function(){this.font=this.wk+" "+this.Si.toString()+"pt "+this.mk;this.te=d;this.a.G=d};
nd.Xa=function(a,b){a.font=this.font;a.textBaseline="top";a.fillStyle=this.color;a.globalAlpha=b?1:this.opacity;var c=1;b&&(c=this.j.Ta(),a.save(),a.scale(c,c));if(this.te||this.width!==this.$k)this.type.aa.Pm(this.text,this.vd,a,this.width,this.np),this.te=j,this.$k=this.width;this.ac();var c=b?0:this.oa.Z,e=b?0:this.oa.$;this.a.$a&&(c=c+0.5|0,e=e+0.5|0);0!==this.f&&!b&&(a.save(),a.translate(c,e),a.rotate(this.f),e=c=0);var f=e+this.height,h=this.To,h=h+this.Do*this.a.devicePixelRatio,i,k;1===this.$l?
e+=Math.max(this.height/2-this.vd.length*h/2,0):2===this.$l&&(e+=Math.max(this.height-this.vd.length*h-2,0));for(k=0;k<this.vd.length&&!(i=c,1===this.Gk?i=c+(this.width-this.vd[k].width)/2:2===this.Gk&&(i=c+(this.width-this.vd[k].width)),a.fillText(this.vd[k].text,i,e),e+=h,e>=f-h);k++);(0!==this.f||b)&&a.restore()};
nd.Qa=function(a){if(!(1>this.width||1>this.height)){var b=this.te||this.kl;this.kl=j;var c=this.j.Ta(),e=this.j.jc(),f=this.Yb,h=c*this.width,i=c*this.height,k=Math.ceil(h),l=Math.ceil(i),n=this.a.width/2,q=this.a.height/2;this.ke||(this.rc=document.createElement("canvas"),this.rc.width=k,this.rc.height=l,this.ce=k,this.be=l,b=d,this.ke=this.rc.getContext("2d"));if(k!==this.ce||l!==this.be)this.rc.width=k,this.rc.height=l,this.Kb&&(a.deleteTexture(this.Kb),this.Kb=g),b=d;b&&(this.ke.clearRect(0,
0,k,l),this.Xa(this.ke,d),this.Kb||(this.Kb=a.Gc(k,l,this.a.P,this.a.rd)),a.Bq(this.rc,this.Kb,this.a.rd));this.ce=k;this.be=l;a.Va(this.Kb);a.Qc(this.opacity);a.tc();a.translate(-n,-q);a.xc();var s=this.oa,b=this.j.Y(s.Z,s.$,d),n=this.j.Y(s.Z,s.$,j),q=this.j.Y(s.Ca,s.Da,d),r=this.j.Y(s.Ca,s.Da,j),w=this.j.Y(s.ua,s.va,d),u=this.j.Y(s.ua,s.va,j),v=this.j.Y(s.sa,s.ta,d),s=this.j.Y(s.sa,s.ta,j);if(this.a.$a||0===this.f&&0===e)var A=(b+0.5|0)-b,B=(n+0.5|0)-n,b=b+A,n=n+B,q=q+A,r=r+B,w=w+A,u=u+B,v=v+A,
s=s+B;0===this.f&&0===e?(q=b+k,r=n,w=q,u=n+l,v=b,s=u,f.right=1,f.bottom=1):(f.right=h/k,f.bottom=i/l);a.Lb(b,n,q,r,w,u,v,s,f);a.tc();a.scale(c,c);a.Bl(-this.j.jc());a.translate((this.j.mb+this.j.nb)/-2,(this.j.ob+this.j.lb)/-2);a.xc()}};var od=[];
ld.Nm=function(a){od.length=0;for(var b="",c,e=0;e<a.length;)if(c=a.charAt(e),"\n"===c)b.length&&(od.push(b),b=""),od.push("\n"),++e;else if(" "===c||"\t"===c||"-"===c){do b+=a.charAt(e),e++;while(e<a.length&&(" "===a.charAt(e)||"\t"===a.charAt(e)));od.push(b);b=""}else e<a.length&&(b+=c,e++);b.length&&od.push(b)};
ld.Pm=function(a,b,c,e,f){if(!a||!a.length)b.length=0;else if(2>=e)b.length=0;else{if(100>=a.length&&-1===a.indexOf("\n")){var h=0,h=c.measureText(a).width;if(h<=e){b.length?b.length=1:b.push({});b[0].text=a;b[0].width=h;return}}this.Qm(a,b,c,e,f)}};
ld.Qm=function(a,b,c,e,f){f&&(this.Nm(a),a=od);var h="",i,k,l,n=0;for(l=0;l<a.length;l++)"\n"===a[l]?(n>=b.length&&b.push({}),k=b[n],k.text=h,k.width=0,k.width=c.measureText(h).width,n++,h=""):(i=h,h+=a[l],k=c.measureText(h).width,k>=e&&(n>=b.length&&b.push({}),k=b[n],k.text=i,k.width=0,k.width=c.measureText(i).width,n++,h=a[l],!f&&" "===h&&(h="")));h.length&&(n>=b.length&&b.push({}),k=b[n],k.text=h,k.width=0,k.width=c.measureText(h).width,n++);b.length=n};ld.d=new (m());
jd.prototype.Kf=function(a){ga(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.te=d,this.a.G=d)};ld.c=new jd;kd.prototype.Mm=function(a){a.kb(this.text)};ld.q=new kd;function pd(a){this.a=a}var qd=pd.prototype;qd.A=function(a){this.aa=a;this.a=a.a};var rd=qd.A.prototype;rd.p=function(){this.D||(this.i=new Image,this.i.src=this.wf,this.i.Uf=this.xf,this.a.Mb.push(this.i),this.o=this.pattern=g)};rd.oe=function(){this.D||(this.o=g)};
rd.kf=function(){if(!this.D&&this.e.length){this.o||(this.o=this.a.n.xb(this.i,d,this.a.P,this.Xc));var a,b;a=0;for(b=this.e.length;a<b;a++)this.e[a].o=this.o}};rd.Bf=function(){!this.D&&!this.e.length&&(this.a.n?this.o&&(this.a.n.deleteTexture(this.o),this.o=g):this.i.hintUnload&&this.i.hintUnload())};rd.Ng=function(a){a.drawImage(this.i,0,0)};qd.s=function(a){this.type=a;this.a=a.a};var sd=qd.s.prototype;
sd.p=function(){this.visible=0===this.l[0];this.Yb=new Ya(0,0,0,0);this.mo=j;this.i=this.type.i;this.a.n?(this.type.o||(this.type.o=this.a.n.xb(this.type.i,d,this.a.P,this.type.Xc)),this.o=this.type.o):(this.i.hintLoad&&this.i.hintLoad(),this.type.pattern||(this.type.pattern=this.a.K.createPattern(this.type.i,"repeat")),this.pattern=this.type.pattern)};sd.Kc=function(){this.a.n&&(this.mo&&this.o)&&(this.a.n.deleteTexture(this.o),this.o=g)};
sd.Xa=function(a){a.globalAlpha=this.opacity;a.save();a.fillStyle=this.pattern;var b=this.x,c=this.y;this.a.$a&&(b=b+0.5|0,c=c+0.5|0);var e=-(this.Gb*this.width),f=-(this.Hb*this.height),h=e%this.i.width,i=f%this.i.height;0>h&&(h+=this.i.width);0>i&&(i+=this.i.height);a.translate(b,c);a.rotate(this.f);a.translate(h,i);a.fillRect(e-h,f-i,this.width,this.height);a.restore()};
sd.Qa=function(a){a.Va(this.o);a.Qc(this.opacity);var b=this.Yb;b.right=this.width/this.i.width;b.bottom=this.height/this.i.height;var c=this.oa;if(this.a.$a){var e=(this.x+0.5|0)-this.x,f=(this.y+0.5|0)-this.y;a.Lb(c.Z+e,c.$+f,c.Ca+e,c.Da+f,c.ua+e,c.va+f,c.sa+e,c.ta+f,b)}else a.Lb(c.Z,c.$,c.Ca,c.Da,c.ua,c.va,c.sa,c.ta,b)};qd.d=new (m());qd.c=new (m());qd.q=new (m());function T(a){this.a=a}function td(a){ud=a.x;vd=a.y;wd=a.em}function xd(a){yd=a.x;zd=a.y;Ad=a.em}function Bd(){}function Cd(){}
var Dd=T.prototype;Dd.A=function(a){this.aa=a;this.a=a.a};Dd.A.prototype.p=m();Dd.s=function(a){this.type=a;this.a=a.a;this.touches=[];this.Ei=j};var U=Dd.s.prototype,Ed={left:0,top:0};U.cg=function(a){var b,c;b=0;for(c=this.touches.length;b<c;b++)if(this.touches[b].id===a)return b;return-1};var ud=0,vd=0,wd=0,yd=0,zd=0,Ad=0;
U.p=function(){this.yo=!!("undefined"!==typeof window.c2isWindows8&&window.c2isWindows8);this.fh=this.Yc=this.Ph=this.Oh=this.Xj=this.Wj=this.Vj=this.Tm=this.Sm=this.Rm=this.nf=this.mf=this.lf=0;this.jp=0!==this.l[0];var a=0<this.a.Jc?document:this.a.canvas,b=document;this.a.vb?b=a=window.Canvas:this.a.mc&&(b=a=window);var c=this;window.navigator.msPointerEnabled?(a.addEventListener("MSPointerDown",function(a){c.Mo(a)},j),a.addEventListener("MSPointerMove",function(a){c.Lo(a)},j),b.addEventListener("MSPointerUp",
function(a){c.ml(a)},j),b.addEventListener("MSPointerCancel",function(a){c.ml(a)},j),this.a.canvas&&(this.a.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},j),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},j))):(a.addEventListener("touchstart",function(a){c.pl(a)},j),a.addEventListener("touchmove",function(a){c.ol(a)},j),b.addEventListener("touchend",function(a){c.Ki(a)},j),b.addEventListener("touchcancel",function(a){c.Ki(a)},j));if(this.yo){var e=
function(a){a=a.reading;c.Vj=a.accelerationX;c.Wj=a.accelerationY;c.Xj=a.accelerationZ},f=function(a){a=a.reading;c.lf=a.yawDegrees;c.mf=a.pitchDegrees;c.nf=a.rollDegrees},h=Windows.Devices.Sensors.Accelerometer.getDefault();h&&(h.reportInterval=Math.max(h.minimumReportInterval,16),h.addEventListener("readingchanged",e));var i=Windows.Devices.Sensors.Inclinometer.getDefault();i&&(i.reportInterval=Math.max(i.minimumReportInterval,16),i.addEventListener("readingchanged",f));document.addEventListener("visibilitychange",
function(){document.hidden||document.msHidden?(h&&h.removeEventListener("readingchanged",e),i&&i.removeEventListener("readingchanged",f)):(h&&h.addEventListener("readingchanged",e),i&&i.addEventListener("readingchanged",f))},j)}else window.addEventListener("deviceorientation",function(a){c.lf=a.alpha||0;c.mf=a.beta||0;c.nf=a.gamma||0},j),window.addEventListener("devicemotion",function(a){a.accelerationIncludingGravity&&(c.Rm=a.accelerationIncludingGravity.x,c.Sm=a.accelerationIncludingGravity.y,c.Tm=
a.accelerationIncludingGravity.z);a.acceleration&&(c.Vj=a.acceleration.x,c.Wj=a.acceleration.y,c.Xj=a.acceleration.z)},j);this.jp&&!this.a.Ia&&(jQuery(document).mousemove(function(a){c.Jo(a)}),jQuery(document).mousedown(function(a){c.Io(a)}),jQuery(document).mouseup(function(a){c.Ko(a)}));this.a.Yd&&!this.a.vb&&AppMobi.accelerometer.watchAcceleration(td,{frequency:40,adjustForRotation:d});this.a.sd&&navigator.accelerometer.watchAcceleration(xd,g,{frequency:40});this.a.fp(this)};
U.Lo=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE){a.preventDefault&&a.preventDefault();var b=this.cg(a.pointerId),c=Ca();if(0<=b){var e=this.a.Ia?Ed:jQuery(this.a.canvas).offset(),b=this.touches[b];2>c-b.time||(b.wg=b.time,b.de=b.x,b.ee=b.y,b.time=c,b.x=a.pageX-e.left,b.y=a.pageY-e.top)}}};
U.Mo=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE){a.preventDefault&&a.preventDefault();var b=this.a.Ia?Ed:jQuery(this.a.canvas).offset(),c=a.pageX-b.left,b=a.pageY-b.top,e=Ca();this.Yc=this.touches.length;this.fh=a.pointerId;this.touches.push({time:e,x:c,y:b,wg:e,de:c,ee:b,id:a.pointerId,pj:this.Yc});this.a.trigger(T.prototype.d.Lj,this);this.a.trigger(T.prototype.d.Mj,this);this.Oh=c;this.Ph=b;this.a.trigger(T.prototype.d.qb,this)}};
U.ml=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&(a.preventDefault&&a.preventDefault(),a=this.cg(a.pointerId),this.Yc=0<=a?this.touches[a].pj:-1,this.fh=0<=a?this.touches[a].id:-1,this.a.trigger(T.prototype.d.Kj,this),this.a.trigger(T.prototype.d.Pd,this),0<=a&&this.touches.splice(a,1))};
U.ol=function(a){a.preventDefault&&a.preventDefault();var b=Ca(),c,e,f,h;c=0;for(e=a.changedTouches.length;c<e;c++)if(f=a.changedTouches[c],h=this.cg(f.identifier),0<=h){var i=this.a.Ia?Ed:jQuery(this.a.canvas).offset();h=this.touches[h];2>b-h.time||(h.wg=h.time,h.de=h.x,h.ee=h.y,h.time=b,h.x=f.pageX-i.left,h.y=f.pageY-i.top)}};
U.pl=function(a){a.preventDefault&&a.preventDefault();var b=this.a.Ia?Ed:jQuery(this.a.canvas).offset(),c=Ca(),e,f,h;e=0;for(f=a.changedTouches.length;e<f;e++){h=a.changedTouches[e];var i=h.pageX-b.left,k=h.pageY-b.top;this.Yc=this.touches.length;this.fh=h.identifier;this.touches.push({time:c,x:i,y:k,wg:c,de:i,ee:k,id:h.identifier,pj:this.Yc});this.a.trigger(T.prototype.d.Lj,this);this.a.trigger(T.prototype.d.Mj,this);this.Oh=i;this.Ph=k;this.a.trigger(T.prototype.d.qb,this)}};
U.Ki=function(a){a.preventDefault&&a.preventDefault();var b,c,e;b=0;for(c=a.changedTouches.length;b<c;b++)e=a.changedTouches[b],e=this.cg(e.identifier),this.Yc=0<=e?this.touches[e].pj:-1,this.fh=0<=e?this.touches[e].id:-1,this.a.trigger(T.prototype.d.Kj,this),this.a.trigger(T.prototype.d.Pd,this),0<=e&&this.touches.splice(e,1)};U.fq=function(){return this.a.Yd&&0===this.lf&&0!==wd?90*wd:this.a.sd&&0===this.lf&&0!==Ad?90*Ad:this.lf};
U.gq=function(){return this.a.Yd&&0===this.mf&&0!==vd?-90*vd:this.a.sd&&0===this.mf&&0!==zd?-90*zd:this.mf};U.jq=function(){return this.a.Yd&&0===this.nf&&0!==ud?90*ud:this.a.sd&&0===this.nf&&0!==yd?90*yd:this.nf};U.Io=function(a){a.preventDefault&&this.a.jg&&a.preventDefault();this.pl({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.Ei=d};U.Jo=function(a){a.preventDefault&&this.a.jg&&a.preventDefault();this.Ei&&this.ol({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]})};
U.Ko=function(a){a.preventDefault&&this.a.jg&&a.preventDefault();this.a.jg=d;this.Ki({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.Ei=j};U.ue=function(){var a,b,c,e=Ca();a=0;for(b=this.touches.length;a<b;a++)c=this.touches[a],c.time<=e-50&&(c.wg=e)};t=Bd.prototype;t.Mj=p(d);t.Pd=p(d);t.qb=function(a){return!a?j:this.a.ep(a,this.Oh,this.Ph)};
t.bb=function(a){if(!a)return j;var a=a.C(),b=a.hb(),c,e,f=[],h,i,k,l;h=0;for(i=b.length;h<i;h++){var n=b[h];n.ac();k=0;for(l=this.touches.length;k<l;k++)if(e=this.touches[k],c=n.j.Pa(e.x,e.y,d),e=n.j.Pa(e.x,e.y,j),n.fb(c,e)){f.push(n);break}}return f.length?(a.H=j,a.e=f,d):j};t.Lj=function(a){a=Math.floor(a);return a===this.Yc};t.Kj=function(a){a=Math.floor(a);return a===this.Yc};Dd.d=new Bd;
Cd.prototype.Cc=function(a,b){if(this.touches.length){var c,e,f,h,i;fa(b)?(c=this.a.Te(0),e=c.scale,f=c.zc,h=c.Lc,i=c.f,c.scale=this.a.U.scale,c.zc=1,c.Lc=1,c.f=this.a.U.f,a.r(c.Pa(this.touches[0].x,this.touches[0].y,d)),c.scale=e,c.zc=f,c.Lc=h,c.f=i):(c=ga(b)?this.a.Te(b):this.a.gi(b))?a.r(c.Pa(this.touches[0].x,this.touches[0].y,d)):a.r(0)}else a.r(0)};
Cd.prototype.Ah=function(a,b){if(this.touches.length){var c,e,f,h,i;fa(b)?(c=this.a.Te(0),e=c.scale,f=c.zc,h=c.Mc,i=c.f,c.scale=this.a.U.scale,c.zc=1,c.Mc=1,c.f=this.a.U.f,a.r(c.Pa(this.touches[0].x,this.touches[0].y,j)),c.scale=e,c.zc=f,c.Mc=h,c.f=i):(c=ga(b)?this.a.Te(b):this.a.gi(b))?a.r(c.Pa(this.touches[0].x,this.touches[0].y,j)):a.r(0)}else a.r(0)};Dd.q=new Cd;function Fd(a){this.a=a}function Gd(){}function Hd(){}function Id(){}var Jd=Fd.prototype;Jd.A=function(a){this.aa=a;this.a=a.a};
Jd.A.prototype.p=m();Jd.s=function(a){this.type=a;this.a=a.a};var Kd=Jd.s.prototype,Ld="";"undefined"!==typeof window.is_scirra_arcade&&(Ld="arcade"+window.scirra_arcade_id);Kd.p=m();Gd.prototype.Ej=function(a){return localStorage.getItem(Ld+a)!=g};Gd.prototype.Dm=p(d);Jd.d=new Gd;Hd.prototype.Uj=function(a,b){try{localStorage.setItem(Ld+a,b)}catch(c){this.a.trigger(Fd.prototype.d.Dm,this)}};Jd.c=new Hd;Id.prototype.Fj=function(a,b){a.kb(localStorage.getItem(Ld+b)||"")};Jd.q=new Id;
function Md(a){this.a=a}function Nd(){}function Od(){}var Pd=Md.prototype;Pd.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};Pd.A.prototype.p=m();Pd.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a};var Qd=Pd.s.prototype;Qd.p=function(){var a=this.l[0];this.N=this.l[1];this.ub=this.l[2];this.Ym=0!==this.l[3];this.ej=0!==this.l[4];this.g=Math.cos(this.b.f)*a;this.h=Math.sin(this.b.f)*a;this.de=this.b.x;this.ee=this.b.y;this.pc=this.b.f;this.Ul=0;this.enabled=d};
Qd.Ba=function(){if(this.enabled){var a=this.a.od(this.b),b,c;this.b.f!==this.pc&&(this.ej&&(b=za(0,0,this.g,this.h),this.g=Math.cos(this.b.f)*b,this.h=Math.sin(this.b.f)*b),this.pc=this.b.f);0!==this.N&&(b=za(0,0,this.g,this.h),c=0===this.g&&0===this.h?this.b.f:va(0,0,this.g,this.h),b+=this.N*a,0>b&&(b=0),this.g=Math.cos(c)*b,this.h=Math.sin(c)*b);0!==this.ub&&(this.h+=this.ub*a);this.de=this.b.x;this.ee=this.b.y;if(0!==this.g||0!==this.h)if(this.b.x+=this.g*a,this.b.y+=this.h*a,this.Ul+=za(0,0,
this.g*a,this.h*a),this.ej&&(this.b.f=va(0,0,this.g,this.h),this.b.k(),this.pc=this.b.f),this.b.k(),this.Ym&&(b=this.a.ja(this.b)))this.a.Zb(this.b,b),b=za(0,0,this.g,this.h),c=this.a.Zm(this.b,this.de,this.ee),this.g=Math.cos(c)*b,this.h=Math.sin(c)*b,this.b.x+=this.g*a,this.b.y+=this.h*a,this.b.k(),this.ej&&(this.pc=this.b.f=c,this.b.k()),this.a.Xb(this.b,this.g/b,this.h/b,Math.max(2.5*b*a,30))||this.a.Ui(this.b,100)}};Pd.d=new (m());
Nd.prototype.vh=function(a){var b=va(0,0,this.g,this.h);this.g=Math.cos(b)*a;this.h=Math.sin(b)*a};Nd.prototype.He=function(a){this.N=a};Nd.prototype.ma=function(a){this.enabled=1===a};Pd.c=new Nd;Od.prototype.wh=function(a){var b=za(0,0,this.g,this.h),b=Ga(b);a.r(b)};Od.prototype.Ae=function(a){a.r(this.N)};Pd.q=new Od;function Rd(a){this.a=a}function Sd(){}function Td(){}function Ud(){}var Vd=Rd.prototype;Vd.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};Vd.A.prototype.p=m();
Vd.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a;this.Fd=this.Ed=this.jj=this.kj=this.li=this.Bd=this.ud=this.Vh=this.wj=j;this.Yk=this.Xk=this.Wk=this.Zk=-1;this.h=this.g=0;this.enabled=d};var Wd=Vd.s.prototype;Wd.p=function(){this.za=this.l[0];this.N=this.l[1];this.gb=this.l[2];this.Uh=this.l[3];this.Fh=this.l[4];if((this.Th=1===this.l[5])&&!this.a.Ia)jQuery(document).keydown(function(a){return function(b){a.Ii(b)}}(this)),jQuery(document).keyup(function(a){return function(b){a.Ji(b)}}(this))};
Wd.Ii=function(a){var b=this.a.yf;switch(a.which){case 37:a.preventDefault();this.Xk<b&&(this.ud=d);break;case 38:a.preventDefault();this.Zk<b&&(this.wj=d);break;case 39:a.preventDefault();this.Yk<b&&(this.Bd=d);break;case 40:a.preventDefault(),this.Wk<b&&(this.Vh=d)}};
Wd.Ji=function(a){var b=this.a.yf;switch(a.which){case 37:a.preventDefault();this.ud=j;this.Xk=b;break;case 38:a.preventDefault();this.wj=j;this.Zk=b;break;case 39:a.preventDefault();this.Bd=j;this.Yk=b;break;case 40:a.preventDefault(),this.Vh=j,this.Wk=b}};
Wd.Ba=function(){var a=this.a.od(this.b),b=this.ud||this.Ed,c=this.Bd||this.Fd,e=this.wj||this.kj,f=this.Vh||this.jj;this.jj=this.kj=this.Fd=this.Ed=j;if(this.enabled){var h=this.a.ja(this.b);if(h&&(this.a.Zb(this.b,h),!this.a.Ui(this.b)))return;this.li&&(f=e=c=b=j);0===this.Uh?c=b=j:1===this.Uh&&(f=e=j);if(2===this.Uh&&(e||f))c=b=j;b==c&&(0>this.g?(this.g+=this.gb*a,0<this.g&&(this.g=0)):0<this.g&&(this.g-=this.gb*a,0>this.g&&(this.g=0)));e==f&&(0>this.h?(this.h+=this.gb*a,0<this.h&&(this.h=0)):
0<this.h&&(this.h-=this.gb*a,0>this.h&&(this.h=0)));b&&!c&&(this.g=0<this.g?this.g-(this.N+this.gb)*a:this.g-this.N*a);c&&!b&&(this.g=0>this.g?this.g+(this.N+this.gb)*a:this.g+this.N*a);e&&!f&&(this.h=0<this.h?this.h-(this.N+this.gb)*a:this.h-this.N*a);f&&!e&&(this.h=0>this.h?this.h+(this.N+this.gb)*a:this.h+this.N*a);if(0!==this.g||0!==this.h){Math.sqrt(this.g*this.g+this.h*this.h)>this.za&&(h=Math.atan2(this.h,this.g),this.g=this.za*Math.cos(h),this.h=this.za*Math.sin(h));c=this.b.x;e=this.b.y;
b=this.b.f;this.b.x+=this.g*a;this.b.k();if(h=this.a.ja(this.b))this.b.x=c,this.g=0,this.b.k(),this.a.Zb(this.b,h);this.b.y+=this.h*a;this.b.k();if(h=this.a.ja(this.b))this.b.y=e,this.h=0,this.b.k(),this.a.Zb(this.b,h);a=Ga(this.g);h=Ga(this.h);if(0!==a||0!==h)1===this.Fh?this.b.f=ua(90*Math.round(ra(Math.atan2(h,a))/90)):2===this.Fh?this.b.f=ua(45*Math.round(ra(Math.atan2(h,a))/45)):3===this.Fh&&(this.b.f=Math.atan2(h,a));this.b.k();if(this.b.f!=b&&(h=this.a.ja(this.b)))this.b.f=b,this.b.k(),this.a.Zb(this.b,
h)}}};Sd.prototype.oh=function(){return 0!==this.g||0!==this.h};Vd.d=new Sd;t=Td.prototype;t.Lf=function(){this.h=this.g=0};t.vh=function(a){0>a&&(a=0);a>this.za&&(a=this.za);var b=Math.atan2(this.h,this.g);this.g=a*Math.cos(b);this.h=a*Math.sin(b)};t.th=function(a){this.za=a;0>this.za&&(this.za=0)};t.He=function(a){this.N=a;0>this.N&&(this.N=0)};t.Bc=function(a){switch(a){case 0:this.Ed=d;break;case 1:this.Fd=d;break;case 2:this.kj=d;break;case 3:this.jj=d}};t.ma=function(a){this.enabled=1===a};
Vd.c=new Td;Ud.prototype.wh=function(a){a.r(Math.sqrt(this.g*this.g+this.h*this.h))};Ud.prototype.ph=function(a){a.r(this.za)};Ud.prototype.Ae=function(a){a.r(this.N)};Vd.q=new Ud;function X(a){this.a=a}function Xd(){}function Yd(){}var Zd=X.prototype;Zd.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};Zd.A.prototype.p=m();Zd.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a};var $d=Zd.s.prototype;
$d.p=function(){var a=1===this.l[0];this.Zh=this.l[1];this.zj=this.l[2];this.nk=this.l[3];this.hn=this.l[4];this.Db=a?0:3;this.Vc=new ab;this.hf=this.b.opacity?this.b.opacity:1;a&&(0===this.Zh?(this.Db=1,0===this.zj&&(this.Db=2)):(this.b.opacity=0,this.a.G=d))};
$d.Ba=function(){this.Vc.add(this.a.od(this.b));0===this.Db&&(this.b.opacity=this.Vc.Wa/this.Zh*this.hf,this.a.G=d,this.b.opacity>=this.hf&&(this.b.opacity=this.hf,this.Db=1,this.Vc.reset()));1===this.Db&&this.Vc.Wa>=this.zj&&(this.Db=2,this.Vc.reset());2===this.Db&&0!==this.nk&&(this.b.opacity=this.hf-this.Vc.Wa/this.nk*this.hf,this.a.G=d,0>this.b.opacity&&(this.b.opacity=0,this.Db=3,this.Vc.reset(),this.a.trigger(X.prototype.d.Hj,this.b),1===this.hn&&this.a.$c(this.b)))};
$d.kn=function(){this.Db=0;this.Vc.reset();0===this.Zh?(this.Db=1,0===this.zj&&(this.Db=2)):(this.b.opacity=0,this.a.G=d)};Xd.prototype.Hj=p(d);Zd.d=new Xd;Yd.prototype.ec=function(){3===this.Db&&this.kn()};Zd.c=new Yd;function Y(a){this.a=a}function ae(){}function be(){}var ce=Y.prototype;ce.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};ce.A.prototype.p=m();ce.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a};var de=ce.s.prototype;
de.p=function(){this.Ja=g;this.mode=this.pc=this.Ql=this.Dg=this.yd=this.Oi=0;var a=this;this.jf=function(b){a.Hi(b)};this.a.Ch(this.jf)};de.Hi=function(a){this.Ja==a&&(this.Ja=g)};de.Kc=function(){this.Ja=g;this.a.zl(this.jf)};de.Ba=m();
de.ue=function(){if(this.Ja){this.pc!==this.b.f&&(this.Dg=D(this.Dg+(this.b.f-this.pc)));var a=this.b.x,b=this.b.y;if(3===this.mode||4===this.mode){var c=za(this.b.x,this.b.y,this.Ja.x,this.Ja.y);if(c>this.yd||4===this.mode&&c<this.yd)b=va(this.Ja.x,this.Ja.y,this.b.x,this.b.y),a=this.Ja.x+Math.cos(b)*this.yd,b=this.Ja.y+Math.sin(b)*this.yd}else a=this.Ja.x+Math.cos(this.Ja.f+this.Oi)*this.yd,b=this.Ja.y+Math.sin(this.Ja.f+this.Oi)*this.yd;this.pc=c=D(this.Dg+(this.Ja.f-this.Ql));if((0===this.mode||
1===this.mode||3===this.mode||4===this.mode)&&(this.b.x!==a||this.b.y!==b))this.b.x=a,this.b.y=b,this.b.k();if((0===this.mode||2===this.mode)&&this.b.f!==c)this.b.f=c,this.b.k()}};ae.prototype.im=function(){return!!this.Ja};ce.d=new ae;be.prototype.bc=function(a,b){if(a){var c=a.Tn();c&&(this.Ja=c,this.Oi=va(c.x,c.y,this.b.x,this.b.y)-c.f,this.yd=za(c.x,c.y,this.b.x,this.b.y),this.pc=this.Dg=this.b.f,this.Ql=c.f,this.mode=b)}};ce.c=new be;ce.q=new (m());function Z(a){this.a=a}function ee(){}
function fe(){}function ge(){}var he=Z.prototype;he.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};he.A.prototype.p=m();he.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a;this.Yg=this.Fd=this.Ed=this.li=this.cf=this.ug=this.Bd=this.ud=j;this.Wb=g;this.fc=this.ef=this.df=0;this.enabled=d;this.Qe=0;this.tk=d;this.h=this.g=0};var ie=he.s.prototype;
ie.gp=function(){this.Fa=Math.cos(this.eg);this.Ga=Math.sin(this.eg);this.Cd=Math.cos(this.eg-Math.PI/2);this.Dd=Math.sin(this.eg-Math.PI/2);this.Fa=Ga(this.Fa);this.Ga=Ga(this.Ga);this.Cd=Ga(this.Cd);this.Dd=Ga(this.Dd);this.Nn=this.ub;0>this.ub&&(this.Fa*=-1,this.Ga*=-1,this.ub=Math.abs(this.ub))};
ie.p=function(){this.za=this.l[0];this.N=this.l[1];this.gb=this.l[2];this.Bo=this.l[3];this.Nn=this.ub=this.l[4];this.el=this.l[5];this.Th=1===this.l[6];this.kh=j;this.eg=z(90);this.gp();this.Th&&!this.a.Ia&&(jQuery(document).keydown(function(a){return function(c){a.Ii(c)}}(this)),jQuery(document).keyup(function(a){return function(c){a.Ji(c)}}(this)));var a=this;this.jf=function(b){a.Hi(b)};this.a.Ch(this.jf)};ie.Hi=function(a){this.Wb==a&&(this.Wb=g)};ie.Kc=function(){this.Wb=g;this.a.zl(this.jf)};
ie.Ii=function(a){switch(a.which){case 38:a.preventDefault();this.ug=d;break;case 37:a.preventDefault();this.ud=d;break;case 39:a.preventDefault(),this.Bd=d}};ie.Ji=function(a){switch(a.which){case 38:a.preventDefault();this.cf=this.ug=j;break;case 37:a.preventDefault();this.ud=j;break;case 39:a.preventDefault(),this.Bd=j}};ie.iq=function(){return 0>this.ub?-1:1};
ie.Ok=function(){var a=g,b=g,c,e;c=this.b.x;e=this.b.y;this.b.x+=this.Fa;this.b.y+=this.Ga;this.b.k();if(this.Wb&&this.a.Na(this.b,this.Wb))return this.b.x=c,this.b.y=e,this.b.k(),this.Wb;a=this.a.ja(this.b);!a&&0===this.Qe&&(b=this.a.Jd(this.b,d));this.b.x=c;this.b.y=e;this.b.k();if(a)return this.a.Na(this.b,a)?g:a;if(b&&b.length){e=a=0;for(c=b.length;a<c;a++)b[e]=b[a],this.a.Na(this.b,b[a])||e++;if(1<=e)return b[0]}return g};
ie.Ba=function(){var a=this.a.od(this.b),b,c,e,f,h,i,k,l,n;!this.ug&&!this.Yg&&(this.cf=j);var q=this.ud||this.Ed;e=this.Bd||this.Fd;var s=(this.ug||this.Yg)&&!this.cf;this.Yg=this.Fd=this.Ed=j;if(this.enabled){this.li&&(s=e=q=j);l=this.Wb;n=j;this.tk&&((this.a.ja(this.b)||this.a.Jd(this.b))&&this.a.Xb(this.b,-this.Fa,-this.Ga,4,d),this.tk=j);if(l&&0===this.h&&(l.y!==this.ef||l.x!==this.df))b=l.x-this.df,c=l.y-this.ef,this.b.x+=b,this.b.y+=c,this.b.k(),this.df=l.x,this.ef=l.y,n=d,this.a.ja(this.b)&&
this.a.Xb(this.b,-b,-c,2.5*Math.sqrt(b*b+c*c));var r=this.Ok();if(c=this.a.ja(this.b))if(this.a.Ui(this.b,Math.max(this.b.width,this.b.height)/2))this.a.Zb(this.b,c);else return;if(r){0<this.h&&(this.kh||(this.a.Ti(this.b,-this.Fa,-this.Ga,r),this.kh=d),this.h=0);if(l!=r)this.Wb=r,this.df=r.x,this.ef=r.y,this.a.Zb(this.b,r);else if(n&&(c=this.a.ja(this.b)))this.a.Zb(this.b,c),0!==b&&(0<b?this.a.Xb(this.b,-this.Cd,-this.Dd):this.a.Xb(this.b,this.Cd,this.Dd)),this.a.Xb(this.b,-this.Fa,-this.Ga);s&&
(l=this.b.x,n=this.b.y,this.b.x-=this.Fa,this.b.y-=this.Ga,this.b.k(),this.a.ja(this.b)?s=j:(this.h=-this.Bo,this.a.trigger(Z.prototype.d.rm,this.b),this.fc=2,this.cf=d),this.b.x=l,this.b.y=n,this.b.k())}else this.Wb=g,this.h+=this.ub*a,this.h>this.el&&(this.h=this.el),s&&(this.cf=d);this.kh=!!r;q==e&&(0>this.g?(this.g+=this.gb*a,0<this.g&&(this.g=0)):0<this.g&&(this.g-=this.gb*a,0>this.g&&(this.g=0)));q&&!e&&(this.g=0<this.g?this.g-(this.N+this.gb)*a:this.g-this.N*a);e&&!q&&(this.g=0>this.g?this.g+
(this.N+this.gb)*a:this.g+this.N*a);this.g>this.za?this.g=this.za:this.g<-this.za&&(this.g=-this.za);if(0!==this.g){l=this.b.x;n=this.b.y;b=this.g*a*this.Cd;c=this.g*a*this.Dd;this.b.x+=this.Cd*(1<this.g?1:-1)-this.Fa;this.b.y+=this.Dd*(1<this.g?1:-1)-this.Ga;this.b.k();f=j;h=this.a.ja(this.b);this.b.x=l+b;this.b.y=n+c;this.b.k();e=this.a.ja(this.b);if(!e&&r&&(e=this.a.Jd(this.b)))this.b.x=l,this.b.y=n,this.b.k(),this.a.Na(this.b,e)?(e=g,f=j):f=d,this.b.x=l+b,this.b.y=n+c,this.b.k();if(e){if(q=Math.abs(this.g*
a)+2,h||!this.a.Xb(this.b,-this.Fa,-this.Ga,q,f,e)){this.a.Zb(this.b,e);q=Math.max(Math.abs(2.5*this.g*a),30);if(!this.a.Xb(this.b,this.Cd*(0>this.g?1:-1),this.Dd*(0>this.g?1:-1),q,j))this.b.x=l,this.b.y=n,this.b.k();f||(this.g=0)}}else l=this.Ok(),r&&!l?(c=Math.ceil(Math.abs(this.g*a))+2,l=this.b.x,n=this.b.y,this.b.x+=this.Fa*c,this.b.y+=this.Ga*c,this.b.k(),this.a.ja(this.b)||this.a.Jd(this.b)?this.a.Xb(this.b,-this.Fa,-this.Ga,c+2,d):(this.b.x=l,this.b.y=n,this.b.k())):l&&0===this.h&&this.a.Ti(this.b,
-this.Fa,-this.Ga,l)}b=j;if(0!==this.h){l=this.b.x;n=this.b.y;this.b.x+=this.h*a*this.Fa;this.b.y+=this.h*a*this.Ga;q=this.b.x;e=this.b.y;this.b.k();c=this.a.ja(this.b);f=j;if(!c&&0<this.h&&!r){if((f=0<this.Qe?g:this.a.Jd(this.b,d))&&f.length){this.b.x=l;this.b.y=n;this.b.k();k=h=0;for(i=f.length;h<i;h++)f[k]=f[h],this.a.Na(this.b,f[h])||k++;f.length=k;this.b.x=q;this.b.y=e;this.b.k();1<=f.length&&(c=f[0])}f=!!c}c&&(this.a.Zb(this.b,c),q=Math.max(Math.abs(2.5*this.h*a+10),30),this.a.Xb(this.b,this.Fa*
(0>this.h?1:-1),this.Ga*(0>this.h?1:-1),q,f,c)?(this.Wb=c,this.df=c.x,this.ef=c.y,f&&(b=d)):(this.b.x=l,this.b.y=n,this.b.k(),this.kh=d),this.h=0)}3!==this.fc&&(0<this.h&&!r)&&(this.a.trigger(Z.prototype.d.om,this.b),this.fc=3);if(r||b)if(3===this.fc||b||s&&0===this.h)this.a.trigger(Z.prototype.d.sm,this.b),this.fc=0===this.g&&0===this.h?0:1;else if(0!==this.fc&&(0===this.g&&0===this.h)&&(this.a.trigger(Z.prototype.d.Hm,this.b),this.fc=0),1!==this.fc&&(0!==this.g||0!==this.h)&&!s)this.a.trigger(Z.prototype.d.Jj,
this.b),this.fc=1;0<this.Qe&&this.Qe--}};t=ee.prototype;t.oh=function(){return 0!==this.g||0!==this.h};t.hm=function(){if(0!==this.h)return j;var a=g,b=g,c,e;c=this.b.x;e=this.b.y;this.b.x+=this.Fa;this.b.y+=this.Ga;this.b.k();a=this.a.ja(this.b);!a&&0===this.Qe&&(b=this.a.Jd(this.b,d));this.b.x=c;this.b.y=e;this.b.k();if(a)return!this.a.Na(this.b,a);if(b&&b.length){e=a=0;for(c=b.length;a<c;a++)b[e]=b[a],this.a.Na(this.b,b[a])||e++;if(1<=e)return d}return j};t.rm=p(d);t.om=p(d);t.Hm=p(d);t.Jj=p(d);
t.sm=p(d);he.d=new ee;fe.prototype.th=function(a){this.za=a;0>this.za&&(this.za=0)};fe.prototype.He=function(a){this.N=a;0>this.N&&(this.N=0)};fe.prototype.Bc=function(a){switch(a){case 0:this.Ed=d;break;case 1:this.Fd=d;break;case 2:this.Yg=d}};fe.prototype.ma=function(a){this.enabled=1===a};he.c=new fe;ge.prototype.wh=function(a){a.r(Math.sqrt(this.g*this.g+this.h*this.h))};ge.prototype.ph=function(a){a.r(this.za)};ge.prototype.Ae=function(a){a.r(this.N)};he.q=new ge;function je(a){this.a=a}
function ke(){}var le=je.prototype;le.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};le.A.prototype.p=m();le.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a;this.Ra=0};var me=le.s.prototype,ne=2*Math.PI,oe=Math.PI/2,pe=3*Math.PI/2;
me.p=function(){this.cb=1===this.l[0];this.Cg=this.l[1];this.mp=this.l[2];this.Nc=this.l[3];this.Nc+=Math.random()*this.l[4];0===this.Nc?this.Ra=0:(this.Ra=this.l[5]/this.Nc*ne,this.Ra+=Math.random()*this.l[6]/this.Nc*ne);this.Ya=this.l[7];this.Ya+=Math.random()*this.l[8];this.Wi=this.O=0;this.init()};
me.init=function(){switch(this.Cg){case 0:this.O=this.b.x;break;case 1:this.O=this.b.y;break;case 2:this.O=this.b.width;this.Wi=this.b.height/this.b.width;break;case 3:this.O=this.b.width;break;case 4:this.O=this.b.height;break;case 5:this.O=this.b.f;this.Ya=z(this.Ya);break;case 6:this.O=this.b.opacity;break;case 7:this.O=0}this.qc=this.O};
me.Ld=function(a){a%=ne;switch(this.mp){case 0:return Math.sin(a);case 1:return a<=oe?a/oe:a<=pe?1-2*(a-oe)/Math.PI:(a-pe)/oe-1;case 2:return 2*a/ne-1;case 3:return-2*a/ne+1;case 4:return a<Math.PI?-1:1}return 0};me.Ba=m();
me.ue=function(){var a=this.a.od(this.b);if(this.cb&&0!==a){0===this.Nc?this.Ra=0:(this.Ra+=a/this.Nc*ne,this.Ra%=ne);switch(this.Cg){case 0:this.b.x!==this.qc&&(this.O+=this.b.x-this.qc);this.b.x=this.O+this.Ld(this.Ra)*this.Ya;this.qc=this.b.x;break;case 1:this.b.y!==this.qc&&(this.O+=this.b.y-this.qc);this.b.y=this.O+this.Ld(this.Ra)*this.Ya;this.qc=this.b.y;break;case 2:this.b.width=this.O+this.Ld(this.Ra)*this.Ya;this.b.height=this.b.width*this.Wi;break;case 3:this.b.width=this.O+this.Ld(this.Ra)*
this.Ya;break;case 4:this.b.height=this.O+this.Ld(this.Ra)*this.Ya;break;case 5:this.b.f!==this.qc&&(this.O=D(this.O+(this.b.f-this.qc)));this.b.f=D(this.O+this.Ld(this.Ra)*this.Ya);this.qc=this.b.f;break;case 6:this.b.opacity=this.O+this.Ld(this.Ra)*this.Ya/100,0>this.b.opacity?this.b.opacity=0:1<this.b.opacity&&(this.b.opacity=1)}this.b.k()}};
me.nl=function(a,b){switch(this.Cg){case 2:this.O*=b.width/a.width;this.Wi=b.height/b.width;break;case 3:this.O*=b.width/a.width;break;case 4:this.O*=b.height/a.height}};le.d=new (m());ke.prototype.uh=function(a){this.Nc=a};ke.prototype.sh=function(a){this.Ya=a;5===this.Cg&&(this.Ya=z(this.Ya))};le.c=new ke;le.q=new (m());function qe(a){this.a=a;this.Jl=this.hj=this.tf=this.Il=0}function re(){}var se=qe.prototype;se.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};se.A.prototype.p=m();
se.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a};var te=se.s.prototype;te.p=m();te.Ba=m();te.ue=function(){var a=this.t.je.kp(),b=0,c=0,e,f;e=0;for(f=a.length;e<f;e++)b+=a[e].x,c+=a[e].y;e=this.b.j.Q;var h=this.a.oc.Wa,i=f=0;h>=this.t.tf&&h<this.t.hj&&(f=this.t.Il*Math.min(this.a.vc,1),0===this.t.Jl&&(f*=1-(h-this.t.tf)/(this.t.hj-this.t.tf)),h=2*Math.random()*Math.PI,i=Math.random()*f,f=Math.cos(h)*i,i*=Math.sin(h));e.Dl(b/a.length+f);e.El(c/a.length+i)};
re.prototype.Lm=function(a,b,c){this.t.Il=a;this.t.tf=this.a.oc.Wa;this.t.hj=this.t.tf+b;this.t.Jl=c};se.c=new re;function N(a){this.a=a}function ue(){}var ve=N.prototype;ve.A=function(a,b){this.t=a;this.xd=b;this.a=a.a};ve.A.prototype.p=m();ve.s=function(a,b){this.type=a;this.t=a.t;this.b=b;this.a=a.a;this.b.T.Ml=d};var we=ve.s.prototype;we.p=m();we.Ba=m();ue.prototype.ma=function(a){this.b.T.Ml=!!a};ve.c=new ue;
function eb(){return[g,"Menu",[[Kc,j,d,d,d,j,d,d,d,d],[Hc,d,j,j,j,j,j,j,j,j],[Q,j,d,d,j,d,d,d,d,d],[Uc,d,j,j,j,j,j,j,j,j],[R,j,d,d,d,d,d,d,d,j],[S,j,d,d,d,d,d,d,d,j],[pd,j,d,d,d,d,d,d,d,d],[T,d,j,j,j,j,j,j,j,j],[Fd,d,j,j,j,j,j,j,j,j],[gc,d,j,j,j,j,j,j,j,j],[P,d,j,j,j,j,j,j,j,j]],[["t0",Fd,j,0,0,0,g,g,[],j,j,[],[]],["t1",T,j,0,0,0,g,g,[],j,j,[],[1]],["t2",P,j,0,0,0,g,g,[],j,j,[],[]],["t3",gc,j,0,0,0,g,g,[],j,j,[],[0]],["t4",Hc,j,0,0,0,g,g,[],j,j,[],[]],["t5",R,j,0,2,0,g,[["abajo",5,d,1,0,d,[["moto-sheet0.png",
11303,1,1,94,50,1,0.510638,0.52,[["Imagepoint 1",0.202128,0.78],["Imagepoint 2",0.755319,0.78],["Imagepoint 3",0.5,0.5]],[-0.361702,-0.24,-0.0106383,-0.28,0.287234,-0.14,0.436171,-0.02,0.489362,0.46,-0.510638,0.48,-0.510638,-0.02],0],["moto-sheet0.png",11303,96,1,94,50,1,0.510638,0.52,[["Imagepoint 1",0.202128,0.78],["Imagepoint 2",0.755319,0.78]],[-0.361702,-0.24,-0.0106383,-0.28,0.287234,-0.14,0.436171,-0.02,0.489362,0.46,-0.510638,0.48,-0.510638,-0.02],0],["moto-sheet0.png",11303,1,52,94,50,1,
0.510638,0.52,[["Imagepoint 1",0.202128,0.92],["Imagepoint 2",0.755319,0.94]],[-0.361702,-0.24,-0.0106383,-0.28,0.287234,-0.14,0.436171,-0.02,0.489362,0.46,-0.510638,0.48,-0.510638,-0.02],0],["moto-sheet0.png",11303,96,52,94,50,1,0.510638,0.52,[["Imagepoint 1",0.191489,0.88],["Imagepoint 2",0.765957,0.9]],[-0.361702,-0.24,-0.0106383,-0.28,0.287234,-0.14,0.436171,-0.02,0.489362,0.46,-0.510638,0.48,-0.510638,-0.02],0],["moto-sheet0.png",11303,1,103,94,50,1,0.510638,0.52,[["Imagepoint 1",0.202128,0.78],
["Imagepoint 2",0.755319,0.78]],[-0.361702,-0.24,-0.0106383,-0.28,0.287234,-0.14,0.436171,-0.02,0.489362,0.46,-0.510638,0.48,-0.510638,-0.02],0],["moto-sheet0.png",11303,96,103,94,50,1,0.510638,0.52,[["Imagepoint 1",0.202128,0.78],["Imagepoint 2",0.755319,0.78]],[-0.361702,-0.24,-0.0106383,-0.28,0.287234,-0.14,0.436171,-0.02,0.489362,0.46,-0.510638,0.48,-0.510638,-0.02],0],["moto-sheet0.png",11303,1,154,94,50,1,0.510638,0.52,[["Imagepoint 1",0.202128,0.78],["Imagepoint 2",0.755319,0.78]],[-0.361702,
-0.24,-0.0106383,-0.28,0.287234,-0.14,0.436171,-0.02,0.489362,0.46,-0.510638,0.48,-0.510638,-0.02],0]]],["arriba",5,j,1,0,j,[["moto-sheet1.png",11015,96,52,94,47,1,0.510638,0.489362,[],[0.404256,2.98023E-7,0.414894,0.361702,-0.0106383,0.489361,-0.43617,0.361702,-0.510638,2.98023E-7,-0.404255,-0.276596,-0.0106383,-0.212766,0.287234,-0.0851067],0]]],["up",5,j,1,0,j,[["moto-sheet1.png",11015,96,100,94,47,1,0.5,0.510638,[["Imagepoint 1",0.202128,0.914894],["Imagepoint 2",0.776596,0.978723],["Imagepoint 3",
0.861702,0.680851]],[],0],["moto-sheet1.png",11015,1,103,94,47,1,0.5,0.510638,[["Imagepoint 1",0.202128,0.914894],["Imagepoint 2",0.776596,0.978723],["Imagepoint 3",0.861702,0.680851]],[],0],["moto-sheet1.png",11015,96,148,94,47,1,0.5,0.510638,[["Imagepoint 1",0.202128,0.914894],["Imagepoint 2",0.776596,0.978723],["Imagepoint 3",0.861702,0.680851]],[],0],["moto-sheet1.png",11015,1,151,94,47,1,0.5,0.510638,[["Imagepoint 1",0.202128,0.914894],["Imagepoint 2",0.776596,0.978723],["Imagepoint 3",0.861702,
0.680851]],[],0],["moto-sheet1.png",11015,96,196,94,47,1,0.5,0.510638,[["Imagepoint 1",0.202128,0.914894],["Imagepoint 2",0.776596,0.978723],["Imagepoint 3",0.861702,0.680851]],[],0]]],["down",5,j,1,0,j,[["moto-sheet1.png",11015,1,199,94,47,1,0.5,0.510638,[["Imagepoint 1",0.776596,1.02128],["Imagepoint 2",0.223404,0.93617]],[],0],["moto-sheet2.png",1508,1,1,94,47,1,0.5,0.510638,[["Imagepoint 1",0.776596,1.02128],["Imagepoint 2",0.223404,0.93617]],[],0],["moto-sheet2.png",1508,96,1,94,47,1,0.5,0.510638,
[["Imagepoint 1",0.765957,0.914894],["Imagepoint 2",0.223404,0.93617]],[],0],["moto-sheet2.png",1508,1,49,94,47,1,0.5,0.510638,[["Imagepoint 1",0.787234,0.87234],["Imagepoint 2",0.191489,0.808511]],[],0],["moto-sheet2.png",1508,96,49,94,47,1,0.5,0.510638,[["Imagepoint 1",0.765957,0.87234],["Imagepoint 2",0.223404,0.829787]],[],0]]],["muerte",8,j,1,0,j,[["moto-sheet0.png",11303,96,154,94,50,1,0.5,0.5,[],[],0],["moto-sheet0.png",11303,1,205,94,50,1,0.5,0.5,[],[],0],["moto-sheet0.png",11303,96,205,94,
50,1,0.5,0.5,[],[],0],["moto-sheet1.png",11015,1,1,94,50,1,0.5,0.5,[],[],0],["moto-sheet1.png",11015,96,1,94,50,1,0.5,0.5,[],[],0],["moto-sheet1.png",11015,1,52,94,50,1,0.5,0.5,[],[],0]]]],[["Platform",Z],["8Direction",Rd]],j,j,[]],["t6",R,j,0,2,0,g,[["Default",5,j,1,0,j,[["scroll-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[["Bullet",Md],["ScrollTo",qe]],j,j,[]],["t7",R,j,0,1,0,g,[["saltar",5,j,1,0,j,[["saltar-sheet0.png",1418,1,1,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,
0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["shoot",5,j,1,0,j,[["saltar-sheet0.png",1418,98,1,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["saltarpress",5,j,1,0,j,[["saltar-sheet0.png",1418,1,98,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["shootpress",5,j,1,0,j,[["saltar-sheet0.png",1418,98,98,96,96,1,0.5,0.5,[],
[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]]],[["Fade",X]],j,j,[]],["t8",R,j,2,1,0,g,[["onAir",5,j,1,0,j,[["nave-sheet0.png",561,0,0,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["offAir",5,j,1,0,j,[["nave-sheet1.png",462,0,0,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]]],
[["Fade",X]],j,j,[]],["t9",R,j,0,2,0,g,[["Default",5,j,1,0,j,[["asteroide-sheet0.png",1026,0,0,100,100,1,0.5,0.5,[["Imagepoint 1",0.68,1.02]],[-0.42,-0.42,0,-0.46,0.42,-0.42,0.49,0,0.45,0.45,0,0.42,-0.32,0.32,-0.42,0],0]]]],[["Solid",N],["Sine",je]],j,j,[]],["t10",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["bala-sheet0.png",250,0,0,60,30,1,0.5,0.533333,[],[-0.25,-0.0333334,0,-0.133333,0.283333,-0.1,0.333333,-0.0333334,0.3,0.0666667,0,0.0999997,-0.266667,-3.57628E-7,-0.266667,-0.0333334],0]]]],[["Bullet",
Md]],j,j,[]],["t11",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["sprite3-sheet0.png",2839,0,0,1024,768,1,0,0,[],[],1]]]],[],j,j,[]],["t12",S,j,0,0,0,g,g,[],j,j,[]],["t13",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["gasoil-sheet0.png",156,0,0,256,256,1,0,0.5,[],[],1]]]],[],j,j,[]],["t14",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["tanque-sheet0.png",6859,1,1,32,106,1,0.5,0.5,[],[-0.5,0,0.4375,0,0.5,0.5,-0.5,0.5],0]]],["destroy",20,j,1,0,j,[["tanque-sheet0.png",6859,34,1,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,
67,1,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,100,1,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,133,1,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,166,1,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,199,1,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,1,108,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,34,108,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,67,108,32,106,1,0.5,0.5,[],[],0],["tanque-sheet0.png",6859,100,108,32,106,1,0.5,0.5,[],[],0]]]],
[],j,j,[]],["t15",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["sprite5-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t16",Q,j,0,1,0,["particles.png",143,0],g,[["Pin",Y]],j,j,[]],["t17",Q,j,0,1,0,["particles2.png",130,0],g,[["Pin",Y]],j,j,[]],["t18",R,j,0,2,0,g,[["Default",5,j,1,0,j,[["asteroide2-sheet0.png",945,0,0,100,50,1,0.5,0.5,[["Imagepoint 1",0.88,1.02],["Imagepoint 2",0.22,0.98]],[-0.43,-0.36,0,-0.42,0.46,-0.42,0.49,0,0.47,0.44,0,0.46,-0.44,0.38,-0.5,0],0]]]],[["Solid",N],["Sine",
je]],j,j,[]],["t19",pd,j,0,1,0,["tiledbackground.png",1014,1],g,[["Solid",N]],j,j,[]],["t20",R,j,0,2,0,g,[["Default",5,j,1,0,j,[["caja3_flotadora-sheet0.png",2453,0,0,200,100,1,0.5,0.5,[["Imagepoint 1",0.575,1.02]],[-0.465,-0.43,0,-0.48,0.475,-0.45,0.43,0.36,0,0.5,-0.4,0.3,-0.47,0],0]]]],[["Solid",N],["Sine",je]],j,j,[]],["t21",S,j,0,1,0,g,g,[["Pin",Y]],j,j,[]],["t22",pd,j,0,0,0,["tiledbackground2.png",1431,0],g,[],j,j,[]],["t23",pd,j,0,1,0,["tiledbackground3.png",406,0],g,[["Solid",N]],j,j,[]],["t24",
R,j,0,0,0,g,[["Default",5,j,1,0,j,[["medidornafta-sheet0.png",762,0,0,300,50,1,0.5,0.5,[],[-0.493333,-0.46,0,-0.5,0.493333,-0.46,0.493333,0.46,0,0.5,-0.493333,0.46],0]]]],[],j,j,[]],["t25",pd,j,0,0,0,["tiledbackground4.png",169,3],g,[],j,j,[]],["t26",pd,j,0,0,0,["tiledbackground5.png",174,1],g,[],j,j,[]],["t27",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructura_fondo_-sheet0.png",1706,0,0,400,400,1,0.5,0.5,[],[-0.4025,-0.4025,0,-0.2975,0.4375,-0.4375,0.4225,0.4225,0,0.27,-0.4475,0.4475,-0.4,0],0]]]],
[],j,j,[]],["t28",pd,j,0,1,0,["tiledbackground6.png",1182,0],g,[["Solid",N]],j,j,[]],["t29",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["obstaculo-sheet0.png",445,0,0,50,50,1,0.5,0.5,[],[-0.46,-0.46,0,-0.5,0.46,-0.46,0.5,0,0.46,0.46,0,0.5,-0.46,0.46],0]]]],[["Solid",N]],j,j,[]],["t30",Uc,j,0,0,0,g,g,[],j,j,[],[]],["t31",R,j,0,0,0,g,[["off",5,j,1,0,j,[["button_pause-sheet0.png",156,0,0,50,50,1,0.5,0.5,[],[-0.4,-0.4,0.4,-0.4,0.4,0.4,-0.4,0.4],0]]],["on",5,j,1,0,j,[["button_pause-sheet1.png",151,0,0,50,50,1,
0.5,0.5,[],[-0.4,-0.4,0.4,-0.4,0.4,0.4,-0.4,0.4],0]]]],[],j,j,[]],["t32",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["obstaculo2-sheet0.png",342,0,0,25,50,1,0.52,0.5,[],[-0.36,-0.42,-0.04,-0.5,0.32,-0.42,0.48,0,0.48,0.5,-0.52,0.5],0]]]],[["Solid",N]],j,j,[]],["t33",Q,j,0,1,0,["particles3.png",133,0],g,[["Pin",Y]],j,j,[]],["t34",Q,j,0,1,0,["particles4.png",133,0],g,[["Pin",Y]],j,j,[]],["t35",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructura_fondo_base_-sheet0.png",540,0,0,100,100,1,0.5,0.5,[],[-0.39,-0.39,0,
-0.43,0.26,-0.26,0.4,0,0.5,0.5,-0.5,0.5,-0.39,0],0]]]],[],j,j,[]],["t36",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructura_fondo_base_2-sheet0.png",794,0,0,200,100,1,0.5,0.5,[],[-0.455,-0.41,0,-0.28,0.375,-0.25,0.485,0,0.475,0.45,0,0.5,-0.5,0.5,-0.445,0],0]]]],[],j,j,[]],["t37",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructura_fondo_fondo_-sheet0.png",1943,0,0,500,500,1,0.5,0.5,[],[-0.34,-0.34,0,-0.41,0.346,-0.346,0.254,0,0.488,0.488,-0.488,0.488,-0.284,0],0]]]],[],j,j,[]],["t38",pd,j,0,0,0,["tiledbackground7.png",
2704,0],g,[],j,j,[]],["t39",Q,j,0,1,0,["particles5.png",130,0],g,[["Pin",Y]],j,j,[]],["t40",R,j,0,1,0,g,[["off",5,j,1,0,j,[["start_button-sheet0.png",598,1,1,200,50,1,0.5,0.5,[],[],0]]],["on",5,j,1,0,j,[["start_button-sheet0.png",598,1,52,200,50,1,0.5,0.5,[],[],0]]]],[["Fade",X]],j,j,[]],["t41",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructura_fondo_2-sheet0.png",1475,0,0,400,400,1,0.5,0.5,[],[-0.4025,-0.4025,0,-0.495,0.0625,-0.0625,0.0675,0,0.0525,0.0525,0,0.5,-0.4275,0.4275,-0.4,0],0]]]],[],j,j,[]],
["t42",pd,j,0,0,0,["tiledbackground8.png",511,0],g,[],j,j,[]],["t43",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["game_over-sheet0.png",20684,0,0,1024,768,1,0.5,0.501302,[],[],0]]]],[],j,j,[]],["t44",R,j,0,0,0,g,[["off",5,j,1,0,j,[["beat_it-sheet0.png",592,1,1,237,50,1,0.50211,0.5,[],[-0.472574,-0.36,0.481012,-0.42,0.430379,0,0.430379,0.18,-0.472574,0.36,-0.489451,0],0]]],["on",5,j,1,0,j,[["beat_it-sheet0.png",592,1,52,237,50,1,0.50211,0.5,[],[-0.472574,-0.36,0.481012,-0.42,0.430379,0,0.430379,0.18,-0.472574,
0.36,-0.489451,0],0]]]],[],j,j,[]],["t45",S,j,0,0,0,g,g,[],j,j,[]],["t46",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["caida-sheet0.png",156,0,0,256,256,1,0.00390625,-0.0078125,[],[],1]]]],[],j,j,[]],["t47",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["collider-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[["Pin",Y]],j,j,[]],["t48",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["escena_incial-sheet0.png",4611,0,0,1024,768,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t49",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["nave_escena_incial-sheet0.png",
323,0,0,138,47,1,0.5,0.510638,[],[-0.42029,-0.276595,0,-0.382978,0.376812,-0.148936,0.427536,-0.0212763,0.492754,0.468085,0,0.382979,-0.456522,0.361702,-0.5,-0.0212763],0]]]],[["Sine",je]],j,j,[]],["t50",R,j,1,1,0,g,[["idle",1,d,1,0,d,[["personaje_-sheet1.png",279,15,27,12,22,1,0.5,0.181818,[],[],0],["personaje_-sheet1.png",279,30,1,14,23,1,0.5,0.217391,[],[],0],["personaje_-sheet0.png",293,1,27,14,24,1,0.5,0.25,[],[],0]]],["run",5,d,1,0,j,[["personaje_-sheet0.png",293,37,1,16,23,1,0.5,0.26087,[],
[],0],["personaje_-sheet0.png",293,20,1,16,25,1,0.5625,0.24,[],[],0],["personaje_-sheet1.png",279,16,1,13,25,1,0.538462,0.24,[],[],0],["personaje_-sheet0.png",293,37,25,14,25,1,0.571429,0.24,[],[],0],["personaje_-sheet0.png",293,1,1,18,25,1,0.5,0.24,[],[],0]]],["intro",3,j,0,0,j,[["personaje_-sheet2.png",176,1,1,12,22,1,0.5,0.181818,[],[],0],["personaje_-sheet1.png",279,45,1,14,23,1,0.5,0.217391,[],[],0],["personaje_-sheet0.png",293,16,27,14,24,1,0.5,0.25,[],[],0],["personaje_-sheet1.png",279,1,26,
13,22,1,0.538462,0.181818,[],[],0],["personaje_-sheet1.png",279,45,25,14,21,1,0.5,0.142857,[],[],0],["personaje_-sheet2.png",176,14,1,12,22,1,0.5,0.181818,[],[],0],["personaje_-sheet2.png",176,27,1,12,22,1,0.5,0.181818,[],[],0],["personaje_-sheet1.png",279,30,25,14,23,1,0.5,0.217391,[],[],0],["personaje_-sheet1.png",279,1,1,14,24,1,0.5,0.25,[],[],0]]]],[["Platform",Z]],j,j,[]],["t51",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["sprite-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[["Solid",N]],j,j,[]],
["t52",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["trayecto-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t53",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["izquierda-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],j,j,[]],["t54",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["derecha-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],j,j,[]],["t55",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["intro-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],4]]]],[["Fade",X]],j,j,[]],["t56",R,j,0,1,0,g,[["Default",5,j,1,0,
j,[["pantalla_nastycloud-sheet0.png",14175,0,0,1024,768,1,0,0,[],[],1]]]],[["Fade",X]],j,j,[]],["t57",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["fadeout-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[["Fade",X]],j,j,[]],["t58",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["first_scene-sheet0.png",7990,0,0,1024,768,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t59",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["sprite2-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],4]]]],[["Fade",X]],j,j,[]],["t60",pd,j,0,0,0,["tiledbackground9.png",
449,0],g,[],j,j,[]],["t61",Kc,j,0,1,0,["plataforma1.png",2101,0],g,[["Solid",N]],j,j,[]],["t62",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["logo_rooms-sheet0.png",13032,0,0,286,123,1,0.5,0.504065,[],[-0.496504,-0.495935,0,-0.504065,0.447552,-0.382114,0.496503,-0.00813004,0.48951,0.471545,-0.489511,0.471545],0]]]],[["Fade",X]],j,j,[]],["t63",R,j,0,1,0,g,[["OFF",5,j,1,0,j,[["button_credits-sheet0.png",633,1,1,140,35,1,0.5,0.514286,[],[-0.485714,-0.457143,0,-0.514286,0.485714,-0.457143,0.5,-0.0285718,0.485714,
0.428571,0,0.457143,-0.485714,0.428571,-0.5,-0.0285718],0]]],["ON",5,j,1,0,j,[["button_credits-sheet0.png",633,1,37,140,35,1,0.5,0.514286,[],[-0.485714,-0.457143,0,-0.485714,0.485714,-0.457143,0.5,-0.0285718,0.485714,0.428571,0,0.457143,-0.485714,0.428571,-0.5,-0.0285718],0]]]],[["Fade",X]],j,j,[]],["t64",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["flecha_blanca_menu-sheet0.png",506,0,0,520,8,1,0.5,0.5,[],[-0.494231,-0.125,0,-0.125,0.496154,-0.25,0.496154,0.25,0,0.125,-0.494231,0.125,-0.5,0],0]]]],[],j,
j,[]],["t65",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["score2-sheet0.png",301,0,0,97,21,1,0.505155,0.52381,[],[-0.484536,-0.428571,-0.0103096,-0.52381,0.494845,-0.52381,0.474226,-0.0476196,0.494845,0.47619,-0.0103096,0.47619,-0.484536,0.380952],3]]]],[],j,j,[]],["t66",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["mts-sheet0.png",148,0,0,69,33,1,0.507246,0.515152,[],[-0.31884,-0.121213,-0.0144924,-0.515152,0.347826,-0.212121,0.304348,-0.0303035,0.362319,0.212121,-0.507246,0.484848,-0.507246,-0.0303035],3]]]],[],
j,j,[]],["t67",R,j,1,1,0,g,[["ON",5,j,1,0,j,[["button_music_on-sheet0.png",265,0,0,75,75,1,0.506667,0.506667,[],[-0.48,-0.48,-0.0133336,-0.506667,0.466666,-0.48,0.493333,-0.0133336,0.48,0.48,-0.0133336,0.493333,-0.493333,0.48,-0.506667,-0.0133336],3]]],["OFF",5,j,1,0,j,[["button_music_on-sheet1.png",352,0,0,75,75,1,0.506667,0.506667,[],[-0.48,-0.48,-0.0133336,-0.506667,0.466666,-0.48,0.493333,-0.0133336,0.48,0.48,-0.0133336,0.493333,-0.493333,0.48,-0.506667,-0.0133336],3]]]],[["Fade",X]],j,j,[]],
["t68",S,j,0,1,0,g,g,[["Fade",X]],j,j,[]],["t69",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["credits_title-sheet0.png",306,0,0,236,42,1,0.5,0.5,[],[-0.466102,-0.309524,0,-0.5,0.5,-0.5,0.487288,0.428571,0,0.5,-0.470339,0.333333,-0.5,0],3]]]],[],j,j,[]],["t70",R,j,0,1,0,g,[["OFF",5,j,1,0,j,[["arrow-sheet0.png",293,0,0,120,70,1,0.5,0.5,[],[-0.341667,-0.228571,0.35,-0.242857,0.391667,0,0.325,0.2,-0.333333,0.214286,-0.45,0],3]]],["ON",5,j,1,0,j,[["arrow-sheet1.png",287,0,0,120,70,1,0.5,0.5,[],[-0.333333,-0.214286,
0.341667,-0.228571,0.391667,0,0.325,0.2,-0.333333,0.214286,-0.45,0],3]]]],[["Fade",X]],j,j,[]],["t71",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["personas-sheet0.png",7777,0,0,819,302,1,0.500611,0.5,[],[-0.49939,-0.496689,-0.00122154,-0.47351,0.330891,-0.043046,0.499389,0,0.321123,0.016556,-0.00122154,0.476821,-0.21856,-0.264901,-0.188035,0],0]]]],[["Fade",X]],j,j,[]],["t72",S,j,0,0,0,g,g,[],j,j,[]],["t73",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["copyright-sheet0.png",768,0,0,428,18,1,0.5,0.5,[],[0.488318,-0.222222,
0.488318,0.222222,-0.488318,0.222222,-0.5,0],0]]]],[["Fade",X]],j,j,[]],["t74",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["link1-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],j,j,[]],["t75",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["link2-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],j,j,[]],["t76",Kc,j,0,1,0,["9patch.png",2458,0],g,[["Solid",N]],j,j,[]],["t77",Kc,j,0,1,0,["9patch2.png",2216,0],g,[["Solid",N]],j,j,[]],["t78",Kc,j,0,1,0,["9patch3.png",2894,0],g,[["Solid",N]],j,j,[]],["t79",R,j,1,
0,0,g,[["Default",5,j,1,0,j,[["speed-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t80",Kc,j,0,1,0,["9patch4.png",2814,0],g,[["Solid",N]],j,j,[]],["t81",Kc,j,0,1,0,["9patch5.png",2589,0],g,[["Solid",N]],j,j,[]],["t82",pd,j,0,1,0,["tiledbackground10.png",511,0],g,[["Solid",N]],j,j,[]],["t83",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructruragrande_grandxxe-sheet0.png",8423,0,0,450,200,1,0.5,0.5,[],[-0.48,-0.455,0.477778,-0.45,0.5,0.5,-0.5,0.5],0]]]],[],j,j,[]],["t84",R,j,0,0,0,g,[["Default",
5,j,1,0,j,[["800600me-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t85",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["arco-sheet0.png",1124,0,0,73,250,1,0.506849,0.5,[],[-0.315068,-0.444,-0.0136983,-0.252,-0.205479,-0.296,0.383562,0,0.383562,0.468,-0.0136983,0.5,-0.424657,0.476,-0.506849,0],0]]]],[],j,j,[]],["t86",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructruragrande_grande-sheet0.png",14318,0,0,450,400,1,0.5,0.5,[],[-0.306667,-0.2825,0,-0.3825,0.282222,-0.255,0.44,0,0.5,0.5,-0.5,0.5,-0.482222,
0],0]]]],[],j,j,[]],["t87",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["estructruragrande_grand22e-sheet0.png",20735,0,0,452,701,1,0.528761,0.447932,[],[-0.283186,-0.39515,-5.96046E-8,-0.372325,0.238938,-0.366619,0.207965,-0.00142652,0.462389,0.509272,-5.96046E-8,0.550641,-0.526549,0.550641,-0.272124,-0.00142652],0]]]],[],j,j,[]],["t88",R,j,0,1,0,g,[["Default",10,d,1,0,j,[["arco_superior-sheet0.png",1272,1,1,220,54,1,0.5,0.5,[],[-0.463636,-0.351852,0,-0.5,0.490909,-0.462963,0.281818,0,0.331818,-0.185185,
0,0.481481,-0.45,0.296296,-0.5,0],0],["arco_superior-sheet0.png",1272,1,56,220,54,1,0.5,0.5,[],[-0.463636,-0.351852,0,-0.5,0.490909,-0.462963,0.281818,0,0.331818,-0.185185,0,0.481481,-0.45,0.296296,-0.5,0],0],["arco_superior-sheet0.png",1272,1,111,220,54,1,0.5,0.5,[],[-0.463636,-0.351852,0,-0.5,0.490909,-0.462963,0.281818,0,0.331818,-0.185185,0,0.481481,-0.45,0.296296,-0.5,0],0],["arco_superior-sheet0.png",1272,1,166,220,54,1,0.5,0.5,[],[-0.463636,-0.351852,0,-0.5,0.490909,-0.462963,0.281818,0,0.331818,
-0.185185,0,0.481481,-0.45,0.296296,-0.5,0],0]]]],[["Solid",N]],j,j,[]],["t89",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["arco_derecha-sheet0.png",1315,0,0,73,250,1,0.506849,0.5,[],[-0.205479,-0.412,-0.0136983,-0.448,0.315069,-0.448,0.410959,0,0.410959,0.476,-0.0136983,0.5,-0.410959,0.472,-0.39726,0],0]]]],[],j,j,[]],["t90",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["fin-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t91",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["fondo_ipad-sheet0.png",15740,0,0,1024,
168,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t92",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["grilla-sheet0.png",3088,0,0,1024,768,1,0,0,[],[0.0966797,0.128906,0.5,0.128906,0.976563,0.03125,0.976563,0.96875,0.5,0.911458,0.0664063,0.911458,0.0966797,0.5],0]]]],[],j,j,[]],["t93",R,j,0,0,0,g,[["Default",20,j,1,0,j,[["explosion-sheet0.png",3167,1,1,75,75,1,0.506667,0.506667,[],[-0.106667,-0.106667,-0.0133336,-0.133334,0.0800003,-0.0933337,0.146666,-0.0133336,0.12,0.12,-0.0133336,0.133333,-0.106667,0.0933334,-0.0933337,
-0.0133336],0],["explosion-sheet0.png",3167,77,1,75,75,1,0.506667,0.506667,[],[-0.146667,-0.146667,-0.0133336,-0.146667,0.146666,-0.16,0.16,-0.0133336,0.146666,0.146666,-0.0133336,0.173333,-0.146667,0.133333,-0.133334,-0.0133336],0],["explosion-sheet0.png",3167,153,1,75,75,1,0.506667,0.506667,[],[-0.0133336,-0.48,0.32,-0.333334,0.36,-0.0133336,-0.0133336,-0.466667,-0.306667,0.293333,0.333333,-0.0133336],0],["explosion-sheet0.png",3167,1,77,75,75,1,0.506667,0.506667,[],[-0.2,-0.2,-0.0133336,-0.186667,
0.173333,-0.186667,0.2,-0.0133336,0.173333,0.173333,-0.0133336,0.2,-0.2,0.186666,-0.186667,-0.0133336],0],["explosion-sheet0.png",3167,77,77,75,75,1,0.506667,0.506667,[],[-0.226667,-0.226667,-0.0133336,-0.306667,0.213333,-0.226667,0.253333,-0.0133336,0.173333,0.173333,-0.0133336,0.24,-0.24,0.226666,-0.24,-0.0133336],0],["explosion-sheet0.png",3167,153,77,75,75,1,0.506667,0.506667,[],[-0.253334,-0.253334,-0.0133336,-0.36,0.226666,-0.24,0.253333,-0.0133336,0.186666,0.186666,-0.0133336,0.293333,-0.253334,
0.24,-0.293334,-0.0133336],0],["explosion-sheet0.png",3167,1,153,75,75,1,0.506667,0.506667,[],[-0.28,-0.28,-0.0133336,-0.426667,0.266666,-0.28,0.32,-0.0133336,0.186666,0.186666,-0.0133336,0.373333,-0.266667,0.253333,-0.346667,-0.0133336],0],["explosion-sheet0.png",3167,77,153,75,75,1,0.506667,0.506667,[],[-0.28,-0.28,-0.0133336,-0.426667,0.266666,-0.28,0.32,-0.0133336,0.186666,0.186666,-0.0133336,0.373333,-0.28,0.266666,0.226666,-0.0133336],0],["explosion-sheet0.png",3167,153,153,75,75,1,0.506667,
0.506667,[],[-0.28,-0.28,-0.0133336,-0.466667,0.293333,-0.306667,0.346666,-0.0133336,0.213333,0.213333,-0.0133336,0.413333,-0.293334,0.28,0.226666,-0.0133336],0],["explosion-sheet1.png",664,1,1,75,75,1,0.506667,0.506667,[],[-0.293334,-0.293334,-0.0133336,-0.48,0.32,-0.333334,0.36,-0.0133336,-0.266667,-0.266667,-0.0133336,-0.413333,-0.306667,0.293333,-0.426667,-0.0133336],0],["explosion-sheet1.png",664,77,1,75,75,1,0.506667,0.506667,[],[-0.0133336,-0.48,0.32,-0.333334,0.36,-0.0133336,-0.0133336,-0.466667,
-0.306667,0.293333,0.32,-0.0133336],0]]]],[],j,j,[]],["t94",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["sprite6-sheet0.png",169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[],j,j,[]],["t95",R,j,0,0,0,g,[["Default",5,j,1,0,j,[["sprite7-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],1]]]],[],j,j,[]],["t96",R,j,0,1,0,g,[["Default",5,j,1,0,j,[["sprite4-sheet0.png",156,0,0,256,256,1,0.5,0.5,[],[],4]]]],[["Fade",X]],j,j,[]],["t97",R,j,2,0,0,g,[["onAir",5,j,1,0,j,[["nave2-sheet0.png",561,0,0,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,
0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["offAir",5,j,1,0,j,[["nave2-sheet1.png",462,0,0,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]]],[],j,j,[]],["t98",R,j,0,0,0,g,[["saltar",5,j,1,0,j,[["saltar2-sheet0.png",1418,1,1,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["shoot",5,j,1,0,j,[["saltar2-sheet0.png",
1418,98,1,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["saltarpress",5,j,1,0,j,[["saltar2-sheet0.png",1418,1,98,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,0],0]]],["shootpress",5,j,1,0,j,[["saltar2-sheet0.png",1418,98,98,96,96,1,0.5,0.5,[],[-0.447917,-0.447917,0,-0.5,0.447917,-0.447917,0.5,0,0.447917,0.447917,0,0.5,-0.447917,0.447917,-0.5,
0],0]]]],[],j,j,[]],["t99",pd,j,0,0,0,["tiledbackground11.png",1362,0],g,[],j,j,[]]],[],[["Menu",1280,1024,j,"Menu",[["Layer 0",0,d,[255,255,255],d,1,1,1,j,1,0,0,[[[-191,0,0,1433,768,0,0,1,0,0,0,0,[]],11,[],[],[0,0,1]],[[415,-102,0,200,50,0,0,1,0.5,0.5,0,0,[]],40,[],[[0,1,0,1,0]],[0,0,1]],[[1182.91,336.795,0,319,160,0,0,1,0,0,0,0,[]],21,[],[[]],["0",1,"bold 34pt Arial","rgb(255,255,255)",2,0,0,0,0]],[[173,487,0,286,123,0,0,1,0.5,0.504065,0,0,[]],62,[],[[0,2,0,0,0]],[1,0,1]],[[930,527,0,140,35,0,0,
1,0.5,0.514286,0,0,[]],63,[],[[0,2,0,0,0]],[1,0,1]],[[-455,324,0,520,8,0,0,1,0.5,0.5,0,0,[]],64,[],[],[0,0,1]],[[1337,352.902,0,97,21,0,0,1,0.505155,0.52381,0,0,[]],65,[],[],[0,0,1]],[[1547.1,350.406,0,69,33,0,0,1,0.507246,0.515152,0,0,[]],66,[],[],[0,0,1]],[[958,77,0,75,75,0,0,1,0.506667,0.506667,0,0,[]],67,[0],[[0,2,0,0,0]],[1,0,1]],[[246,45,0,428,18,0,0,1,0.5,0.5,0,0,[]],73,[],[[0,2,0,0,0]],[1,0,1]]],[]],["Layer 1",1,d,[255,255,255],d,1,1,1,j,1,0,0,[[[-145,-173.049,0,1321.59,991.193,0,0,1,0,0,
0,0,[]],56,[],[[1,0,2,2,0]],[0,0,1]]],[]]],[],[]],["Stage",5E4,600,j,"Stage",[["Background",0,d,[255,255,255],d,0,0,1,j,1,0,0,[[[-14,-5,0,5E4,662,0,0,1,0,0,0,0,[]],26,[],[],[0,0]]],[]],["Background 3",1,d,[255,255,255],d,0.1,1,1,j,1,0,0,[[[-23,97,0,2786,512,0,0,1,0,0,0,0,[]],38,[],[],[0,0]]],[]],["Background 2",2,d,[255,255,255],d,0.9,0,1,j,1,0,0,[[[225,274,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[1030,399,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[1441,263,0,400,400,0,0,1,0.5,
0.5,0,0,[]],27,[],[],[0,0,1]],[[1662,362,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[2817,255,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[3116,255,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[4105,417,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[5713,396,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[5958,297,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[6198,213,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]]],[]],["Stage",3,d,[255,255,255],d,1,1,1,j,1,
0,0,[[[8701,355,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[8555,362,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[7711,360,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[7836,365,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[5340,332,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[3587,395,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[3524,376,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[623,369,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[533,369,
0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[6033,332,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[6103,359,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[5961,357,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[43,274,0,20,20,0,0,1,0.5,0.5,0,0,[]],6,[],[[330,0,0,0,1],[]],[1,0,1]],[[1796,-211,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[2297,-213,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[6462,-301,0,95,100,0,0,1,0.5,
0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[6773,-244,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[7014,-315,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[7342,-324,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[3669.97,399.625,0,32,48,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[2670,399,0,32,48,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[22,399,0,114,128,0,3.14159,1,0,0.5,0,0,[]],16,[],[[]],[20,30,0,200,10,100,
0,0,0,0,0,0,-150,0,0,800,0,0,0.2]],[[5507,354,0,32,48,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[-14,893,0,114,128,0,1.5708,1,0,0.5,0,0,[]],17,[],[[]],[10,30,0,100,10,100,0,0,0,0,0,0,-150,0,0,800,0,0,0.6]],[[409,-367,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[1637,395,0,32,48,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[1563,-181,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[4410,127,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,1,0,6,0,0,0,50,
0]],[0,0,1]],[[3958,131,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,1,0,4,0,0,0,50,0]],[0,0,1]],[[148,-343,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,1,0,4,0,0,0,50,0]],[0,0,1]],[[3811.83,378.889,0,1211.63,24,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[4251,355,0,32,48,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[5824,357,0,32,48,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[9184,405,0,1321,350,0,0,1,0,0,0,0,[]],28,[],[[]],[0,0]],[[9189,-102,0,1321,350,0,0,1,0,0,0,0,[]],28,[],[[]],[0,0]],[[10674,449,0,1321,
350,0,0,1,0,0,0,0,[]],28,[],[[]],[0,0]],[[12262,440,0,1321,350,0,0,1,0,0,0,0,[]],28,[],[[]],[0,0]],[[14901,406,0,1321,350,0,0,1,0,0,0,0,[]],28,[],[[]],[0,0]],[[5742,-192,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[5795,-192,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[5689,-192,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[8355,382,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[8323,382,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[-143.754,830.989,0,128,128,0,1.5708,
1,0,0.5,0,0,[]],33,[],[[]],[10,15,0,100,5,100,0,0,0,0,0,100,200,0,0,800,0,0,0.1]],[[-361,837,0,128,128,0,1.5708,1,0,0.5,0,0,[]],34,[],[[]],[10,15,0,300,10,100,0,0,0,0,0,0,150,0,0,800,0,0,0.1]],[[2336.57,369.949,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[2273.57,369.949,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[8294,382,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[8532,-226,0,512,27.0009,0,0,1,0,0,0,0,[]],42,[],[],[0,0]],[[58.966,401.184,0,94,50,0,0,1,0.510638,0.52,0,0,[]],
5,[],[[330,1500,1500,650,1500,1E3,0],[330,1500,500,3,0,0]],[0,0,1]],[[24932,745,0,5E4,256,0,0,1,0.00390625,-0.0078125,0,0,[]],46,[],[],[0,0,1]],[[8323.5,386,0,90,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[4717,94,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[2.16052,419,0,2428,399,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[2585,423,0,1230,200,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,0,0,0,0,0,0]],[[5135.4,378.065,0,1133,400,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,0,
0,0,0,0,0]],[[7808,-452,0,60,30,0,0,1,0.5,0.533333,0,0,[]],10,[],[[400,1500,0,0,1]],[0,0,1]]],[]],["HUD",4,d,[255,255,255],d,0,0,1,j,1,0,0,[[[103,512,0,96,96,0,0,0.7,0.5,0.5,0,0,[]],7,[],[[1,0,0,1,1]],[1,0,1]],[[904,512,0,96,96,0,0,0.7,0.5,0.5,0,0,[]],8,[0,0],[[1,0,0,1,1]],[1,0,1]],[[77.6714,65.6755,0,303,98,0,0,1,0,0,0,0,[]],12,[],[],["Text",0,"bold 20pt Arial","rgb(255,255,255)",0,0,0,0,0]],[[666,100,0,300,48,0,0,1,0,0.5,0,0,[]],13,[],[],[0,0,1]],[[815,100,0,300,50,0,0,1,0.5,0.5,0,0,[]],24,[],[],
[0,0,1]],[[43.1617,91.9518,0,50,50,0,0,1,0.5,0.5,0,0,[]],31,[],[],[0,0,1]]],[]],["Game over",5,j,[255,255,255],d,0,0,1,j,1,0,0,[[[512,231,0,1024,768,0,0,1,0.5,0.501302,0,0,[]],43,[],[],[0,0,1]],[[512,356,0,237,50,0,0,1,0.50211,0.5,0,0,[]],44,[],[],[0,0,1]],[[304.682,239.504,0,227.028,50.403,0,0,1,0,0,0,0,[]],45,[],[],["Text",0,"bold 24pt Arial","rgb(255,255,255)",2,0,0,0,0]]],[]],["grid",6,d,[255,255,255],d,1,1,1,j,1,0,0,[[[-1,1,0,9692,644,0,0,1,0,0,0,0,[]],22,[],[],[1,0]],[[513,360,0,1238,874,0,
0,1,0.5,0.5,0,0,[]],57,[],[[1,0,0,2,1]],[0,0,1]]],[]]],[],[]],["Stage_1",5E4,600,j,"Stage",[["Background",0,d,[255,255,255],d,0,0,1,j,1,0,0,[[[-251,-24.9977,0,1545,681.998,0,0,1,0,0,0,0,[]],26,[],[],[0,0]],[[-20.7656,595,0,1090,502,0,0,1,0.00390625,-0.0078125,0,0,[]],46,[],[],[0,0,1]]],[]],["Background 3",1,d,[255,255,255],d,0,0,1,j,1,0,0,[[[-106,185,0,4500,512,0,0,1,0,0,0,0,[]],38,[],[],[0,0]]],[]],["Background 2",2,d,[255,255,255],d,0.8,0,1,j,1,0,0,[[[-2324,326,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,
[],[],[0,0,1]],[[-1519,451,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[-1108,315,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[-887,414,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[1349,282,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[4398,594,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[4668,500,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[4961,478,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[2956,523,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,
1]],[[7076,451,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[7254,503,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[5645,501,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[5766,435,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[8630,282,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[8718,490,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[12179,495,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[12184,233,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[10562,
438,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[9607,429,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[9442,475,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[11073,440,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[12734,440,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[12726,220,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[14348,471,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[15056,553,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[15831,457,0,400,
400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[17772,446,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[18847,453,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[20357,438,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[22019,460,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[22214,463,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[20680,614,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[21145,497,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[24758,510,0,400,400,0,
0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[26374,555,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[26381,252,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[25340,470,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[25337,106,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[28936,491,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[29056,413,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[29050,199,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[29301,493,0,400,400,0,0,1,0.5,
0.5,0,0,[]],41,[],[],[0,0,1]],[[33093,485,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[34496,473,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[35430,454,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[38500,457,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[40333,492,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[40045,561,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[39141,476,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[41681,490,0,400,400,0,0,1,0.5,0.5,0,
0,[]],27,[],[],[0,0,1]],[[45422,507,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[47480,511,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[47838,487,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[48220,473,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[49304,433,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[24765,268,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[30252,652,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[30625,498,0,400,400,0,0,1,0.5,0.5,0,0,[]],
27,[],[],[0,0,1]],[[34535,279,0,400,400,0,0,1,0.5,0.5,0,0,[]],41,[],[],[0,0,1]],[[46438,467,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]],[[45416,239,0,400,400,0,0,1,0.5,0.5,0,0,[]],27,[],[],[0,0,1]]],[]],["Stage",3,d,[255,255,255],d,1,0.2,1,j,1,0,0,[[[24460,355,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[24480,303,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[48619,343,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[48832,344,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],
[[49058,346,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[46953,339,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[42120.4,372.787,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[42208.5,374.267,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[42286.2,373.527,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[42358,373.527,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[42437.9,372.787,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[42526,372.787,0,100,100,0,0,1,0.5,0.5,
0,0,[]],35,[],[],[0,0,1]],[[40775.2,380.424,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[37805,374,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[36721,369,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[36127,238,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[32216,526,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[32135,526,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[31723,332,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[28549,477,0,200,100,0,0,1,0.5,0.5,
0,0,[]],36,[],[],[0,0,1]],[[27283,363,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[27215,372,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[23341,356,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[9891.92,421.798,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[11520.9,349.841,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[19411.7,359.07,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[19257,372,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[17253.3,324.921,0,200,
100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[15366,391,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[15631.8,391.077,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[16811.3,326.47,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[12598,354,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[12653,375,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[8099,344,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[7695,436,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[7569,474,0,200,
100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[3985,362,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[6541,354,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[6539,300,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[3483,361,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[3563,356,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[1905,354,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[129,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],6,[],[[330,0,0,0,1],[]],[1,0,1]],[[108,367,0,114,128,
0,3.14159,1,0,0.5,0,0,[]],16,[],[[]],[10,30,0,200,10,100,0,0,0,0,0,0,-150,0,0,800,0,0,0.2]],[[-108.126,398.786,0,2137,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[2231,2,0,1429,224,0,0,1,0,0,0,0,[]],76,[],[[]],[25,25,1,1,0,0,0,0]],[[2233,405,0,1425,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[3811.63,408,0,1263,24,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[5242,401,0,1431,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[5241,2,0,1430,218,0,0,1,0,0,0,0,[]],78,[],[[]],[25,25,
1,1,0,0,0,0]],[[7374,458,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[7372.19,467,0,51,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[7950,384,0,728.307,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[6805,482,0,1027,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[8138,296,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[2598,352,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[4263.78,110.166,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,1,0,4,0,0,0,50,0]],[0,0,1]],[[6858.82,
165.545,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[8768.65,469.078,0,1247,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[9206.15,408.479,0,36,890,0,0,1,0.5,0.5,0,0,[]],79,[1.2],[],[1,0,1]],[[10147,388,0,728.307,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[11017,392,0,728.307,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[12483,401,0,1027,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[8723,105,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],
[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[10209,70,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[10767,67,0,95,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[12659,94,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,1,0,4,0,0,0,50,0]],[0,0,1]],[[13657,1,0,1340,220,0,0,1,0,0,0,0,[]],80,[],[[]],[25,25,1,1,0,0,0,0]],[[15167,-3,0,1339,218,0,0,1,0,0,0,0,[]],81,[],[[]],[25,25,1,1,0,0,0,0]],[[13671,446,0,599,26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[14389,445,0,602,
26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[15183,438,0,599,26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[15901,437,0,581,26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[12217,214,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,1,0,6,0,0,0,50,0]],[0,0,1]],[[16692,370,0,834,218,0,0,1,0,0,0,0,[]],81,[],[[]],[25,25,1,1,0,0,0,0]],[[17995,219.426,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,1,0,4,0,0,0,50,0]],[0,0,1]],[[18404,243,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,1,0,4,0,0,0,50,0]],[0,0,1]],[[18852,403,0,1247,
263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[19298.1,383.097,0,46,1082,0,0,1,0.5,0.5,0,0,[]],79,[1.1],[],[1,0,1]],[[20289,412,0,607,24,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[21010,546,0,553,24,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[21649,415,0,580.828,24,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[22433,407,0,1138,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[23755,404,0,1222,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[22436,-3,0,2549.6,218,0,0,1,0,0,0,0,[]],81,[],[[]],[25,
25,1,1,0,0,0,0]],[[26633,409,0,1222,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[25810.6,208,0,100,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[26380,211,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[25580,220,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[26108,228,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[28097,524,0,581,26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[29457,519,0,581,
26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[30908,383,0,234,26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[31140,381,0,726,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[31490,-26,0,646,220,0,0,1,0,0,0,0,[]],80,[],[[]],[25,25,1,1,0,0,0,0]],[[32131,-25,0,740,443,0,0,1,0,0,0,0,[]],80,[],[[]],[25,25,1,1,0,0,0,0]],[[31973,573,0,1169,26,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[33059,412,0,1242,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,1,1,0,0,0,0]],[[34429,416,0,4339,345,0,0,1,0,0,0,0,[]],77,[],[[]],[25,25,
1,1,0,0,0,0]],[[39368,416,0,326,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[41985,421,0,4141,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[47600,482,0,608.484,24,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[48200,393,0,207,24,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[48400,389,0,830,218,0,0,1,0,0,0,0,[]],81,[],[[]],[25,25,1,1,0,0,0,0]],[[42789,352,0,31,935,0,0,1,0.5,0.5,0,0,[]],79,[1.1],[],[0,0,1]],[[19885.2,377.405,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[19808.5,377.244,0,
25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[19781.7,377.244,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[19755.7,377.405,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[19845.4,377.243,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[17204.3,344.47,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[17178.3,344.631,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[14012.2,428,0,52,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[14727,428.906,0,104,32,0,0,1,0.5,0.5,0,0,[]],
47,[],[[]],[1,0,1]],[[17192.3,353.223,0,53.0098,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[19817.8,385.211,0,161,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[14014,420,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[14706.8,420.238,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[14758,420,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[31334,302,0,46,1082,0,0,1,0.5,0.5,0,0,[]],79,[1.05],[],[1,0,1]],[[20567.1,388.441,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[20540.3,388.441,
0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[20514.3,388.602,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[20604,388.44,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[20561.9,396.409,0,135,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[21891.1,391.278,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[21942.2,391.278,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[21993.2,391.332,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[21937.8,397.355,0,160,32,0,0,1,0.5,0.5,0,
0,[]],47,[],[[]],[1,0,1]],[[22923.1,382.762,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[22945.1,388.839,0,111,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[22988.9,382.764,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[22962.9,382.924,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[24173.4,379.189,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[24195.4,385.265,0,111,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[24239.3,379.19,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,
1]],[[24213.3,379.351,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[24723.4,379.977,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[24722.8,387.054,0,55,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[26980.5,384.762,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[27028.8,386.108,0,165,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[27046.4,384.764,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[27020.4,384.924,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[27098.4,383.871,
0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[27072.4,384.032,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[27531.7,382.816,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[27475.2,390.839,0,163,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[27441.5,384.656,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[27415.5,384.817,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[27493.5,382.764,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[27467.5,382.924,0,25,50,0,0,1,0.52,
0.5,0,0,[]],32,[],[[]],[0,0,1]],[[29718,492,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[29741.5,499,0,112,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[29209,187,0,100,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[30592,162,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[29770,492,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[9157,345,0,73,250,0,0,1,0.506849,0.5,0,0,[]],85,[],[],[0,0,1]],[[49784,217,0,452,701,0,0,1,0.528761,0.447932,
0,0,[]],87,[],[],[0,0,1]],[[9241,257,0,220,54,0,0,1,0.5,0.5,0,0,[]],88,[],[[]],[0,0,1]],[[9329,345,0,73,250,0,0,1,0.506849,0.5,0,0,[]],89,[],[],[0,0,1]],[[19220.5,277.744,0,73,250,0,0,1,0.506849,0.5,0,0,[]],85,[],[],[0,0,1]],[[19304.5,189.744,0,220,54,0,0,1,0.5,0.5,0,0,[]],88,[],[[]],[0,0,1]],[[19392.5,277.744,0,73,250,0,0,1,0.506849,0.5,0,0,[]],89,[],[],[0,0,1]],[[31240.5,256.913,0,73,250,0,0,1,0.506849,0.5,0,0,[]],85,[],[],[0,0,1]],[[31324.5,168.913,0,220,54,0,0,1,0.5,0.5,0,0,[]],88,[],[[]],[0,
0,1]],[[31412.5,256.913,0,73,250,0,0,1,0.506849,0.5,0,0,[]],89,[],[],[0,0,1]],[[42704,296,0,73,250,0,0,1,0.506849,0.5,0,0,[]],85,[],[],[0,0,1]],[[42788,208,0,220,54,0,0,1,0.5,0.5,0,0,[]],88,[],[[]],[0,0,1]],[[42876,296,0,73,250,0,0,1,0.506849,0.5,0,0,[]],89,[],[],[0,0,1]],[[145,369,0,94,50,0,0,1,0.510638,0.52,0,0,[]],5,[],[[330,1500,1500,800,2500,1500,0],[330,1E5,1500,3,0,0]],[0,0,1]],[[4904,357,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[6449,348,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,
0,1]],[[6934,429,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[7747,428,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[9714,416,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[10242,336,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[10713,335,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[11389,340,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[14610,393,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[16219,384,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[17264,317,
0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[19983,350,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[21286,495,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[22811,355,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[23110,355,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[24883,351,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[27009,307,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[27059,307,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[27661,356,0,32,106,0,0,
1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[28304,471,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[29892,467,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[32980,547,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[32977.5,554,0,165,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[33032,547,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[32927,547,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33513,386,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33510,393,0,165,32,0,0,1,0.5,
0.5,0,0,[]],47,[],[[]],[1,0,1]],[[33565,386,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33460,386,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33670,386,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33722,386,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33617,386,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33828,385,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33880,385,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[33775,385,0,50,50,0,0,1,0.5,0.5,0,
0,[]],29,[],[[]],[0,0,1]],[[33662,336,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33688,336,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33713,336,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33737.9,335.388,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33763.7,335.163,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33789.7,335.163,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33814.7,335.163,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33839.6,
335.55,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33866.7,334.55,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[33891.7,334.938,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34214.1,386.612,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[34266.1,386.612,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[34200.8,336.775,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34225.7,337.163,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34252.8,336.163,0,25,50,0,0,1,
0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34277.8,336.55,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34846.1,391.287,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[34898.1,391.287,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[34832.8,341.45,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34857.7,341.837,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34884.9,340.837,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34909.8,341.225,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],
[[]],[0,0,1]],[[34731.1,391.444,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34756.1,391.831,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34783.2,390.831,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34808.1,391.219,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[34238.2,395.45,0,115.391,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[34819.2,399.737,0,212.766,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[34868.8,348.905,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,
0,1]],[[34921.1,317.582,0,300,27.3403,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[35467.1,316.744,0,300,27.3403,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[35795.4,391.287,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[35847.4,391.287,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[35782.1,341.45,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[35807,341.837,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[35834.2,340.837,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[35859.1,341.225,0,
25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[35818.1,348.905,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[35814.4,399.124,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[36060.7,283.527,0,1252,27,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[57360.7,231.853,0,1426,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[60340.7,261.853,0,4094,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[36414,-136,0,646,446,0,0,1,0,0,0,0,[]],80,[],[[]],[25,25,1,1,0,0,0,0]],[[37596,364,
0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[38656,364.081,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[35162.8,265.281,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[34039.4,358.126,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[32459.1,519.995,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[21943,312,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[21441,504,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[20765,364,0,100,100,0,0,1,0.5,0.5,0,0,[]],35,[],[],[0,0,1]],[[23433,
356,0,200,100,0,0,1,0.5,0.5,0,0,[]],36,[],[],[0,0,1]],[[40613,425,0,326,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[39443,363,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[39623.3,363.309,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[40062.1,444,0,201.578,28,0,0,1,0,0,0,0,[]],82,[],[[]],[0,0]],[[40164,391,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[39972,246,0,100,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[41364.7,412,0,199.922,28,0,0,1,0,0,0,
0,[]],82,[],[[]],[0,0]],[[41465,359,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[40694,370,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[40863,373,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[37945,391,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[37997,391,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[37941.2,399,0,160.395,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[38055.1,390.348,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[38107.1,390.348,0,50,50,0,0,1,0.5,
0.5,0,0,[]],29,[],[[]],[0,0,1]],[[38042.1,341.348,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38067.1,341.348,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38094.1,340.348,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38119.1,340.348,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38078.1,348.348,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[38074.1,398.348,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[38160.7,390.697,0,50,50,0,0,1,0.5,0.5,0,0,[]],
29,[],[[]],[0,0,1]],[[38212.7,390.697,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[38147.7,341.697,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38172.7,341.697,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38199.7,340.697,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38224.7,340.697,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[38183.7,348.697,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[38179.7,398.697,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],
[1,0,1]],[[37894.2,390.348,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[43372,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[43424,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[43368,403,0,160.395,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[43482,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[43534,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[43469,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[43494,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,
[],[[]],[0,0,1]],[[43521,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[43546,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[43505,353,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[43501,403,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[43588,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[43640,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[43575,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[43600,346,0,25,50,0,0,1,0.52,0.5,0,
0,[]],32,[],[[]],[0,0,1]],[[43627,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[43652,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[43611,353,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[43607,403,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[43321,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44034,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44086,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44030,403,0,160.395,32,0,0,
1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44144,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44196,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44131,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44156,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44183,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44208,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44167,353,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44163,403,0,114.777,
32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44250,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44302,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44237,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44262,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44289,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44314,345,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44273,353,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44269,403,0,
114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[43983,395,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44295,292,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44244,292,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44267,300,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44519,265,0,414,26,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[44801,396,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44859,396,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44911,396,0,
50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44846,347,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44871,347,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44898,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44923,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44882,354,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44851.4,404,0,168,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44965,396,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[45017,
396,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44952,347,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44977,347,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[45004,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[45029,346,0,25,50,0,0,1,0.52,0.5,0,0,[]],32,[],[[]],[0,0,1]],[[44988,354,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[44984,404,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[45010,293,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],
[[44959,293,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[44982,301,0,114.777,32,0,0,1,0.5,0.5,0,0,[]],47,[],[[]],[1,0,1]],[[45213,265,0,906,26,0,0,1,0,0,0,0,[]],23,[],[[]],[0,0]],[[45585,-131,0,534,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[45918,368,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[45380,368,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[46789,386,0,326,263,0,0,1,0,0,0,0,[]],61,[],[[]],[25,25,1,1,0,0,0,0]],[[46870,333,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],
[],[0,0,1]],[[47039,334,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[47846.2,459.137,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[47898.3,458.477,0,50,50,0,0,1,0.5,0.5,0,0,[]],29,[],[[]],[0,0,1]],[[48628.1,336.769,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[48927.8,336.769,0,32,106,0,0,1,0.5,0.5,0,0,[]],14,[],[],[0,0,1]],[[49124.7,277.537,0,27.0625,705.875,0,0,1,0.5,0.5,0,0,[]],90,[],[],[1,0,1]],[[46619,224,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],
[[47460,230,0,100,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[49503,78,0,100,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[49331,59,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[49125,72,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[48873,69,0,200,100,0,0,1,0.5,0.5,0,0,[]],20,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[48669,49,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],
[[48463,75,0,100,100,0,0,1,0.5,0.5,0,0,[]],9,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[-380,961,0,75,75,0,0,1,0.506667,0.506667,0,0,[]],93,[],[],[0,0,1]],[[41195,200,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[41710,245,0,100,50,0,0,1,0.5,0.5,0,0,[]],18,[],[[],[1,0,0,4,0,0,0,50,0]],[0,0,1]],[[3814,431,0,406,75,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[4672,431,0,400,74.069,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[13771.4,470.1,0,406,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[15185.5,
462.609,0,201.352,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[16076.7,463.246,0,201.352,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[20287,435.229,0,608,72,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[22029,438,0,201.352,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[30910,409,0,201.352,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[34962.3,344.072,0,201.352,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[40062.3,468.903,0,201.352,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]],[[41363.8,436.598,0,201.352,72.4572,0,0,1,0,
0,0,0,[]],99,[],[],[0,0]],[[47600.1,503.819,0,609.012,72.4572,0,0,1,0,0,0,0,[]],99,[],[],[0,0]]],[]],["HUD",4,d,[255,255,255],d,0,0,1,j,1,0,0,[[[92.1155,489.57,0,96,96,0,0,0.7,0.5,0.5,0,0,[]],7,[],[[0,3,0,0,0]],[1,0,1]],[[950.804,489.377,0,96,96,0,0,0.7,0.5,0.5,0,0,[]],8,[0,0],[[0,3,0,0,0]],[1,0,1]],[[102.453,46.2167,0,303,98,0,0,1,0,0,0,0,[]],12,[],[],["Text",0,"bold 20pt Arial","rgb(255,255,255)",0,0,0,0,0]],[[699,74,0,300,48,0,0,1,0,0.5,0,0,[]],13,[],[],[0,0,1]],[[849,75,0,300,50,0,0,1,0.5,0.5,
0,0,[]],24,[],[],[0,0,1]],[[67.9428,72.493,0,50,50,0,0,1,0.5,0.5,0,0,[]],31,[],[],[0,0,1]],[[514.123,683.654,0,1032.76,168,0,0,1,0.5,0.5,0,0,[]],91,[],[],[0,0,1]],[[511.177,-84.4286,0,1032.76,168,0,0,1,0.5,0.5,0,0,[]],91,[],[],[0,0,1]]],[]],["Game over",5,j,[255,255,255],d,0,0,1,j,1,0,0,[[[512,231,0,1024,768,0,0,1,0.5,0.501302,0,0,[]],43,[],[],[0,0,1]],[[512,356,0,237,50,0,0,1,0.50211,0.5,0,0,[]],44,[],[],[0,0,1]],[[387.608,239.429,0,146.703,74.2295,0,0,1,0,0,0,0,[]],45,[],[],["Text",0,"bold 36pt Arial",
"rgb(255,255,255)",2,0,0,0,0]]],[]],["grid",6,d,[255,255,255],d,1,1,1,j,1,0,0,[[[503.893,357.624,0,1238,874,0,0,1,0.5,0.5,0,0,[]],57,[],[[1,0,0,2,1]],[0,0,1]],[[0,0,0,1024,768,0,0,1,0,0,0,0,[]],92,[],[],[1,0,1]]],[]]],[],[]],["Intro",1280,1024,j,"Intro",[["Layer 1",0,d,[255,255,255],d,1,1,1,j,1,0,0,[[[512,349,0,1024,768,0,0,1,0.5,0.5,0,0,[]],48,[],[],[0,0,1]],[[568,845,0,1252,368,0,0,1,0.5,0.5,0,0,[]],95,[],[],[0,0,1]],[[1106,496,0,1024,168,0,1.5708,1,0.5,0.5,0,0,[]],91,[],[],[0,0,1]],[[-83,494,0,
1024,168,0,1.5708,1,0.5,0.5,0,0,[]],91,[],[],[0,0,1]]],[]],["Layer 0",1,d,[255,255,255],d,1,1,1,j,1,0,0,[[[854,500,0,138,47,0,0,1,0.5,0.510638,0,0,[]],49,[],[[1,1,0,5,0,0,0,5,0]],[0,0,1]],[[85,511,0,12,22,0,0,1,0.5,0.181818,0,0,[]],50,[0],[[100,1E3,1500,650,1500,1E3,1]],[0,0,1]],[[542.271,612.627,0,1115.36,153.548,0,0,1,0.5,0.5,0,0,[]],51,[],[[]],[1,0,1]],[[-63,454,0,223.712,195.771,0,0,1,0.5,0.5,0,0,[]],51,[],[[]],[1,0,1]],[[132,524,0,165.345,21.9116,0,0,1,0.5,0.5,0,0,[]],52,[],[],[1,0,1]],[[512,
383,0,1024,768,0,0,1,0.5,0.5,0,0,[]],58,[],[],[0,0,1]],[[728,85.5,0,560,139,0,0,1,0.5,0.5,0,0,[]],59,[],[[1,0,0,1,1]],[0,0,1]],[[559,400.5,0,1439,1086,0,0,1,0.5,0.5,0,0,[]],57,[],[[0,1,1,1,1]],[1,0,1]],[[337,812,0,50,50,0,0,1,0.5,0.5,0,0,[]],94,[],[],[0,0,1]]],[]],["Layer 2",2,d,[255,255,255],d,1,1,1,j,1,0,0,[[[257,299.5,0,512,603,0,0,1,0.5,0.5,0,0,[]],53,[],[],[0,0,1]],[[769,297.5,0,512,599,0,0,1,0.5,0.5,0,0,[]],54,[],[],[0,0,1]],[[526.5,376,0,1347,988,0,0,1,0.5,0.5,0,0,[]],55,[],[[0,2,0,0,1]],[1,
0,1]]],[]]],[],[]],["Creditos",1280,1024,j,"Credits",[["Layer 0",0,d,[255,255,255],d,1,1,1,j,1,0,0,[[[-241,0,0,1502,768,0,0,1,0,0,0,0,[]],11,[],[],[0,0,1]],[[-271,100,0,520,8,0,0,1,0.5,0.5,0,0,[]],64,[],[],[0,0,1]],[[391,-32,0,236,42,0,0,1,0.5,0.5,0,0,[]],69,[],[],[0,0,1]],[[91,532,0,120,70,0,0,1,0.5,0.5,0,0,[]],70,[],[[0,2,0,0,0]],[1,0,1]],[[521,317,0,819,302,0,0,1,0.500611,0.5,0,0,[]],71,[],[[0,2,0,0,0]],[1,0,1]],[[645.5,308,0,307,36,0,0,1,0.5,0.5,0,0,[]],74,[],[],[0,0,1]],[[884.5,310.5,0,129,33,
0,0,1,0.5,0.5,0,0,[]],75,[],[],[0,0,1]]],[]]],[],[]]],[["Stage",[[1,"scoregame",0,0,j,j],[1,"gasoil",0,0,j,j],[0,g,j,[[-1,M.prototype.d.dd,g,1,j,j,j]],[[16,Y.prototype.c.bc,"Pin",[[4,5],[3,0]]],[6,Md.prototype.c.ma,"Bullet",[[3,0]]],[-1,M.prototype.c.cc,g,[[11,"maxscore"],[7,[20,0,Fd.prototype.q.Fj,d,g,[[2,"scorefinal"]]]]]],[5,Z.prototype.c.ma,"Platform",[[3,0]]],[3,gc.prototype.c.Lf,g,[[1,[2,"Intro"]]]],[3,gc.prototype.c.Play,g,[[2,["06 alcubierre drive",j]],[3,1],[0,[0,0]],[1,[2,"inGame"]]]],[89,
R.prototype.c.km,g]],[[0,g,j,[[-1,M.prototype.d.nh,g,0,d,j,j,[[4,9]]]],[[9,je.prototype.c.sh,"Sine",[[0,[19,M.prototype.q.random,[[0,10],[0,30]]]]]],[9,je.prototype.c.uh,"Sine",[[0,[19,M.prototype.q.random,[[0,6],[0,12]]]]]],[9,R.prototype.c.sb,g,[[4,17],[5,[0,3]],[7,[0,1]]]],[17,Q.prototype.c.Ac,g,[[0,[0,90]]]],[17,Y.prototype.c.bc,"Pin",[[4,9],[3,0]]]]],[0,g,j,[[-1,M.prototype.d.nh,g,0,d,j,j,[[4,18]]]],[[18,je.prototype.c.sh,"Sine",[[0,[19,M.prototype.q.random,[[0,10],[0,30]]]]]],[18,je.prototype.c.uh,
"Sine",[[0,[19,M.prototype.q.random,[[0,6],[0,12]]]]]],[18,R.prototype.c.sb,g,[[4,17],[5,[0,3]],[7,[0,1]]]],[17,Q.prototype.c.Ac,g,[[0,[0,90]]]],[17,Y.prototype.c.bc,"Pin",[[4,18],[3,0]]],[18,R.prototype.c.sb,g,[[4,17],[5,[0,3]],[7,[0,2]]]],[17,Q.prototype.c.Ac,g,[[0,[0,90]]]],[17,Y.prototype.c.bc,"Pin",[[4,18],[3,0]]]]],[0,g,j,[[-1,M.prototype.d.nh,g,0,d,j,j,[[4,20]]]],[[20,je.prototype.c.sh,"Sine",[[0,[19,M.prototype.q.random,[[0,10],[0,30]]]]]],[20,je.prototype.c.uh,"Sine",[[0,[19,M.prototype.q.random,
[[0,2],[0,6]]]]]],[20,R.prototype.c.sb,g,[[4,17],[5,[0,3]],[7,[0,1]]]],[17,Q.prototype.c.Ac,g,[[0,[0,90]]]],[17,Y.prototype.c.bc,"Pin",[[4,20],[3,0]]]]],[0,g,j,[[-1,M.prototype.d.Md,g,0,j,j,j,[[11,"sonido"],[8,0],[7,[0,1]]]]],[]]]],[0,g,j,[[-1,M.prototype.d.dd,g,1,j,j,j]],[[5,Rd.prototype.c.ma,"8Direction",[[3,0]]]]],[0,g,j,[[-1,M.prototype.d.ad,g,0,j,j,j],[-1,M.prototype.d.Jf,g,0,j,d,j,[[5,[0,5]]]]],[[5,Z.prototype.c.Bc,"Platform",[[3,1]]],[5,Rd.prototype.c.Bc,"8Direction",[[3,1]]]]],[0,g,j,[[1,
T.prototype.d.qb,g,1,j,j,j,[[4,7]]]],[[5,Z.prototype.c.Bc,"Platform",[[3,2]]],[5,R.prototype.c.sb,g,[[4,34],[5,[0,3]],[7,[0,1]]]],[34,Y.prototype.c.bc,"Pin",[[4,5],[3,0]]],[34,Q.prototype.c.Ac,g,[[0,[0,90]]]],[5,R.prototype.c.sb,g,[[4,34],[5,[0,3]],[7,[0,2]]]],[34,Y.prototype.c.bc,"Pin",[[4,5],[3,0]]],[34,Q.prototype.c.Ac,g,[[0,[0,90]]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,7]]],[8,R.prototype.d.pb,g,0,j,j,j,[[10,0]]]],[[5,R.prototype.c.sb,g,[[4,10],[5,[0,3]],[7,[0,3]]]],[10,Md.prototype.c.vh,
"Bullet",[[0,[0,600]]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,8]]],[8,R.prototype.d.pb,g,0,j,d,j,[[10,1]]],[8,R.prototype.d.pb,g,0,j,d,j,[[10,0]]],[-1,M.prototype.d.Md,g,0,j,j,j,[[11,"gasoil"],[8,5],[7,[0,10]]]],[5,R.prototype.d.bd,g,0,j,d,j,[[1,[2,"muerte"]]]]],[[5,Rd.prototype.c.ma,"8Direction",[[3,1]]],[5,Z.prototype.c.ma,"Platform",[[3,0]]],[8,R.prototype.c.yh,g,[[10,0]]],[8,R.prototype.c.ed,g,[[10,1],[3,1]]],[5,R.prototype.c.M,g,[[1,[2,"up"]],[3,1]]],[5,R.prototype.c.sb,g,[[4,33],[5,[0,
3]],[7,[0,1]]]],[33,Y.prototype.c.bc,"Pin",[[4,5],[3,0]]],[33,Q.prototype.c.Ac,g,[[0,[0,90]]]],[5,R.prototype.c.sb,g,[[4,33],[5,[0,3]],[7,[0,2]]]],[33,Y.prototype.c.bc,"Pin",[[4,5],[3,0]]],[33,Q.prototype.c.Ac,g,[[0,[0,90]]]]]],[0,g,j,[[8,R.prototype.d.pb,g,0,j,j,j,[[10,0]]],[5,R.prototype.d.Be,g,0,j,j,j,[[8,4],[0,[0,200]]]]],[[5,Rd.prototype.c.Bc,"8Direction",[[3,2]]],[5,R.prototype.c.Qd,g,[[0,[20,6,R.prototype.q.Cc,j,g]]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,8]]],[8,R.prototype.d.pb,g,0,
j,d,j,[[10,1]]],[8,R.prototype.d.pb,g,0,j,j,j,[[10,0]]],[5,R.prototype.d.bd,g,0,j,d,j,[[1,[2,"muerte"]]]]],[[5,Rd.prototype.c.ma,"8Direction",[[3,0]]],[5,Z.prototype.c.ma,"Platform",[[3,1]]],[8,R.prototype.c.yh,g,[[10,0]]],[8,R.prototype.c.ed,g,[[10,1],[3,1]]],[5,R.prototype.c.M,g,[[1,[2,"down"]],[3,1]]],[33,Q.prototype.c.Sa,g]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,d,j,[[4,8]]]],[[8,R.prototype.c.ed,g,[[10,1],[3,0]]]]],[0,g,j,[[10,R.prototype.d.Fb,g,0,j,j,d,[[4,9]]],[9,R.prototype.d.Fe,g,0,j,j,j]],
[[10,R.prototype.c.Sa,g],[9,R.prototype.c.sb,g,[[4,93],[5,[0,3]],[7,[0,0]]]],[9,R.prototype.c.Sa,g]]],[0,g,j,[[10,R.prototype.d.Fb,g,0,j,j,d,[[4,18]]],[18,R.prototype.d.Fe,g,0,j,j,j]],[[10,R.prototype.c.Sa,g],[18,R.prototype.c.sb,g,[[4,93],[5,[0,3]],[7,[0,0]]]],[18,R.prototype.c.Sa,g]]],[0,g,j,[[10,R.prototype.d.Fb,g,0,j,j,d,[[4,20]]],[20,R.prototype.d.Fe,g,0,j,j,j]],[[10,R.prototype.c.Sa,g],[20,R.prototype.c.sb,g,[[4,93],[5,[0,3]],[7,[0,0]]]],[20,R.prototype.c.Sa,g]]],[0,g,j,[[10,R.prototype.d.Fe,
g,0,j,d,j]],[[10,R.prototype.c.Sa,g]]],[0,g,j,[[93,R.prototype.d.Od,g,1,j,j,j,[[1,[2,"Default"]]]]],[[93,R.prototype.c.Sa,g]]],[0,g,j,[[-1,M.prototype.d.ad,g,0,j,j,j]],[[12,S.prototype.c.Kf,g,[[7,[10,[19,M.prototype.q.round,[[7,[20,5,R.prototype.q.Cc,j,g],[0,10]]]],[2," mts."]]]]],[13,R.prototype.c.Rj,g,[[0,[6,[23,"gasoil"],[1,3]]]]]]],[0,g,j,[[5,R.prototype.d.Fb,g,0,j,j,d,[[4,14]]],[-1,M.prototype.d.Md,g,0,j,j,j,[[11,"gasoil"],[8,1],[7,[0,100]]]]],[[-1,M.prototype.c.cc,g,[[11,"gasoil"],[7,[4,[23,
"gasoil"],[0,10]]]]],[14,R.prototype.c.M,g,[[1,[2,"destroy"]],[3,1]]]]],[0,g,j,[[14,R.prototype.d.Od,g,1,j,j,j,[[1,[2,"destroy"]]]]],[[14,R.prototype.c.Sa,g]]],[0,g,j,[[5,R.prototype.d.bd,g,0,j,j,j,[[1,[2,"up"]]]],[-1,M.prototype.d.Bj,g,0,j,j,j,[[0,[1,1]]]],[-1,M.prototype.d.Md,g,0,j,j,j,[[11,"gasoil"],[8,1],[7,[0,0]]]]],[[-1,M.prototype.c.cc,g,[[11,"gasoil"],[7,[5,[23,"gasoil"],[0,10]]]]]]],[0,g,j,[[5,R.prototype.d.bd,g,0,j,j,j,[[1,[2,"up"]]]],[-1,M.prototype.d.Md,g,0,j,j,j,[[11,"gasoil"],[8,0],
[7,[0,0]]]]],[[5,Rd.prototype.c.ma,"8Direction",[[3,0]]],[5,Z.prototype.c.ma,"Platform",[[3,1]]],[8,R.prototype.c.yh,g,[[10,0]]],[8,R.prototype.c.ed,g,[[10,1],[3,1]]],[5,R.prototype.c.M,g,[[1,[2,"down"]],[3,1]]],[33,Q.prototype.c.Sa,g]]],[0,g,j,[[17,Y.prototype.d.im,"Pin",0,j,d,j]],[[17,Q.prototype.c.Sa,g]]],[0,g,j,[[8,R.prototype.d.pb,g,0,j,j,j,[[10,0]]]],[[8,R.prototype.c.M,g,[[1,[2,"offAir"]],[3,1]]],[7,R.prototype.c.M,g,[[1,[2,"shoot"]],[3,1]]]]],[0,g,j,[[8,R.prototype.d.pb,g,0,j,d,j,[[10,0]]]],
[[8,R.prototype.c.M,g,[[1,[2,"onAir"]],[3,1]]],[7,R.prototype.c.M,g,[[1,[2,"saltar"]],[3,1]]]]],[0,g,j,[[-1,M.prototype.d.dd,g,1,j,j,j]],[[17,Q.prototype.c.jm,g]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,7]]],[8,R.prototype.d.pb,g,0,j,d,j,[[10,0]]]],[[7,R.prototype.c.M,g,[[1,[2,"saltarpress"]],[3,1]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,7]]],[8,R.prototype.d.pb,g,0,j,j,j,[[10,0]]]],[[7,R.prototype.c.M,g,[[1,[2,"shootpress"]],[3,1]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,31]]]],[[30,
Uc.prototype.c.Om,g]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,31]]]],[[31,R.prototype.c.M,g,[[1,[2,"on"]],[3,1]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,d,j,[[4,31]]]],[[31,R.prototype.c.M,g,[[1,[2,"off"]],[3,1]]]]],[0,g,j,[[5,Z.prototype.d.hm,"Platform",0,j,j,j]],[[34,Q.prototype.c.Sa,g]]],[0,g,j,[[5,R.prototype.d.If,g,0,j,j,j,[[4,47]]]],[[5,R.prototype.c.M,g,[[1,[2,"muerte"]],[3,1]]]]],[0,g,j,[[-1,M.prototype.d.Jf,g,0,j,j,j,[[5,[0,5]]]]],[[45,S.prototype.c.Kf,g,[[7,[23,"scoregame"]]]],[30,Uc.prototype.c.Qj,
g,[[3,0]]],[6,Md.prototype.c.ma,"Bullet",[[3,0]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,44]]],[-1,M.prototype.d.Jf,g,0,j,j,j,[[5,[0,5]]]]],[[44,R.prototype.c.M,g,[[1,[2,"on"]],[3,1]]]],[[0,g,j,[[1,T.prototype.d.Pd,g,1,j,j,j]],[[-1,M.prototype.c.Jm,g],[30,Uc.prototype.c.Qj,g,[[3,1]]],[-1,M.prototype.c.Oj,g,[[5,[0,5]],[3,0]]],[-1,M.prototype.c.Im,g]]]]],[0,g,d,[[5,R.prototype.d.Od,g,1,j,j,j,[[1,[2,"muerte"]]]],[5,R.prototype.d.Fb,g,0,j,j,d,[[4,46]]],[5,R.prototype.d.Fe,g,0,j,d,j]],[[-1,M.prototype.c.Oj,
g,[[5,[0,5]],[3,1]]],[-1,M.prototype.c.cc,g,[[11,"scoregame"],[7,[20,12,S.prototype.q.Mm,d,g]]]]]],[0,g,j,[[-1,M.prototype.d.Jf,g,0,j,j,j,[[5,[0,5]]]],[-1,M.prototype.d.Md,g,0,j,j,j,[[11,"maxscore"],[8,2],[7,[23,"scoregame"]]]]],[[-1,M.prototype.c.cc,g,[[11,"maxscore"],[7,[23,"scoregame"]]]],[0,Fd.prototype.c.Uj,g,[[1,[2,"scorefinal"]],[7,[23,"scoregame"]]]]]],[0,g,d,[[5,R.prototype.d.Fb,g,0,j,j,d,[[4,9]]],[5,R.prototype.d.Fb,g,0,j,j,d,[[4,20]]],[5,R.prototype.d.Fb,g,0,j,j,d,[[4,18]]]],[[5,R.prototype.c.M,
g,[[1,[2,"muerte"]],[3,1]]]]],[0,g,j,[[57,X.prototype.d.Hj,"Fade",1,j,j,j]],[[6,Md.prototype.c.ma,"Bullet",[[3,1]]],[5,Z.prototype.c.ma,"Platform",[[3,1]]],[8,R.prototype.c.rb,g,[[3,1]]],[7,R.prototype.c.rb,g,[[3,1]]]]],[0,g,j,[[5,R.prototype.d.Fb,g,0,j,j,d,[[4,79]]]],[[5,Z.prototype.c.He,"Platform",[[0,[6,[22,5,"Platform",Z.prototype.q.Ae,j,g],[21,79,j,g,0]]]]],[5,Z.prototype.c.th,"Platform",[[0,[6,[22,5,"Platform",Z.prototype.q.ph,j,g],[21,79,j,g,0]]]]],[5,Rd.prototype.c.He,"8Direction",[[0,[6,
[22,5,"8Direction",Rd.prototype.q.Ae,j,g],[21,79,j,g,0]]]]],[5,Rd.prototype.c.th,"8Direction",[[0,[6,[22,5,"8Direction",Rd.prototype.q.ph,j,g],[21,79,j,g,0]]]]],[6,Md.prototype.c.vh,"Bullet",[[0,[6,[22,6,"Bullet",Md.prototype.q.wh,j,g],[21,79,j,g,0]]]]],[6,Md.prototype.c.He,"Bullet",[[0,[6,[22,6,"Bullet",Md.prototype.q.Ae,j,g],[21,79,j,g,0]]]]]]],[0,g,j,[[5,R.prototype.d.Od,g,1,j,j,j,[[1,[2,"down"]]]]],[[5,R.prototype.c.M,g,[[1,[2,"abajo"]],[3,1]]]]],[0,g,j,[[-1,M.prototype.d.Bj,g,0,j,j,j,[[0,[19,
M.prototype.q.random,[[0,8],[0,12]]]]]]],[[2,P.prototype.c.zh,g,[[1,[2,"200"]]]],[6,qe.prototype.c.Lm,"ScrollTo",[[0,[0,40]],[0,[1,0.4]],[3,1]]]]],[0,g,j,[[5,R.prototype.d.Fb,g,0,j,j,d,[[4,90]]]],[[2,P.prototype.c.zh,g,[[1,[2,"200,100,200, 100,200, 100,200, 100,200, 100,200, 100,200, 100,200, "]]]],[-1,M.prototype.c.fm,g,[[4,96],[5,[0,4]],[0,[0,512]],[0,[0,300]]]],[3,gc.prototype.c.Lf,g,[[1,[2,"inGame"]]]],[3,gc.prototype.c.Play,g,[[2,["para final",j]],[3,0],[0,[0,0]],[1,[2,"Final"]]]]]],[0,g,j,[[96,
R.prototype.d.Hf,g,0,j,j,j,[[8,4],[0,[0,90]]]]],[[-1,M.prototype.c.De,g,[[6,"Creditos"]]]]],[0,g,j,[[5,R.prototype.d.bd,g,0,j,j,j,[[1,[2,"muerte"]]]]],[[5,Rd.prototype.c.ma,"8Direction",[[3,0]]],[5,Z.prototype.c.ma,"Platform",[[3,0]]]]]]],["Menu",[[1,"sonido",0,0,j,j],[1,"maxscore",0,0,j,j],[0,g,j,[[-1,M.prototype.d.dd,g,1,j,j,j]],[[3,gc.prototype.c.Play,g,[[2,["01 dinancon",j]],[3,0],[0,[0,0]],[1,[2,"Intro"]]]],[-1,M.prototype.c.Nb,g,[[1,[2,"START"]],[3,0]]],[-1,M.prototype.c.Nb,g,[[1,[2,"MTS"]],
[3,0]]],[-1,M.prototype.c.Nb,g,[[1,[2,"BOTONES"]],[3,0]]]],[[0,g,j,[[0,Fd.prototype.d.Ej,g,0,j,j,j,[[1,[2,"scorefinal"]]]]],[[-1,M.prototype.c.cc,g,[[11,"maxscore"],[7,[20,0,Fd.prototype.q.Fj,d,g,[[2,"scorefinal"]]]]]],[21,S.prototype.c.Kf,g,[[7,[23,"maxscore"]]]]]],[0,g,j,[[0,Fd.prototype.d.Ej,g,0,j,d,j,[[1,[2,"scorefinal"]]]]],[[-1,M.prototype.c.cc,g,[[11,"maxscore"],[7,[0,0]]]],[21,S.prototype.c.Kf,g,[[7,[23,"maxscore"]]]],[0,Fd.prototype.c.Uj,g,[[1,[2,"scorefinal"]],[7,[0,0]]]]]]]],[0,g,j,[[1,
T.prototype.d.bb,g,0,j,j,j,[[4,40]]]],[[40,R.prototype.c.M,g,[[1,[2,"on"]],[3,1]]]],[[0,g,j,[[1,T.prototype.d.Pd,g,1,j,j,j]],[[40,R.prototype.c.M,g,[[1,[2,"off"]],[3,1]]],[-1,M.prototype.c.De,g,[[6,"Intro"]]]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,d,j,[[4,40]]]],[[40,R.prototype.c.M,g,[[1,[2,"off"]],[3,1]]]]],[0,g,j,[[56,R.prototype.d.Hf,g,0,j,j,j,[[8,3],[0,[0,20]]]],[-1,M.prototype.d.ad,g,0,j,j,j],[64,R.prototype.d.Nd,g,0,j,j,j,[[8,3],[0,[0,260]]]]],[[64,R.prototype.c.Qd,g,[[0,[4,[20,64,R.prototype.q.Cc,
j,g],[0,10]]]]]]],[0,g,j,[[64,R.prototype.d.Nd,g,0,j,j,j,[[8,5],[0,[0,260]]]]],[[-1,M.prototype.c.Nb,g,[[1,[2,"START"]],[3,1]]]]],[0,[d,"START"],j,[[-1,M.prototype.d.cd,g,0,j,j,j,[[1,[2,"START"]]]]],[],[[0,g,j,[[40,R.prototype.d.Be,g,0,j,j,j,[[8,5],[0,[0,280]]]]],[[-1,M.prototype.c.Nb,g,[[1,[2,"MTS"]],[3,1]]]]],[0,g,j,[[-1,M.prototype.d.ad,g,0,j,j,j],[40,R.prototype.d.Be,g,0,j,j,j,[[8,3],[0,[0,280]]]]],[[40,R.prototype.c.Sj,g,[[0,[4,[20,40,R.prototype.q.Ah,j,g],[0,10]]]]]]]]],[0,[d,"MTS"],j,[[-1,
M.prototype.d.cd,g,0,j,j,j,[[1,[2,"MTS"]]]]],[],[[0,g,j,[[-1,M.prototype.d.ad,g,0,j,j,j],[65,R.prototype.d.Nd,g,0,j,j,j,[[8,5],[0,[0,365]]]]],[[65,R.prototype.c.Qd,g,[[0,[5,[20,65,R.prototype.q.Cc,j,g],[0,10]]]]],[66,R.prototype.c.Qd,g,[[0,[5,[20,66,R.prototype.q.Cc,j,g],[0,10]]]]],[21,S.prototype.c.Qd,g,[[0,[5,[20,21,S.prototype.q.Cc,j,g],[0,10]]]]],[21,S.prototype.c.rb,g,[[3,1]]]]],[0,g,j,[[65,R.prototype.d.Nd,g,0,j,j,j,[[8,3],[0,[0,365]]]]],[[-1,M.prototype.c.Nb,g,[[1,[2,"BOTONES"]],[3,1]]]]]]],
[0,[d,"BOTONES"],j,[[-1,M.prototype.d.cd,g,0,j,j,j,[[1,[2,"BOTONES"]]]]],[],[[0,g,j,[[-1,M.prototype.d.cd,g,0,j,j,j,[[1,[2,"BOTONES"]]]]],[[67,X.prototype.c.ec,"Fade"],[63,X.prototype.c.ec,"Fade"],[62,X.prototype.c.ec,"Fade"],[68,X.prototype.c.ec,"Fade"],[73,X.prototype.c.ec,"Fade"],[63,R.prototype.c.rb,g,[[3,1]]],[62,R.prototype.c.rb,g,[[3,1]]],[67,R.prototype.c.rb,g,[[3,1]]],[68,S.prototype.c.rb,g,[[3,1]]],[73,R.prototype.c.rb,g,[[3,1]]]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,67]]],[67,R.prototype.d.pb,
g,0,j,d,j,[[10,0]]],[67,R.prototype.d.bd,g,0,j,j,j,[[1,[2,"ON"]]]]],[[67,R.prototype.c.M,g,[[1,[2,"OFF"]],[3,1]]],[3,gc.prototype.c.Lf,g,[[1,[2,"Intro"]]]],[67,R.prototype.c.ed,g,[[10,0],[3,1]]],[-1,M.prototype.c.cc,g,[[11,"sonido"],[7,[0,0]]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,67]]],[67,R.prototype.d.pb,g,0,j,d,j,[[10,0]]],[67,R.prototype.d.bd,g,0,j,j,j,[[1,[2,"OFF"]]]]],[[67,R.prototype.c.M,g,[[1,[2,"ON"]],[3,1]]],[3,gc.prototype.c.Play,g,[[2,["01 dinancon",j]],[3,1],[0,[0,0]],[1,[2,"Intro"]]]],
[67,R.prototype.c.ed,g,[[10,0],[3,1]]],[-1,M.prototype.c.cc,g,[[11,"sonido"],[7,[0,1]]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,d,j,[[4,67]]]],[[67,R.prototype.c.ed,g,[[10,0],[3,0]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,63]]]],[[63,R.prototype.c.M,g,[[1,[2,"ON"]],[3,1]]]],[[0,g,j,[[1,T.prototype.d.Pd,g,1,j,j,j]],[[-1,M.prototype.c.De,g,[[6,"Creditos"]]]]]]]]],["Intro",[[0,g,j,[[-1,M.prototype.d.dd,g,1,j,j,j]],[[50,Z.prototype.c.ma,"Platform",[[3,0]]]]],[0,g,j,[[57,R.prototype.d.qh,g,1,j,j,j]],
[[50,Z.prototype.c.ma,"Platform",[[3,1]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,58]]]],[[57,R.prototype.c.rb,g,[[3,1]]],[57,X.prototype.c.ec,"Fade"]]],[0,g,j,[[57,R.prototype.d.Dj,g,0,j,j,j],[57,R.prototype.d.Hf,g,0,j,j,j,[[8,4],[0,[0,95]]]]],[[58,R.prototype.c.Sa,g]]],[0,g,j,[[50,R.prototype.d.If,g,0,j,j,j,[[4,52]]]],[[50,Z.prototype.c.Bc,"Platform",[[3,1]]]]],[0,g,j,[[50,Z.prototype.d.oh,"Platform",0,j,d,j],[50,R.prototype.d.lh,g,0,j,j,j,[[10,0],[8,0],[7,[0,1]]]]],[[50,R.prototype.c.M,g,[[1,
[2,"idle"]],[3,1]]]]],[0,g,j,[[50,R.prototype.d.If,g,0,j,d,j,[[4,52]]]],[[52,R.prototype.c.Sa,g]]],[0,g,j,[[52,R.prototype.d.qh,g,1,j,j,j]],[[50,R.prototype.c.M,g,[[1,[2,"intro"]],[3,1]]]]],[0,g,j,[[50,R.prototype.d.Od,g,1,j,j,j,[[1,[2,"intro"]]]]],[[50,R.prototype.c.M,g,[[1,[2,"idle"]],[3,1]]],[50,R.prototype.c.Km,g,[[10,0],[7,[0,1]]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,54]]],[50,R.prototype.d.lh,g,0,j,j,j,[[10,0],[8,0],[7,[0,1]]]]],[[50,Z.prototype.c.Bc,"Platform",[[3,1]]],[50,R.prototype.c.Pj,
g,[[3,1]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,53]]],[50,R.prototype.d.lh,g,0,j,j,j,[[10,0],[8,0],[7,[0,1]]]]],[[50,Z.prototype.c.Bc,"Platform",[[3,0]]],[50,R.prototype.c.Pj,g,[[3,0]]]]],[0,g,j,[[50,Z.prototype.d.Jj,"Platform",1,j,j,j]],[[50,R.prototype.c.M,g,[[1,[2,"run"]],[3,1]]]]],[0,g,j,[[50,Z.prototype.d.oh,"Platform",0,j,j,j],[50,R.prototype.d.If,g,0,j,j,j,[[4,52]]]],[[50,R.prototype.c.M,g,[[1,[2,"run"]],[3,1]]]]],[0,g,j,[[50,R.prototype.d.Fb,g,0,j,j,d,[[4,49]]]],[[55,X.prototype.c.ec,
"Fade"],[55,R.prototype.c.rb,g,[[3,1]]],[2,P.prototype.c.zh,g,[[1,[2,"200,100,200"]]]]]],[0,g,j,[[55,R.prototype.d.Hf,g,0,j,j,j,[[8,4],[0,[0,95]]]],[55,R.prototype.d.Dj,g,0,j,j,j]],[[-1,M.prototype.c.De,g,[[6,"Stage_1"]]]]]]],["Credits",[[0,g,j,[[-1,M.prototype.d.dd,g,1,j,j,j]],[[-1,M.prototype.c.Nb,g,[[1,[2,"CREDITS"]],[3,0]]],[-1,M.prototype.c.Nb,g,[[1,[2,"VOLVER"]],[3,0]]]]],[0,g,j,[[-1,M.prototype.d.ad,g,0,j,j,j],[64,R.prototype.d.Nd,g,0,j,j,j,[[8,3],[0,[0,255]]]]],[[64,R.prototype.c.Qd,g,[[0,
[4,[20,64,R.prototype.q.Cc,j,g],[0,10]]]]]]],[0,g,j,[[64,R.prototype.d.Nd,g,0,j,j,j,[[8,5],[0,[0,255]]]]],[[-1,M.prototype.c.Nb,g,[[1,[2,"CREDITS"]],[3,1]]]]],[0,[d,"CREDITS"],j,[[-1,M.prototype.d.cd,g,0,j,j,j,[[1,[2,"CREDITS"]]]]],[],[[0,g,j,[[69,R.prototype.d.Be,g,0,j,j,j,[[8,5],[0,[0,67]]]]],[[-1,M.prototype.c.Nb,g,[[1,[2,"VOLVER"]],[3,1]]]]],[0,g,j,[[-1,M.prototype.d.ad,g,0,j,j,j],[69,R.prototype.d.Be,g,0,j,j,j,[[8,3],[0,[0,67]]]]],[[69,R.prototype.c.Sj,g,[[0,[4,[20,69,R.prototype.q.Ah,j,g],[0,
10]]]]]]]]],[0,[d,"VOLVER"],j,[[-1,M.prototype.d.cd,g,0,j,j,j,[[1,[2,"VOLVER"]]]]],[]],[0,g,j,[[-1,M.prototype.d.cd,g,0,j,j,j,[[1,[2,"VOLVER"]]]]],[[70,X.prototype.c.ec,"Fade"],[71,X.prototype.c.ec,"Fade"],[70,R.prototype.c.rb,g,[[3,1]]],[71,R.prototype.c.rb,g,[[3,1]]]]],[0,g,j,[[1,T.prototype.d.bb,g,0,j,j,j,[[4,70]]]],[[70,R.prototype.c.M,g,[[1,[2,"ON"]],[3,1]]]],[[0,g,j,[[1,T.prototype.d.Pd,g,1,j,j,j]],[[-1,M.prototype.c.De,g,[[6,"Menu"]]]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,74]]]],[[2,
P.prototype.c.Cj,g,[[1,[2,"http://homepage.internet.lu/Shamil/start.htm"]]]]]],[0,g,j,[[1,T.prototype.d.qb,g,1,j,j,j,[[4,75]]]],[[2,P.prototype.c.Cj,g,[[1,[2,"http://creativecommons.org/licenses/by/3.0/"]]]]]]]]],"",d,1024,600,2,d,d,j,"1.0",2,j,0,d,[]]};

createCocoonJSRuntime();

})();
